<?php

add_action('vc_enqueue_font_icon_element', 'cynic_load_vc_linearicons');

function cynic_load_vc_linearicons($type) {
    if ($type == 'linearicons') {
        $path = apply_filters('cynic_linearicons_font_css_url', get_template_directory_uri() . '/css/classic-modern-agency/linearicons-font.css');
        wp_enqueue_style('linearicons', $path);
    }
}

function cynic_load_backend_linearicons($page) {
    if (in_array($page, array('post.php', 'post-new.php'))) {
        $path = apply_filters('cynic_linearicons_font_css_url', get_template_directory_uri() . '/css/classic-modern-agency/linearicons-font.css');
        wp_enqueue_style('linearicons', $path);
    }
}

add_action('admin_enqueue_scripts', 'cynic_load_backend_linearicons');


add_filter('vc_iconpicker-type-linearicons', 'cynic_vc_iconpicker_type_linearicons');

function cynic_vc_iconpicker_type_linearicons($icons) {

    $linearicons = array(
        array('icon-linkedin' => 'icon-linkedin'),
        array('icon-pinterest' => 'icon-pinterest'),
        array('icon-brand' => 'icon-brand'),
        array('icon-social' => 'icon-social'),
        array('icon-instagram' => 'icon-instagram'),
        array('icon-twitter' => 'icon-twitter'),
        array('icon-facebook' => 'icon-facebook'),
        array('icon-facebook-f' => 'icon-facebook-f'),
        array('icon-google-plus' => 'icon-google-plus'),
        array('icon-Asset-1' => 'icon-Asset-1'),
        array('icon-Asset-2' => 'icon-Asset-2'),
        array('icon-Asset-3' => 'icon-Asset-3'),
        array('icon-home' => 'icon-home'),
        array('icon-home2' => 'icon-home2'),
        array('icon-home3' => 'icon-home3'),
        array('icon-home4' => 'icon-home4'),
        array('icon-home5' => 'icon-home5'),
        array('icon-home6' => 'icon-home6'),
        array('icon-bathtub' => 'icon-bathtub'),
        array('icon-toothbrush' => 'icon-toothbrush'),
        array('icon-bed' => 'icon-bed'),
        array('icon-couch' => 'icon-couch'),
        array('icon-chair' => 'icon-chair'),
        array('icon-city' => 'icon-city'),
        array('icon-apartment' => 'icon-apartment'),
        array('icon-pencil' => 'icon-pencil'),
        array('icon-pencil2' => 'icon-pencil2'),
        array('icon-pen' => 'icon-pen'),
        array('icon-pencil3' => 'icon-pencil3'),
        array('icon-eraser' => 'icon-eraser'),
        array('icon-pencil4' => 'icon-pencil4'),
        array('icon-pencil5' => 'icon-pencil5'),
        array('icon-feather' => 'icon-feather'),
        array('icon-feather2' => 'icon-feather2'),
        array('icon-feather3' => 'icon-feather3'),
        array('icon-pen2' => 'icon-pen2'),
        array('icon-pen-add' => 'icon-pen-add'),
        array('icon-pen-remove' => 'icon-pen-remove'),
        array('icon-vector' => 'icon-vector'),
        array('icon-pen3' => 'icon-pen3'),
        array('icon-blog' => 'icon-blog'),
        array('icon-brush' => 'icon-brush'),
        array('icon-brush2' => 'icon-brush2'),
        array('icon-spray' => 'icon-spray'),
        array('icon-paint-roller' => 'icon-paint-roller'),
        array('icon-stamp' => 'icon-stamp'),
        array('icon-tape' => 'icon-tape'),
        array('icon-desk-tape' => 'icon-desk-tape'),
        array('icon-texture' => 'icon-texture'),
        array('icon-eye-dropper' => 'icon-eye-dropper'),
        array('icon-palette' => 'icon-palette'),
        array('icon-color-sampler' => 'icon-color-sampler'),
        array('icon-bucket' => 'icon-bucket'),
        array('icon-gradient' => 'icon-gradient'),
        array('icon-gradient2' => 'icon-gradient2'),
        array('icon-magic-wand' => 'icon-magic-wand'),
        array('icon-magnet' => 'icon-magnet'),
        array('icon-pencil-ruler' => 'icon-pencil-ruler'),
        array('icon-pencil-ruler2' => 'icon-pencil-ruler2'),
        array('icon-compass' => 'icon-compass'),
        array('icon-aim' => 'icon-aim'),
        array('icon-gun' => 'icon-gun'),
        array('icon-bottle' => 'icon-bottle'),
        array('icon-drop' => 'icon-drop'),
        array('icon-drop-crossed' => 'icon-drop-crossed'),
        array('icon-drop2' => 'icon-drop2'),
        array('icon-snow' => 'icon-snow'),
        array('icon-snow2' => 'icon-snow2'),
        array('icon-fire' => 'icon-fire'),
        array('icon-lighter' => 'icon-lighter'),
        array('icon-knife' => 'icon-knife'),
        array('icon-dagger' => 'icon-dagger'),
        array('icon-tissue' => 'icon-tissue'),
        array('icon-toilet-paper' => 'icon-toilet-paper'),
        array('icon-poop' => 'icon-poop'),
        array('icon-umbrella' => 'icon-umbrella'),
        array('icon-umbrella2' => 'icon-umbrella2'),
        array('icon-rain' => 'icon-rain'),
        array('icon-tornado' => 'icon-tornado'),
        array('icon-wind' => 'icon-wind'),
        array('icon-fan' => 'icon-fan'),
        array('icon-contrast' => 'icon-contrast'),
        array('icon-sun-small' => 'icon-sun-small'),
        array('icon-sun' => 'icon-sun'),
        array('icon-sun2' => 'icon-sun2'),
        array('icon-moon' => 'icon-moon'),
        array('icon-cloud' => 'icon-cloud'),
        array('icon-cloud-upload' => 'icon-cloud-upload'),
        array('icon-cloud-download' => 'icon-cloud-download'),
        array('icon-cloud-rain' => 'icon-cloud-rain'),
        array('icon-cloud-hailstones' => 'icon-cloud-hailstones'),
        array('icon-cloud-snow' => 'icon-cloud-snow'),
        array('icon-cloud-windy' => 'icon-cloud-windy'),
        array('icon-sun-wind' => 'icon-sun-wind'),
        array('icon-cloud-fog' => 'icon-cloud-fog'),
        array('icon-cloud-sun' => 'icon-cloud-sun'),
        array('icon-cloud-lightning' => 'icon-cloud-lightning'),
        array('icon-cloud-sync' => 'icon-cloud-sync'),
        array('icon-cloud-lock' => 'icon-cloud-lock'),
        array('icon-cloud-gear' => 'icon-cloud-gear'),
        array('icon-cloud-alert' => 'icon-cloud-alert'),
        array('icon-cloud-check' => 'icon-cloud-check'),
        array('icon-cloud-cross' => 'icon-cloud-cross'),
        array('icon-cloud-crossed' => 'icon-cloud-crossed'),
        array('icon-cloud-database' => 'icon-cloud-database'),
        array('icon-database' => 'icon-database'),
        array('icon-database-add' => 'icon-database-add'),
        array('icon-database-remove' => 'icon-database-remove'),
        array('icon-database-lock' => 'icon-database-lock'),
        array('icon-database-refresh' => 'icon-database-refresh'),
        array('icon-database-check' => 'icon-database-check'),
        array('icon-database-history' => 'icon-database-history'),
        array('icon-database-upload' => 'icon-database-upload'),
        array('icon-database-download' => 'icon-database-download'),
        array('icon-server' => 'icon-server'),
        array('icon-shield' => 'icon-shield'),
        array('icon-shield-check' => 'icon-shield-check'),
        array('icon-shield-alert' => 'icon-shield-alert'),
        array('icon-shield-cross' => 'icon-shield-cross'),
        array('icon-lock' => 'icon-lock'),
        array('icon-rotation-lock' => 'icon-rotation-lock'),
        array('icon-unlock' => 'icon-unlock'),
        array('icon-key' => 'icon-key'),
        array('icon-key-hole' => 'icon-key-hole'),
        array('icon-toggle-off' => 'icon-toggle-off'),
        array('icon-toggle-on' => 'icon-toggle-on'),
        array('icon-cog' => 'icon-cog'),
        array('icon-cog2' => 'icon-cog2'),
        array('icon-wrench' => 'icon-wrench'),
        array('icon-screwdriver' => 'icon-screwdriver'),
        array('icon-hammer-wrench' => 'icon-hammer-wrench'),
        array('icon-hammer' => 'icon-hammer'),
        array('icon-saw' => 'icon-saw'),
        array('icon-axe' => 'icon-axe'),
        array('icon-axe2' => 'icon-axe2'),
        array('icon-shovel' => 'icon-shovel'),
        array('icon-pickaxe' => 'icon-pickaxe'),
        array('icon-factory' => 'icon-factory'),
        array('icon-factory2' => 'icon-factory2'),
        array('icon-recycle' => 'icon-recycle'),
        array('icon-trash' => 'icon-trash'),
        array('icon-trash2' => 'icon-trash2'),
        array('icon-trash3' => 'icon-trash3'),
        array('icon-broom' => 'icon-broom'),
        array('icon-game' => 'icon-game'),
        array('icon-gamepad' => 'icon-gamepad'),
        array('icon-joystick' => 'icon-joystick'),
        array('icon-dice' => 'icon-dice'),
        array('icon-spades' => 'icon-spades'),
        array('icon-diamonds' => 'icon-diamonds'),
        array('icon-clubs' => 'icon-clubs'),
        array('icon-hearts' => 'icon-hearts'),
        array('icon-heart' => 'icon-heart'),
        array('icon-star' => 'icon-star'),
        array('icon-star-half' => 'icon-star-half'),
        array('icon-star-empty' => 'icon-star-empty'),
        array('icon-flag' => 'icon-flag'),
        array('icon-flag2' => 'icon-flag2'),
        array('icon-flag3' => 'icon-flag3'),
        array('icon-mailbox-full' => 'icon-mailbox-full'),
        array('icon-mailbox-empty' => 'icon-mailbox-empty'),
        array('icon-at-sign' => 'icon-at-sign'),
        array('icon-envelope' => 'icon-envelope'),
        array('icon-envelope-open' => 'icon-envelope-open'),
        array('icon-paperclip' => 'icon-paperclip'),
        array('icon-paper-plane' => 'icon-paper-plane'),
        array('icon-reply' => 'icon-reply'),
        array('icon-reply-all' => 'icon-reply-all'),
        array('icon-inbox' => 'icon-inbox'),
        array('icon-inbox2' => 'icon-inbox2'),
        array('icon-outbox' => 'icon-outbox'),
        array('icon-box' => 'icon-box'),
        array('icon-archive' => 'icon-archive'),
        array('icon-archive2' => 'icon-archive2'),
        array('icon-drawers' => 'icon-drawers'),
        array('icon-drawers2' => 'icon-drawers2'),
        array('icon-drawers3' => 'icon-drawers3'),
        array('icon-eye' => 'icon-eye'),
        array('icon-eye-crossed' => 'icon-eye-crossed'),
        array('icon-eye-plus' => 'icon-eye-plus'),
        array('icon-eye-minus' => 'icon-eye-minus'),
        array('icon-binoculars' => 'icon-binoculars'),
        array('icon-binoculars2' => 'icon-binoculars2'),
        array('icon-hdd' => 'icon-hdd'),
        array('icon-hdd-down' => 'icon-hdd-down'),
        array('icon-hdd-up' => 'icon-hdd-up'),
        array('icon-floppy-disk' => 'icon-floppy-disk'),
        array('icon-disc' => 'icon-disc'),
        array('icon-tape2' => 'icon-tape2'),
        array('icon-printer' => 'icon-printer'),
        array('icon-shredder' => 'icon-shredder'),
        array('icon-file-empty' => 'icon-file-empty'),
        array('icon-file-add' => 'icon-file-add'),
        array('icon-file-check' => 'icon-file-check'),
        array('icon-file-lock' => 'icon-file-lock'),
        array('icon-files' => 'icon-files'),
        array('icon-copy' => 'icon-copy'),
        array('icon-compare' => 'icon-compare'),
        array('icon-folder' => 'icon-folder'),
        array('icon-folder-search' => 'icon-folder-search'),
        array('icon-folder-plus' => 'icon-folder-plus'),
        array('icon-folder-minus' => 'icon-folder-minus'),
        array('icon-folder-download' => 'icon-folder-download'),
        array('icon-folder-upload' => 'icon-folder-upload'),
        array('icon-folder-star' => 'icon-folder-star'),
        array('icon-folder-heart' => 'icon-folder-heart'),
        array('icon-folder-user' => 'icon-folder-user'),
        array('icon-folder-shared' => 'icon-folder-shared'),
        array('icon-folder-music' => 'icon-folder-music'),
        array('icon-folder-picture' => 'icon-folder-picture'),
        array('icon-folder-film' => 'icon-folder-film'),
        array('icon-scissors' => 'icon-scissors'),
        array('icon-paste' => 'icon-paste'),
        array('icon-clipboard-empty' => 'icon-clipboard-empty'),
        array('icon-clipboard-pencil' => 'icon-clipboard-pencil'),
        array('icon-clipboard-text' => 'icon-clipboard-text'),
        array('icon-clipboard-check' => 'icon-clipboard-check'),
        array('icon-clipboard-down' => 'icon-clipboard-down'),
        array('icon-clipboard-left' => 'icon-clipboard-left'),
        array('icon-clipboard-alert' => 'icon-clipboard-alert'),
        array('icon-clipboard-user' => 'icon-clipboard-user'),
        array('icon-register' => 'icon-register'),
        array('icon-enter' => 'icon-enter'),
        array('icon-exit' => 'icon-exit'),
        array('icon-papers' => 'icon-papers'),
        array('icon-news' => 'icon-news'),
        array('icon-reading' => 'icon-reading'),
        array('icon-typewriter' => 'icon-typewriter'),
        array('icon-document' => 'icon-document'),
        array('icon-document2' => 'icon-document2'),
        array('icon-graduation-hat' => 'icon-graduation-hat'),
        array('icon-license' => 'icon-license'),
        array('icon-license2' => 'icon-license2'),
        array('icon-medal-empty' => 'icon-medal-empty'),
        array('icon-medal-first' => 'icon-medal-first'),
        array('icon-medal-second' => 'icon-medal-second'),
        array('icon-medal-third' => 'icon-medal-third'),
        array('icon-podium' => 'icon-podium'),
        array('icon-trophy' => 'icon-trophy'),
        array('icon-trophy2' => 'icon-trophy2'),
        array('icon-music-note' => 'icon-music-note'),
        array('icon-music-note2' => 'icon-music-note2'),
        array('icon-music-note3' => 'icon-music-note3'),
        array('icon-playlist' => 'icon-playlist'),
        array('icon-playlist-add' => 'icon-playlist-add'),
        array('icon-guitar' => 'icon-guitar'),
        array('icon-trumpet' => 'icon-trumpet'),
        array('icon-album' => 'icon-album'),
        array('icon-shuffle' => 'icon-shuffle'),
        array('icon-repeat-one' => 'icon-repeat-one'),
        array('icon-repeat' => 'icon-repeat'),
        array('icon-headphones' => 'icon-headphones'),
        array('icon-headset' => 'icon-headset'),
        array('icon-loudspeaker' => 'icon-loudspeaker'),
        array('icon-equalizer' => 'icon-equalizer'),
        array('icon-theater' => 'icon-theater'),
        array('icon-3d-glasses' => 'icon-3d-glasses'),
        array('icon-ticket' => 'icon-ticket'),
        array('icon-presentation' => 'icon-presentation'),
        array('icon-play' => 'icon-play'),
        array('icon-film-play' => 'icon-film-play'),
        array('icon-clapboard-play' => 'icon-clapboard-play'),
        array('icon-media' => 'icon-media'),
        array('icon-film' => 'icon-film'),
        array('icon-film2' => 'icon-film2'),
        array('icon-surveillance' => 'icon-surveillance'),
        array('icon-surveillance2' => 'icon-surveillance2'),
        array('icon-camera' => 'icon-camera'),
        array('icon-camera-crossed' => 'icon-camera-crossed'),
        array('icon-camera-play' => 'icon-camera-play'),
        array('icon-time-lapse' => 'icon-time-lapse'),
        array('icon-record' => 'icon-record'),
        array('icon-camera2' => 'icon-camera2'),
        array('icon-camera-flip' => 'icon-camera-flip'),
        array('icon-panorama' => 'icon-panorama'),
        array('icon-time-lapse2' => 'icon-time-lapse2'),
        array('icon-shutter' => 'icon-shutter'),
        array('icon-shutter2' => 'icon-shutter2'),
        array('icon-face-detection' => 'icon-face-detection'),
        array('icon-flare' => 'icon-flare'),
        array('icon-convex' => 'icon-convex'),
        array('icon-concave' => 'icon-concave'),
        array('icon-picture' => 'icon-picture'),
        array('icon-picture2' => 'icon-picture2'),
        array('icon-picture3' => 'icon-picture3'),
        array('icon-pictures' => 'icon-pictures'),
        array('icon-book' => 'icon-book'),
        array('icon-audio-book' => 'icon-audio-book'),
        array('icon-book2' => 'icon-book2'),
        array('icon-bookmark' => 'icon-bookmark'),
        array('icon-bookmark2' => 'icon-bookmark2'),
        array('icon-label' => 'icon-label'),
        array('icon-library' => 'icon-library'),
        array('icon-library2' => 'icon-library2'),
        array('icon-contacts' => 'icon-contacts'),
        array('icon-profile' => 'icon-profile'),
        array('icon-portrait' => 'icon-portrait'),
        array('icon-portrait2' => 'icon-portrait2'),
        array('icon-user' => 'icon-user'),
        array('icon-user-plus' => 'icon-user-plus'),
        array('icon-user-minus' => 'icon-user-minus'),
        array('icon-user-lock' => 'icon-user-lock'),
        array('icon-users' => 'icon-users'),
        array('icon-users2' => 'icon-users2'),
        array('icon-users-plus' => 'icon-users-plus'),
        array('icon-users-minus' => 'icon-users-minus'),
        array('icon-group-work' => 'icon-group-work'),
        array('icon-woman' => 'icon-woman'),
        array('icon-man' => 'icon-man'),
        array('icon-baby' => 'icon-baby'),
        array('icon-baby2' => 'icon-baby2'),
        array('icon-baby3' => 'icon-baby3'),
        array('icon-baby-bottle' => 'icon-baby-bottle'),
        array('icon-walk' => 'icon-walk'),
        array('icon-hand-waving' => 'icon-hand-waving'),
        array('icon-jump' => 'icon-jump'),
        array('icon-run' => 'icon-run'),
        array('icon-woman2' => 'icon-woman2'),
        array('icon-man2' => 'icon-man2'),
        array('icon-man-woman' => 'icon-man-woman'),
        array('icon-height' => 'icon-height'),
        array('icon-weight' => 'icon-weight'),
        array('icon-scale' => 'icon-scale'),
        array('icon-button' => 'icon-button'),
        array('icon-bow-tie' => 'icon-bow-tie'),
        array('icon-tie' => 'icon-tie'),
        array('icon-socks' => 'icon-socks'),
        array('icon-shoe' => 'icon-shoe'),
        array('icon-shoes' => 'icon-shoes'),
        array('icon-hat' => 'icon-hat'),
        array('icon-pants' => 'icon-pants'),
        array('icon-shorts' => 'icon-shorts'),
        array('icon-flip-flops' => 'icon-flip-flops'),
        array('icon-shirt' => 'icon-shirt'),
        array('icon-hanger' => 'icon-hanger'),
        array('icon-laundry' => 'icon-laundry'),
        array('icon-store' => 'icon-store'),
        array('icon-haircut' => 'icon-haircut'),
        array('icon-store-24' => 'icon-store-24'),
        array('icon-barcode' => 'icon-barcode'),
        array('icon-barcode2' => 'icon-barcode2'),
        array('icon-barcode3' => 'icon-barcode3'),
        array('icon-cashier' => 'icon-cashier'),
        array('icon-bag' => 'icon-bag'),
        array('icon-bag2' => 'icon-bag2'),
        array('icon-cart' => 'icon-cart'),
        array('icon-cart-empty' => 'icon-cart-empty'),
        array('icon-cart-full' => 'icon-cart-full'),
        array('icon-cart-plus' => 'icon-cart-plus'),
        array('icon-cart-plus2' => 'icon-cart-plus2'),
        array('icon-cart-add' => 'icon-cart-add'),
        array('icon-cart-remove' => 'icon-cart-remove'),
        array('icon-cart-exchange' => 'icon-cart-exchange'),
        array('icon-tag' => 'icon-tag'),
        array('icon-tags' => 'icon-tags'),
        array('icon-receipt' => 'icon-receipt'),
        array('icon-wallet' => 'icon-wallet'),
        array('icon-credit-card' => 'icon-credit-card'),
        array('icon-cash-dollar' => 'icon-cash-dollar'),
        array('icon-cash-euro' => 'icon-cash-euro'),
        array('icon-cash-pound' => 'icon-cash-pound'),
        array('icon-cash-yen' => 'icon-cash-yen'),
        array('icon-bag-dollar' => 'icon-bag-dollar'),
        array('icon-bag-euro' => 'icon-bag-euro'),
        array('icon-bag-pound' => 'icon-bag-pound'),
        array('icon-bag-yen' => 'icon-bag-yen'),
        array('icon-coin-dollar' => 'icon-coin-dollar'),
        array('icon-coin-euro' => 'icon-coin-euro'),
        array('icon-coin-pound' => 'icon-coin-pound'),
        array('icon-coin-yen' => 'icon-coin-yen'),
        array('icon-calculator' => 'icon-calculator'),
        array('icon-calculator2' => 'icon-calculator2'),
        array('icon-abacus' => 'icon-abacus'),
        array('icon-vault' => 'icon-vault'),
        array('icon-telephone' => 'icon-telephone'),
        array('icon-phone-lock' => 'icon-phone-lock'),
        array('icon-phone-wave' => 'icon-phone-wave'),
        array('icon-phone-pause' => 'icon-phone-pause'),
        array('icon-phone-outgoing' => 'icon-phone-outgoing'),
        array('icon-phone-incoming' => 'icon-phone-incoming'),
        array('icon-phone-in-out' => 'icon-phone-in-out'),
        array('icon-phone-error' => 'icon-phone-error'),
        array('icon-phone-sip' => 'icon-phone-sip'),
        array('icon-phone-plus' => 'icon-phone-plus'),
        array('icon-phone-minus' => 'icon-phone-minus'),
        array('icon-voicemail' => 'icon-voicemail'),
        array('icon-dial' => 'icon-dial'),
        array('icon-telephone2' => 'icon-telephone2'),
        array('icon-pushpin' => 'icon-pushpin'),
        array('icon-pushpin2' => 'icon-pushpin2'),
        array('icon-map-marker' => 'icon-map-marker'),
        array('icon-map-marker-user' => 'icon-map-marker-user'),
        array('icon-map-marker-down' => 'icon-map-marker-down'),
        array('icon-map-marker-check' => 'icon-map-marker-check'),
        array('icon-map-marker-crossed' => 'icon-map-marker-crossed'),
        array('icon-radar' => 'icon-radar'),
        array('icon-compass2' => 'icon-compass2'),
        array('icon-map' => 'icon-map'),
        array('icon-map2' => 'icon-map2'),
        array('icon-location' => 'icon-location'),
        array('icon-road-sign' => 'icon-road-sign'),
        array('icon-calendar-empty' => 'icon-calendar-empty'),
        array('icon-calendar-check' => 'icon-calendar-check'),
        array('icon-calendar-cross' => 'icon-calendar-cross'),
        array('icon-calendar-31' => 'icon-calendar-31'),
        array('icon-calendar-full' => 'icon-calendar-full'),
        array('icon-calendar-insert' => 'icon-calendar-insert'),
        array('icon-calendar-text' => 'icon-calendar-text'),
        array('icon-calendar-user' => 'icon-calendar-user'),
        array('icon-mouse' => 'icon-mouse'),
        array('icon-mouse-left' => 'icon-mouse-left'),
        array('icon-mouse-right' => 'icon-mouse-right'),
        array('icon-mouse-both' => 'icon-mouse-both'),
        array('icon-keyboard' => 'icon-keyboard'),
        array('icon-keyboard-up' => 'icon-keyboard-up'),
        array('icon-keyboard-down' => 'icon-keyboard-down'),
        array('icon-delete' => 'icon-delete'),
        array('icon-spell-check' => 'icon-spell-check'),
        array('icon-escape' => 'icon-escape'),
        array('icon-enter2' => 'icon-enter2'),
        array('icon-screen' => 'icon-screen'),
        array('icon-aspect-ratio' => 'icon-aspect-ratio'),
        array('icon-signal' => 'icon-signal'),
        array('icon-signal-lock' => 'icon-signal-lock'),
        array('icon-signal-80' => 'icon-signal-80'),
        array('icon-signal-60' => 'icon-signal-60'),
        array('icon-signal-40' => 'icon-signal-40'),
        array('icon-signal-20' => 'icon-signal-20'),
        array('icon-signal-0' => 'icon-signal-0'),
        array('icon-signal-blocked' => 'icon-signal-blocked'),
        array('icon-sim' => 'icon-sim'),
        array('icon-flash-memory' => 'icon-flash-memory'),
        array('icon-usb-drive' => 'icon-usb-drive'),
        array('icon-phone' => 'icon-phone'),
        array('icon-smartphone' => 'icon-smartphone'),
        array('icon-smartphone-notification' => 'icon-smartphone-notification'),
        array('icon-smartphone-vibration' => 'icon-smartphone-vibration'),
        array('icon-smartphone-embed' => 'icon-smartphone-embed'),
        array('icon-smartphone-waves' => 'icon-smartphone-waves'),
        array('icon-tablet' => 'icon-tablet'),
        array('icon-tablet2' => 'icon-tablet2'),
        array('icon-laptop' => 'icon-laptop'),
        array('icon-laptop-phone' => 'icon-laptop-phone'),
        array('icon-desktop' => 'icon-desktop'),
        array('icon-launch' => 'icon-launch'),
        array('icon-new-tab' => 'icon-new-tab'),
        array('icon-window' => 'icon-window'),
        array('icon-cable' => 'icon-cable'),
        array('icon-cable2' => 'icon-cable2'),
        array('icon-tv' => 'icon-tv'),
        array('icon-radio' => 'icon-radio'),
        array('icon-remote-control' => 'icon-remote-control'),
        array('icon-power-switch' => 'icon-power-switch'),
        array('icon-power' => 'icon-power'),
        array('icon-power-crossed' => 'icon-power-crossed'),
        array('icon-flash-auto' => 'icon-flash-auto'),
        array('icon-lamp' => 'icon-lamp'),
        array('icon-flashlight' => 'icon-flashlight'),
        array('icon-lampshade' => 'icon-lampshade'),
        array('icon-cord' => 'icon-cord'),
        array('icon-outlet' => 'icon-outlet'),
        array('icon-battery-power' => 'icon-battery-power'),
        array('icon-battery-empty' => 'icon-battery-empty'),
        array('icon-battery-alert' => 'icon-battery-alert'),
        array('icon-battery-error' => 'icon-battery-error'),
        array('icon-battery-low1' => 'icon-battery-low1'),
        array('icon-battery-low2' => 'icon-battery-low2'),
        array('icon-battery-low3' => 'icon-battery-low3'),
        array('icon-battery-mid1' => 'icon-battery-mid1'),
        array('icon-battery-mid2' => 'icon-battery-mid2'),
        array('icon-battery-mid3' => 'icon-battery-mid3'),
        array('icon-battery-full' => 'icon-battery-full'),
        array('icon-battery-charging' => 'icon-battery-charging'),
        array('icon-battery-charging2' => 'icon-battery-charging2'),
        array('icon-battery-charging3' => 'icon-battery-charging3'),
        array('icon-battery-charging4' => 'icon-battery-charging4'),
        array('icon-battery-charging5' => 'icon-battery-charging5'),
        array('icon-battery-charging6' => 'icon-battery-charging6'),
        array('icon-battery-charging7' => 'icon-battery-charging7'),
        array('icon-chip' => 'icon-chip'),
        array('icon-chip-x64' => 'icon-chip-x64'),
        array('icon-chip-x86' => 'icon-chip-x86'),
        array('icon-bubble' => 'icon-bubble'),
        array('icon-bubbles' => 'icon-bubbles'),
        array('icon-bubble-dots' => 'icon-bubble-dots'),
        array('icon-bubble-alert' => 'icon-bubble-alert'),
        array('icon-bubble-question' => 'icon-bubble-question'),
        array('icon-bubble-text' => 'icon-bubble-text'),
        array('icon-bubble-pencil' => 'icon-bubble-pencil'),
        array('icon-bubble-picture' => 'icon-bubble-picture'),
        array('icon-bubble-video' => 'icon-bubble-video'),
        array('icon-bubble-user' => 'icon-bubble-user'),
        array('icon-bubble-quote' => 'icon-bubble-quote'),
        array('icon-bubble-heart' => 'icon-bubble-heart'),
        array('icon-bubble-emoticon' => 'icon-bubble-emoticon'),
        array('icon-bubble-attachment' => 'icon-bubble-attachment'),
        array('icon-phone-bubble' => 'icon-phone-bubble'),
        array('icon-quote-open' => 'icon-quote-open'),
        array('icon-quote-close' => 'icon-quote-close'),
        array('icon-dna' => 'icon-dna'),
        array('icon-heart-pulse' => 'icon-heart-pulse'),
        array('icon-pulse' => 'icon-pulse'),
        array('icon-syringe' => 'icon-syringe'),
        array('icon-pills' => 'icon-pills'),
        array('icon-first-aid' => 'icon-first-aid'),
        array('icon-lifebuoy' => 'icon-lifebuoy'),
        array('icon-bandage' => 'icon-bandage'),
        array('icon-bandages' => 'icon-bandages'),
        array('icon-thermometer' => 'icon-thermometer'),
        array('icon-microscope' => 'icon-microscope'),
        array('icon-brain' => 'icon-brain'),
        array('icon-beaker' => 'icon-beaker'),
        array('icon-skull' => 'icon-skull'),
        array('icon-bone' => 'icon-bone'),
        array('icon-construction' => 'icon-construction'),
        array('icon-construction-cone' => 'icon-construction-cone'),
        array('icon-pie-chart' => 'icon-pie-chart'),
        array('icon-pie-chart2' => 'icon-pie-chart2'),
        array('icon-graph' => 'icon-graph'),
        array('icon-chart-growth' => 'icon-chart-growth'),
        array('icon-chart-bars' => 'icon-chart-bars'),
        array('icon-chart-settings' => 'icon-chart-settings'),
        array('icon-cake' => 'icon-cake'),
        array('icon-gift' => 'icon-gift'),
        array('icon-balloon' => 'icon-balloon'),
        array('icon-rank' => 'icon-rank'),
        array('icon-rank2' => 'icon-rank2'),
        array('icon-rank3' => 'icon-rank3'),
        array('icon-crown' => 'icon-crown'),
        array('icon-lotus' => 'icon-lotus'),
        array('icon-diamond' => 'icon-diamond'),
        array('icon-diamond2' => 'icon-diamond2'),
        array('icon-diamond3' => 'icon-diamond3'),
        array('icon-diamond4' => 'icon-diamond4'),
        array('icon-linearicons' => 'icon-linearicons'),
        array('icon-teacup' => 'icon-teacup'),
        array('icon-teapot' => 'icon-teapot'),
        array('icon-glass' => 'icon-glass'),
        array('icon-bottle2' => 'icon-bottle2'),
        array('icon-glass-cocktail' => 'icon-glass-cocktail'),
        array('icon-glass2' => 'icon-glass2'),
        array('icon-dinner' => 'icon-dinner'),
        array('icon-dinner2' => 'icon-dinner2'),
        array('icon-chef' => 'icon-chef'),
        array('icon-scale2' => 'icon-scale2'),
        array('icon-egg' => 'icon-egg'),
        array('icon-egg2' => 'icon-egg2'),
        array('icon-eggs' => 'icon-eggs'),
        array('icon-platter' => 'icon-platter'),
        array('icon-steak' => 'icon-steak'),
        array('icon-hamburger' => 'icon-hamburger'),
        array('icon-hotdog' => 'icon-hotdog'),
        array('icon-pizza' => 'icon-pizza'),
        array('icon-sausage' => 'icon-sausage'),
        array('icon-chicken' => 'icon-chicken'),
        array('icon-fish' => 'icon-fish'),
        array('icon-carrot' => 'icon-carrot'),
        array('icon-cheese' => 'icon-cheese'),
        array('icon-bread' => 'icon-bread'),
        array('icon-ice-cream' => 'icon-ice-cream'),
        array('icon-ice-cream2' => 'icon-ice-cream2'),
        array('icon-candy' => 'icon-candy'),
        array('icon-lollipop' => 'icon-lollipop'),
        array('icon-coffee-bean' => 'icon-coffee-bean'),
        array('icon-coffee-cup' => 'icon-coffee-cup'),
        array('icon-cherry' => 'icon-cherry'),
        array('icon-grapes' => 'icon-grapes'),
        array('icon-citrus' => 'icon-citrus'),
        array('icon-apple' => 'icon-apple'),
        array('icon-leaf' => 'icon-leaf'),
        array('icon-landscape' => 'icon-landscape'),
        array('icon-pine-tree' => 'icon-pine-tree'),
        array('icon-tree' => 'icon-tree'),
        array('icon-cactus' => 'icon-cactus'),
        array('icon-paw' => 'icon-paw'),
        array('icon-footprint' => 'icon-footprint'),
        array('icon-speed-slow' => 'icon-speed-slow'),
        array('icon-speed-medium' => 'icon-speed-medium'),
        array('icon-speed-fast' => 'icon-speed-fast'),
        array('icon-rocket' => 'icon-rocket'),
        array('icon-hammer2' => 'icon-hammer2'),
        array('icon-balance' => 'icon-balance'),
        array('icon-briefcase' => 'icon-briefcase'),
        array('icon-luggage-weight' => 'icon-luggage-weight'),
        array('icon-dolly' => 'icon-dolly'),
        array('icon-plane' => 'icon-plane'),
        array('icon-plane-crossed' => 'icon-plane-crossed'),
        array('icon-helicopter' => 'icon-helicopter'),
        array('icon-traffic-lights' => 'icon-traffic-lights'),
        array('icon-siren' => 'icon-siren'),
        array('icon-road' => 'icon-road'),
        array('icon-engine' => 'icon-engine'),
        array('icon-oil-pressure' => 'icon-oil-pressure'),
        array('icon-coolant-temperature' => 'icon-coolant-temperature'),
        array('icon-car-battery' => 'icon-car-battery'),
        array('icon-gas' => 'icon-gas'),
        array('icon-gallon' => 'icon-gallon'),
        array('icon-transmission' => 'icon-transmission'),
        array('icon-car' => 'icon-car'),
        array('icon-car-wash' => 'icon-car-wash'),
        array('icon-car-wash2' => 'icon-car-wash2'),
        array('icon-bus' => 'icon-bus'),
        array('icon-bus2' => 'icon-bus2'),
        array('icon-car2' => 'icon-car2'),
        array('icon-parking' => 'icon-parking'),
        array('icon-car-lock' => 'icon-car-lock'),
        array('icon-taxi' => 'icon-taxi'),
        array('icon-car-siren' => 'icon-car-siren'),
        array('icon-car-wash3' => 'icon-car-wash3'),
        array('icon-car-wash4' => 'icon-car-wash4'),
        array('icon-ambulance' => 'icon-ambulance'),
        array('icon-truck' => 'icon-truck'),
        array('icon-trailer' => 'icon-trailer'),
        array('icon-scale-truck' => 'icon-scale-truck'),
        array('icon-train' => 'icon-train'),
        array('icon-ship' => 'icon-ship'),
        array('icon-ship2' => 'icon-ship2'),
        array('icon-anchor' => 'icon-anchor'),
        array('icon-boat' => 'icon-boat'),
        array('icon-bicycle' => 'icon-bicycle'),
        array('icon-bicycle2' => 'icon-bicycle2'),
        array('icon-dumbbell' => 'icon-dumbbell'),
        array('icon-bench-press' => 'icon-bench-press'),
        array('icon-swim' => 'icon-swim'),
        array('icon-football' => 'icon-football'),
        array('icon-baseball-bat' => 'icon-baseball-bat'),
        array('icon-baseball' => 'icon-baseball'),
        array('icon-tennis' => 'icon-tennis'),
        array('icon-tennis2' => 'icon-tennis2'),
        array('icon-ping-pong' => 'icon-ping-pong'),
        array('icon-hockey' => 'icon-hockey'),
        array('icon-8ball' => 'icon-8ball'),
        array('icon-bowling' => 'icon-bowling'),
        array('icon-bowling-pins' => 'icon-bowling-pins'),
        array('icon-golf' => 'icon-golf'),
        array('icon-golf2' => 'icon-golf2'),
        array('icon-archery' => 'icon-archery'),
        array('icon-slingshot' => 'icon-slingshot'),
        array('icon-soccer' => 'icon-soccer'),
        array('icon-basketball' => 'icon-basketball'),
        array('icon-cube' => 'icon-cube'),
        array('icon-3d-rotate' => 'icon-3d-rotate'),
        array('icon-puzzle' => 'icon-puzzle'),
        array('icon-glasses' => 'icon-glasses'),
        array('icon-glasses2' => 'icon-glasses2'),
        array('icon-accessibility' => 'icon-accessibility'),
        array('icon-wheelchair' => 'icon-wheelchair'),
        array('icon-wall' => 'icon-wall'),
        array('icon-fence' => 'icon-fence'),
        array('icon-wall2' => 'icon-wall2'),
        array('icon-icons' => 'icon-icons'),
        array('icon-resize-handle' => 'icon-resize-handle'),
        array('icon-icons2' => 'icon-icons2'),
        array('icon-select' => 'icon-select'),
        array('icon-select2' => 'icon-select2'),
        array('icon-site-map' => 'icon-site-map'),
        array('icon-earth' => 'icon-earth'),
        array('icon-earth-lock' => 'icon-earth-lock'),
        array('icon-network' => 'icon-network'),
        array('icon-network-lock' => 'icon-network-lock'),
        array('icon-planet' => 'icon-planet'),
        array('icon-happy' => 'icon-happy'),
        array('icon-smile' => 'icon-smile'),
        array('icon-grin' => 'icon-grin'),
        array('icon-tongue' => 'icon-tongue'),
        array('icon-sad' => 'icon-sad'),
        array('icon-wink' => 'icon-wink'),
        array('icon-dream' => 'icon-dream'),
        array('icon-shocked' => 'icon-shocked'),
        array('icon-shocked2' => 'icon-shocked2'),
        array('icon-tongue2' => 'icon-tongue2'),
        array('icon-neutral' => 'icon-neutral'),
        array('icon-happy-grin' => 'icon-happy-grin'),
        array('icon-cool' => 'icon-cool'),
        array('icon-mad' => 'icon-mad'),
        array('icon-grin-evil' => 'icon-grin-evil'),
        array('icon-evil' => 'icon-evil'),
        array('icon-wow' => 'icon-wow'),
        array('icon-annoyed' => 'icon-annoyed'),
        array('icon-wondering' => 'icon-wondering'),
        array('icon-confused' => 'icon-confused'),
        array('icon-zipped' => 'icon-zipped'),
        array('icon-grumpy' => 'icon-grumpy'),
        array('icon-mustache' => 'icon-mustache'),
        array('icon-tombstone-hipster' => 'icon-tombstone-hipster'),
        array('icon-tombstone' => 'icon-tombstone'),
        array('icon-ghost' => 'icon-ghost'),
        array('icon-ghost-hipster' => 'icon-ghost-hipster'),
        array('icon-halloween' => 'icon-halloween'),
        array('icon-christmas' => 'icon-christmas'),
        array('icon-easter-egg' => 'icon-easter-egg'),
        array('icon-mustache2' => 'icon-mustache2'),
        array('icon-mustache-glasses' => 'icon-mustache-glasses'),
        array('icon-pipe' => 'icon-pipe'),
        array('icon-alarm' => 'icon-alarm'),
        array('icon-alarm-add' => 'icon-alarm-add'),
        array('icon-alarm-snooze' => 'icon-alarm-snooze'),
        array('icon-alarm-ringing' => 'icon-alarm-ringing'),
        array('icon-bullhorn' => 'icon-bullhorn'),
        array('icon-hearing' => 'icon-hearing'),
        array('icon-volume-high' => 'icon-volume-high'),
        array('icon-volume-medium' => 'icon-volume-medium'),
        array('icon-volume-low' => 'icon-volume-low'),
        array('icon-volume' => 'icon-volume'),
        array('icon-mute' => 'icon-mute'),
        array('icon-lan' => 'icon-lan'),
        array('icon-lan2' => 'icon-lan2'),
        array('icon-wifi' => 'icon-wifi'),
        array('icon-wifi-lock' => 'icon-wifi-lock'),
        array('icon-wifi-blocked' => 'icon-wifi-blocked'),
        array('icon-wifi-mid' => 'icon-wifi-mid'),
        array('icon-wifi-low' => 'icon-wifi-low'),
        array('icon-wifi-low2' => 'icon-wifi-low2'),
        array('icon-wifi-alert' => 'icon-wifi-alert'),
        array('icon-wifi-alert-mid' => 'icon-wifi-alert-mid'),
        array('icon-wifi-alert-low' => 'icon-wifi-alert-low'),
        array('icon-wifi-alert-low2' => 'icon-wifi-alert-low2'),
        array('icon-stream' => 'icon-stream'),
        array('icon-stream-check' => 'icon-stream-check'),
        array('icon-stream-error' => 'icon-stream-error'),
        array('icon-stream-alert' => 'icon-stream-alert'),
        array('icon-communication' => 'icon-communication'),
        array('icon-communication-crossed' => 'icon-communication-crossed'),
        array('icon-broadcast' => 'icon-broadcast'),
        array('icon-antenna' => 'icon-antenna'),
        array('icon-satellite' => 'icon-satellite'),
        array('icon-satellite2' => 'icon-satellite2'),
        array('icon-mic' => 'icon-mic'),
        array('icon-mic-mute' => 'icon-mic-mute'),
        array('icon-mic2' => 'icon-mic2'),
        array('icon-spotlights' => 'icon-spotlights'),
        array('icon-hourglass' => 'icon-hourglass'),
        array('icon-loading' => 'icon-loading'),
        array('icon-loading2' => 'icon-loading2'),
        array('icon-loading3' => 'icon-loading3'),
        array('icon-refresh' => 'icon-refresh'),
        array('icon-refresh2' => 'icon-refresh2'),
        array('icon-undo' => 'icon-undo'),
        array('icon-redo' => 'icon-redo'),
        array('icon-jump2' => 'icon-jump2'),
        array('icon-undo2' => 'icon-undo2'),
        array('icon-redo2' => 'icon-redo2'),
        array('icon-sync' => 'icon-sync'),
        array('icon-repeat-one2' => 'icon-repeat-one2'),
        array('icon-sync-crossed' => 'icon-sync-crossed'),
        array('icon-sync2' => 'icon-sync2'),
        array('icon-repeat-one3' => 'icon-repeat-one3'),
        array('icon-sync-crossed2' => 'icon-sync-crossed2'),
        array('icon-return' => 'icon-return'),
        array('icon-return2' => 'icon-return2'),
        array('icon-refund' => 'icon-refund'),
        array('icon-history' => 'icon-history'),
        array('icon-history2' => 'icon-history2'),
        array('icon-self-timer' => 'icon-self-timer'),
        array('icon-clock' => 'icon-clock'),
        array('icon-clock2' => 'icon-clock2'),
        array('icon-clock3' => 'icon-clock3'),
        array('icon-watch' => 'icon-watch'),
        array('icon-alarm2' => 'icon-alarm2'),
        array('icon-alarm-add2' => 'icon-alarm-add2'),
        array('icon-alarm-remove' => 'icon-alarm-remove'),
        array('icon-alarm-check' => 'icon-alarm-check'),
        array('icon-alarm-error' => 'icon-alarm-error'),
        array('icon-timer' => 'icon-timer'),
        array('icon-timer-crossed' => 'icon-timer-crossed'),
        array('icon-timer2' => 'icon-timer2'),
        array('icon-timer-crossed2' => 'icon-timer-crossed2'),
        array('icon-download' => 'icon-download'),
        array('icon-upload' => 'icon-upload'),
        array('icon-download2' => 'icon-download2'),
        array('icon-upload2' => 'icon-upload2'),
        array('icon-enter-up' => 'icon-enter-up'),
        array('icon-enter-down' => 'icon-enter-down'),
        array('icon-enter-left' => 'icon-enter-left'),
        array('icon-enter-right' => 'icon-enter-right'),
        array('icon-exit-up' => 'icon-exit-up'),
        array('icon-exit-down' => 'icon-exit-down'),
        array('icon-exit-left' => 'icon-exit-left'),
        array('icon-exit-right' => 'icon-exit-right'),
        array('icon-enter-up2' => 'icon-enter-up2'),
        array('icon-enter-down2' => 'icon-enter-down2'),
        array('icon-enter-vertical' => 'icon-enter-vertical'),
        array('icon-enter-left2' => 'icon-enter-left2'),
        array('icon-enter-right2' => 'icon-enter-right2'),
        array('icon-enter-horizontal' => 'icon-enter-horizontal'),
        array('icon-exit-up2' => 'icon-exit-up2'),
        array('icon-exit-down2' => 'icon-exit-down2'),
        array('icon-exit-left2' => 'icon-exit-left2'),
        array('icon-exit-right2' => 'icon-exit-right2'),
        array('icon-cli' => 'icon-cli'),
        array('icon-bug' => 'icon-bug'),
        array('icon-code' => 'icon-code'),
        array('icon-file-code' => 'icon-file-code'),
        array('icon-file-image' => 'icon-file-image'),
        array('icon-file-zip' => 'icon-file-zip'),
        array('icon-file-audio' => 'icon-file-audio'),
        array('icon-file-video' => 'icon-file-video'),
        array('icon-file-preview' => 'icon-file-preview'),
        array('icon-file-charts' => 'icon-file-charts'),
        array('icon-file-stats' => 'icon-file-stats'),
        array('icon-file-spreadsheet' => 'icon-file-spreadsheet'),
        array('icon-link' => 'icon-link'),
        array('icon-unlink' => 'icon-unlink'),
        array('icon-link2' => 'icon-link2'),
        array('icon-unlink2' => 'icon-unlink2'),
        array('icon-thumbs-up' => 'icon-thumbs-up'),
        array('icon-thumbs-down' => 'icon-thumbs-down'),
        array('icon-thumbs-up2' => 'icon-thumbs-up2'),
        array('icon-thumbs-down2' => 'icon-thumbs-down2'),
        array('icon-thumbs-up3' => 'icon-thumbs-up3'),
        array('icon-thumbs-down3' => 'icon-thumbs-down3'),
        array('icon-share' => 'icon-share'),
        array('icon-share2' => 'icon-share2'),
        array('icon-share3' => 'icon-share3'),
        array('icon-magnifier' => 'icon-magnifier'),
        array('icon-file-search' => 'icon-file-search'),
        array('icon-find-replace' => 'icon-find-replace'),
        array('icon-zoom-in' => 'icon-zoom-in'),
        array('icon-zoom-out' => 'icon-zoom-out'),
        array('icon-loupe' => 'icon-loupe'),
        array('icon-loupe-zoom-in' => 'icon-loupe-zoom-in'),
        array('icon-loupe-zoom-out' => 'icon-loupe-zoom-out'),
        array('icon-cross' => 'icon-cross'),
        array('icon-menu' => 'icon-menu'),
        array('icon-list' => 'icon-list'),
        array('icon-list2' => 'icon-list2'),
        array('icon-list3' => 'icon-list3'),
        array('icon-menu2' => 'icon-menu2'),
        array('icon-list4' => 'icon-list4'),
        array('icon-menu3' => 'icon-menu3'),
        array('icon-exclamation' => 'icon-exclamation'),
        array('icon-question' => 'icon-question'),
        array('icon-check' => 'icon-check'),
        array('icon-cross2' => 'icon-cross2'),
        array('icon-plus' => 'icon-plus'),
        array('icon-minus' => 'icon-minus'),
        array('icon-percent' => 'icon-percent'),
        array('icon-chevron-up' => 'icon-chevron-up'),
        array('icon-chevron-down' => 'icon-chevron-down'),
        array('icon-chevron-left' => 'icon-chevron-left'),
        array('icon-chevron-right' => 'icon-chevron-right'),
        array('icon-chevrons-expand-vertical' => 'icon-chevrons-expand-vertical'),
        array('icon-chevrons-expand-horizontal' => 'icon-chevrons-expand-horizontal'),
        array('icon-chevrons-contract-vertical' => 'icon-chevrons-contract-vertical'),
        array('icon-chevrons-contract-horizontal' => 'icon-chevrons-contract-horizontal'),
        array('icon-arrow-up' => 'icon-arrow-up'),
        array('icon-arrow-down' => 'icon-arrow-down'),
        array('icon-arrow-left' => 'icon-arrow-left'),
        array('icon-arrow-right' => 'icon-arrow-right'),
        array('icon-arrow-up-right' => 'icon-arrow-up-right'),
        array('icon-arrows-merge' => 'icon-arrows-merge'),
        array('icon-arrows-split' => 'icon-arrows-split'),
        array('icon-arrow-divert' => 'icon-arrow-divert'),
        array('icon-arrow-return' => 'icon-arrow-return'),
        array('icon-expand' => 'icon-expand'),
        array('icon-contract' => 'icon-contract'),
        array('icon-expand2' => 'icon-expand2'),
        array('icon-contract2' => 'icon-contract2'),
        array('icon-move' => 'icon-move'),
        array('icon-tab' => 'icon-tab'),
        array('icon-arrow-wave' => 'icon-arrow-wave'),
        array('icon-expand3' => 'icon-expand3'),
        array('icon-expand4' => 'icon-expand4'),
        array('icon-contract3' => 'icon-contract3'),
        array('icon-notification' => 'icon-notification'),
        array('icon-warning' => 'icon-warning'),
        array('icon-notification-circle' => 'icon-notification-circle'),
        array('icon-question-circle' => 'icon-question-circle'),
        array('icon-menu-circle' => 'icon-menu-circle'),
        array('icon-checkmark-circle' => 'icon-checkmark-circle'),
        array('icon-cross-circle' => 'icon-cross-circle'),
        array('icon-plus-circle' => 'icon-plus-circle'),
        array('icon-circle-minus' => 'icon-circle-minus'),
        array('icon-percent-circle' => 'icon-percent-circle'),
        array('icon-arrow-up-circle' => 'icon-arrow-up-circle'),
        array('icon-arrow-down-circle' => 'icon-arrow-down-circle'),
        array('icon-arrow-left-circle' => 'icon-arrow-left-circle'),
        array('icon-arrow-right-circle' => 'icon-arrow-right-circle'),
        array('icon-chevron-up-circle' => 'icon-chevron-up-circle'),
        array('icon-chevron-down-circle' => 'icon-chevron-down-circle'),
        array('icon-chevron-left-circle' => 'icon-chevron-left-circle'),
        array('icon-chevron-right-circle' => 'icon-chevron-right-circle'),
        array('icon-backward-circle' => 'icon-backward-circle'),
        array('icon-first-circle' => 'icon-first-circle'),
        array('icon-previous-circle' => 'icon-previous-circle'),
        array('icon-stop-circle' => 'icon-stop-circle'),
        array('icon-play-circle' => 'icon-play-circle'),
        array('icon-pause-circle' => 'icon-pause-circle'),
        array('icon-next-circle' => 'icon-next-circle'),
        array('icon-last-circle' => 'icon-last-circle'),
        array('icon-forward-circle' => 'icon-forward-circle'),
        array('icon-eject-circle' => 'icon-eject-circle'),
        array('icon-crop' => 'icon-crop'),
        array('icon-frame-expand' => 'icon-frame-expand'),
        array('icon-frame-contract' => 'icon-frame-contract'),
        array('icon-focus' => 'icon-focus'),
        array('icon-transform' => 'icon-transform'),
        array('icon-grid' => 'icon-grid'),
        array('icon-grid-crossed' => 'icon-grid-crossed'),
        array('icon-layers' => 'icon-layers'),
        array('icon-layers-crossed' => 'icon-layers-crossed'),
        array('icon-toggle' => 'icon-toggle'),
        array('icon-rulers' => 'icon-rulers'),
        array('icon-ruler' => 'icon-ruler'),
        array('icon-funnel' => 'icon-funnel'),
        array('icon-flip-horizontal' => 'icon-flip-horizontal'),
        array('icon-flip-vertical' => 'icon-flip-vertical'),
        array('icon-flip-horizontal2' => 'icon-flip-horizontal2'),
        array('icon-flip-vertical2' => 'icon-flip-vertical2'),
        array('icon-angle' => 'icon-angle'),
        array('icon-angle2' => 'icon-angle2'),
        array('icon-subtract' => 'icon-subtract'),
        array('icon-combine' => 'icon-combine'),
        array('icon-intersect' => 'icon-intersect'),
        array('icon-exclude' => 'icon-exclude'),
        array('icon-align-center-vertical' => 'icon-align-center-vertical'),
        array('icon-align-right' => 'icon-align-right'),
        array('icon-align-bottom' => 'icon-align-bottom'),
        array('icon-align-left' => 'icon-align-left'),
        array('icon-align-center-horizontal' => 'icon-align-center-horizontal'),
        array('icon-align-top' => 'icon-align-top'),
        array('icon-square' => 'icon-square'),
        array('icon-plus-square' => 'icon-plus-square'),
        array('icon-minus-square' => 'icon-minus-square'),
        array('icon-percent-square' => 'icon-percent-square'),
        array('icon-arrow-up-square' => 'icon-arrow-up-square'),
        array('icon-arrow-down-square' => 'icon-arrow-down-square'),
        array('icon-arrow-left-square' => 'icon-arrow-left-square'),
        array('icon-arrow-right-square' => 'icon-arrow-right-square'),
        array('icon-chevron-up-square' => 'icon-chevron-up-square'),
        array('icon-chevron-down-square' => 'icon-chevron-down-square'),
        array('icon-chevron-left-square' => 'icon-chevron-left-square'),
        array('icon-chevron-right-square' => 'icon-chevron-right-square'),
        array('icon-check-square' => 'icon-check-square'),
        array('icon-cross-square' => 'icon-cross-square'),
        array('icon-menu-square' => 'icon-menu-square'),
        array('icon-prohibited' => 'icon-prohibited'),
        array('icon-circle' => 'icon-circle'),
        array('icon-radio-button' => 'icon-radio-button'),
        array('icon-ligature' => 'icon-ligature'),
        array('icon-text-format' => 'icon-text-format'),
        array('icon-text-format-remove' => 'icon-text-format-remove'),
        array('icon-text-size' => 'icon-text-size'),
        array('icon-bold' => 'icon-bold'),
        array('icon-italic' => 'icon-italic'),
        array('icon-underline' => 'icon-underline'),
        array('icon-strikethrough' => 'icon-strikethrough'),
        array('icon-highlight' => 'icon-highlight'),
        array('icon-text-align-left' => 'icon-text-align-left'),
        array('icon-text-align-center' => 'icon-text-align-center'),
        array('icon-text-align-right' => 'icon-text-align-right'),
        array('icon-text-align-justify' => 'icon-text-align-justify'),
        array('icon-line-spacing' => 'icon-line-spacing'),
        array('icon-indent-increase' => 'icon-indent-increase'),
        array('icon-indent-decrease' => 'icon-indent-decrease'),
        array('icon-text-wrap' => 'icon-text-wrap'),
        array('icon-pilcrow' => 'icon-pilcrow'),
        array('icon-direction-ltr' => 'icon-direction-ltr'),
        array('icon-direction-rtl' => 'icon-direction-rtl'),
        array('icon-page-break' => 'icon-page-break'),
        array('icon-page-break2' => 'icon-page-break2'),
        array('icon-sort-alpha-asc' => 'icon-sort-alpha-asc'),
        array('icon-sort-alpha-desc' => 'icon-sort-alpha-desc'),
        array('icon-sort-numeric-asc' => 'icon-sort-numeric-asc'),
        array('icon-sort-numeric-desc' => 'icon-sort-numeric-desc'),
        array('icon-sort-amount-asc' => 'icon-sort-amount-asc'),
        array('icon-sort-amount-desc' => 'icon-sort-amount-desc'),
        array('icon-sort-time-asc' => 'icon-sort-time-asc'),
        array('icon-sort-time-desc' => 'icon-sort-time-desc'),
        array('icon-sigma' => 'icon-sigma'),
        array('icon-pencil-line' => 'icon-pencil-line'),
        array('icon-hand' => 'icon-hand'),
        array('icon-pointer-up' => 'icon-pointer-up'),
        array('icon-pointer-right' => 'icon-pointer-right'),
        array('icon-pointer-down' => 'icon-pointer-down'),
        array('icon-pointer-left' => 'icon-pointer-left'),
        array('icon-finger-tap' => 'icon-finger-tap'),
        array('icon-fingers-tap' => 'icon-fingers-tap'),
        array('icon-reminder' => 'icon-reminder'),
        array('icon-fingers-crossed' => 'icon-fingers-crossed'),
        array('icon-fingers-victory' => 'icon-fingers-victory'),
        array('icon-gesture-zoom' => 'icon-gesture-zoom'),
        array('icon-gesture-pinch' => 'icon-gesture-pinch'),
        array('icon-fingers-scroll-horizontal' => 'icon-fingers-scroll-horizontal'),
        array('icon-fingers-scroll-vertical' => 'icon-fingers-scroll-vertical'),
        array('icon-fingers-scroll-left' => 'icon-fingers-scroll-left'),
        array('icon-fingers-scroll-right' => 'icon-fingers-scroll-right'),
        array('icon-hand2' => 'icon-hand2'),
        array('icon-pointer-up2' => 'icon-pointer-up2'),
        array('icon-pointer-right2' => 'icon-pointer-right2'),
        array('icon-pointer-down2' => 'icon-pointer-down2'),
        array('icon-pointer-left2' => 'icon-pointer-left2'),
        array('icon-finger-tap2' => 'icon-finger-tap2'),
        array('icon-fingers-tap2' => 'icon-fingers-tap2'),
        array('icon-reminder2' => 'icon-reminder2'),
        array('icon-gesture-zoom2' => 'icon-gesture-zoom2'),
        array('icon-gesture-pinch2' => 'icon-gesture-pinch2'),
        array('icon-fingers-scroll-horizontal2' => 'icon-fingers-scroll-horizontal2'),
        array('icon-fingers-scroll-vertical2' => 'icon-fingers-scroll-vertical2'),
        array('icon-fingers-scroll-left2' => 'icon-fingers-scroll-left2'),
        array('icon-fingers-scroll-right2' => 'icon-fingers-scroll-right2'),
        array('icon-fingers-scroll-vertical3' => 'icon-fingers-scroll-vertical3'),
        array('icon-border-style' => 'icon-border-style'),
        array('icon-border-all' => 'icon-border-all'),
        array('icon-border-outer' => 'icon-border-outer'),
        array('icon-border-inner' => 'icon-border-inner'),
        array('icon-border-top' => 'icon-border-top'),
        array('icon-border-horizontal' => 'icon-border-horizontal'),
        array('icon-border-bottom' => 'icon-border-bottom'),
        array('icon-border-left' => 'icon-border-left'),
        array('icon-border-vertical' => 'icon-border-vertical'),
        array('icon-border-right' => 'icon-border-right'),
        array('icon-border-none' => 'icon-border-none'),
        array('icon-ellipsis' => 'icon-ellipsis'),
    );
    return array_merge($icons, $linearicons);
}

/**
 * Register Backend and Frontend CSS Styles
 */
add_action('vc_base_register_front_css', 'cynic_vc_iconpicker_base_register_css');
add_action('vc_base_register_admin_css', 'cynic_vc_iconpicker_base_register_css');

function cynic_vc_iconpicker_base_register_css() {
    $path = apply_filters('cynic_linearicons_font_css_url', get_template_directory_uri() . '/css/classic-modern-agency/flaticon.css');
    wp_enqueue_style('flaticon', $path);
}


/**
 * Define the Icons for VC Iconpicker
 */
add_filter('vc_iconpicker-type-flaticon', 'vc_iconpicker_type_flaticon');

function vc_iconpicker_type_flaticon($icons) {
    $flaticon = array(
        array('flaticon-building-4' => 'flaticon-building-4'),
        array('flaticon-vegetable-shop' => 'flaticon-vegetable-shop'),
        array('flaticon-shop' => 'flaticon-shop'),
    );

    return array_merge($icons, $flaticon);
}
