<?php

add_action('vc_enqueue_font_icon_element', 'cynicSEO_load_vc_caviaricons');

function cynicSEO_load_vc_caviaricons($type)
{
    if ($type == 'caviaricons') {
        $path = apply_filters('cynicSEO_caviaricons_font_css_url', get_template_directory_uri() . '/css/seo-agency/cynic-caviar-icons.css');
        wp_enqueue_style('caviaricons', $path);
    }
}

function cynicSEO_load_backend_caviaricons($page)
{
    if (in_array($page, array('post.php', 'post-new.php'))) {
        $path = apply_filters('cynicSEO_caviaricons_font_css_url', get_template_directory_uri() . '/css/seo-agency/cynic-caviar-icons.css');
        wp_enqueue_style('caviaricons', $path);
    }
}

add_action('admin_enqueue_scripts', 'cynicSEO_load_backend_caviaricons');


add_filter('vc_iconpicker-type-caviaricons', 'cynicSEO_vc_iconpicker_type_caviaricons');

function cynicSEO_vc_iconpicker_type_caviaricons($icons)
{

    $caviaricons = array(
        array("icon-Add-Contacts" => "icon-Add-Contacts"),
        array("icon-Add" => "icon-Add"),
        array("icon-Airplane" => "icon-Airplane"),
        array("icon-Airplay" => "icon-Airplay"),
        array("icon-Alarm" => "icon-Alarm"),
        array("icon-Album" => "icon-Album"),
        array("icon-Align---Center" => "icon-Align---Center"),
        array("icon-Align---Left" => "icon-Align---Left"),
        array("icon-Align---Right" => "icon-Align---Right"),
        array("icon-Anchor" => "icon-Anchor"),
        array("icon-Apple-Watch" => "icon-Apple-Watch"),
        array("icon-Apple" => "icon-Apple"),
        array("icon-Arrow---Down-Left" => "icon-Arrow---Down-Left"),
        array("icon-Arrow---Down-Right" => "icon-Arrow---Down-Right"),
        array("icon-Arrow---Down" => "icon-Arrow---Down"),
        array("icon-Arrow---Left" => "icon-Arrow---Left"),
        array("icon-Arrow---Right" => "icon-Arrow---Right"),
        array("icon-Arrow---Up-Left" => "icon-Arrow---Up-Left"),
        array("icon-Arrow---Up-Right" => "icon-Arrow---Up-Right"),
        array("icon-Arrow---Up" => "icon-Arrow---Up"),
        array("icon-Attachment" => "icon-Attachment"),
        array("icon-Backspace" => "icon-Backspace"),
        array("icon-Balloon" => "icon-Balloon"),
        array("icon-Bandage" => "icon-Bandage"),
        array("icon-Bank" => "icon-Bank"),
        array("icon-Barcode-Scan" => "icon-Barcode-Scan"),
        array("icon-Basketball" => "icon-Basketball"),
        array("icon-Bathtub" => "icon-Bathtub"),
        array("icon-Battery-Charging" => "icon-Battery-Charging"),
        array("icon-Battery-Empty" => "icon-Battery-Empty"),
        array("icon-Battery-Full" => "icon-Battery-Full"),
        array("icon-Battery-Low" => "icon-Battery-Low"),
        array("icon-Battery-Medium" => "icon-Battery-Medium"),
        array("icon-Beauty" => "icon-Beauty"),
        array("icon-Bed" => "icon-Bed"),
        array("icon-Bell" => "icon-Bell"),
        array("icon-Bicycle" => "icon-Bicycle"),
        array("icon-Binoculars" => "icon-Binoculars"),
        array("icon-Bird-House" => "icon-Bird-House"),
        array("icon-Birthday-Cake" => "icon-Birthday-Cake"),
        array("icon-Bluetooth" => "icon-Bluetooth"),
        array("icon-Bold" => "icon-Bold"),
        array("icon-Book---Alt" => "icon-Book---Alt"),
        array("icon-Book---Checked" => "icon-Book---Checked"),
        array("icon-Book---Download" => "icon-Book---Download"),
        array("icon-Book---Open" => "icon-Book---Open"),
        array("icon-Book---Search" => "icon-Book---Search"),
        array("icon-Book" => "icon-Book"),
        array("icon-Bookmark" => "icon-Bookmark"),
        array("icon-Bowl" => "icon-Bowl"),
        array("icon-Box---Download" => "icon-Box---Download"),
        array("icon-Box---In" => "icon-Box---In"),
        array("icon-Box---Out" => "icon-Box---Out"),
        array("icon-Box---Upload" => "icon-Box---Upload"),
        array("icon-Box-Alt" => "icon-Box-Alt"),
        array("icon-Box" => "icon-Box"),
        array("icon-Brain" => "icon-Brain"),
        array("icon-Bread" => "icon-Bread"),
        array("icon-Briefcase" => "icon-Briefcase"),
        array("icon-Building" => "icon-Building"),
        array("icon-Bullets" => "icon-Bullets"),
        array("icon-Bus" => "icon-Bus"),
        array("icon-Calculator" => "icon-Calculator"),
        array("icon-Calendar---Add" => "icon-Calendar---Add"),
        array("icon-Calendar---Check" => "icon-Calendar---Check"),
        array("icon-Calendar---Delete" => "icon-Calendar---Delete"),
        array("icon-Calendar---Remove" => "icon-Calendar---Remove"),
        array("icon-Calendar" => "icon-Calendar"),
        array("icon-Camera" => "icon-Camera"),
        array("icon-Car" => "icon-Car"),
        array("icon-Carrot" => "icon-Carrot"),
        array("icon-Chair---Alt" => "icon-Chair---Alt"),
        array("icon-Chair" => "icon-Chair"),
        array("icon-Chat" => "icon-Chat"),
        array("icon-Check-All---Alt" => "icon-Check-All---Alt"),
        array("icon-Check-All" => "icon-Check-All"),
        array("icon-Chevon---Left" => "icon-Chevon---Left"),
        array("icon-Chevron---Down" => "icon-Chevron---Down"),
        array("icon-Chevron---Right" => "icon-Chevron---Right"),
        array("icon-Chevron---Up" => "icon-Chevron---Up"),
        array("icon-Chip" => "icon-Chip"),
        array("icon-Clipboard" => "icon-Clipboard"),
        array("icon-Clock" => "icon-Clock"),
        array("icon-Close-Quote" => "icon-Close-Quote"),
        array("icon-Cloud---Download" => "icon-Cloud---Download"),
        array("icon-Cloud---Upload" => "icon-Cloud---Upload"),
        array("icon-Cloud" => "icon-Cloud"),
        array("icon-Cloudy" => "icon-Cloudy"),
        array("icon-Cocktail" => "icon-Cocktail"),
        array("icon-Code" => "icon-Code"),
        array("icon-Coffee-Cup" => "icon-Coffee-Cup"),
        array("icon-Coffee" => "icon-Coffee"),
        array("icon-Collapse" => "icon-Collapse"),
        array("icon-Columns" => "icon-Columns"),
        array("icon-Comb" => "icon-Comb"),
        array("icon-Comment---Alt" => "icon-Comment---Alt"),
        array("icon-Comment" => "icon-Comment"),
        array("icon-Compass" => "icon-Compass"),
        array("icon-Compose" => "icon-Compose"),
        array("icon-Computer" => "icon-Computer"),
        array("icon-Contacts" => "icon-Contacts"),
        array("icon-Cooking-Pot" => "icon-Cooking-Pot"),
        array("icon-Copy" => "icon-Copy"),
        array("icon-Credit-Card" => "icon-Credit-Card"),
        array("icon-Crop" => "icon-Crop"),
        array("icon-Cross" => "icon-Cross"),
        array("icon-Crosshair" => "icon-Crosshair"),
        array("icon-Crown" => "icon-Crown"),
        array("icon-Cursor" => "icon-Cursor"),
        array("icon-Danger" => "icon-Danger"),
        array("icon-Dashboard" => "icon-Dashboard"),
        array("icon-Decrease-Level" => "icon-Decrease-Level"),
        array("icon-Direction---Alt" => "icon-Direction---Alt"),
        array("icon-Direction" => "icon-Direction"),
        array("icon-Disc" => "icon-Disc"),
        array("icon-Disk" => "icon-Disk"),
        array("icon-Dislike" => "icon-Dislike"),
        array("icon-Do-Not-Enter" => "icon-Do-Not-Enter"),
        array("icon-Download---Alt" => "icon-Download---Alt"),
        array("icon-Drawers" => "icon-Drawers"),
        array("icon-Dumbbell" => "icon-Dumbbell"),
        array("icon-Eject" => "icon-Eject"),
        array("icon-Emoji" => "icon-Emoji"),
        array("icon-Envelope" => "icon-Envelope"),
        array("icon-Equalizer" => "icon-Equalizer"),
        array("icon-Expand" => "icon-Expand"),
        array("icon-External-Link" => "icon-External-Link"),
        array("icon-Eye-Dropper" => "icon-Eye-Dropper"),
        array("icon-Factory" => "icon-Factory"),
        array("icon-Fail" => "icon-Fail"),
        array("icon-File---Add" => "icon-File---Add"),
        array("icon-File---Checked" => "icon-File---Checked"),
        array("icon-File---Cloud" => "icon-File---Cloud"),
        array("icon-File---Delete" => "icon-File---Delete"),
        array("icon-File---Disable" => "icon-File---Disable"),
        array("icon-File---Download" => "icon-File---Download"),
        array("icon-File---Lock" => "icon-File---Lock"),
        array("icon-File---Music" => "icon-File---Music"),
        array("icon-File---Photo" => "icon-File---Photo"),
        array("icon-File---Remove" => "icon-File---Remove"),
        array("icon-File---Search" => "icon-File---Search"),
        array("icon-File---Upload" => "icon-File---Upload"),
        array("icon-File---Video" => "icon-File---Video"),
        array("icon-File" => "icon-File"),
        array("icon-Files" => "icon-Files"),
        array("icon-Filter" => "icon-Filter"),
        array("icon-First-Aid" => "icon-First-Aid"),
        array("icon-Flag---Alt" => "icon-Flag---Alt"),
        array("icon-Flag" => "icon-Flag"),
        array("icon-Flash" => "icon-Flash"),
        array("icon-Flashlight" => "icon-Flashlight"),
        array("icon-Flask" => "icon-Flask"),
        array("icon-Flow---Branch" => "icon-Flow---Branch"),
        array("icon-Flow---Cascade" => "icon-Flow---Cascade"),
        array("icon-Flow---Line" => "icon-Flow---Line"),
        array("icon-Flow---Parallal" => "icon-Flow---Parallal"),
        array("icon-Flow---Tree" => "icon-Flow---Tree"),
        array("icon-Folder---Add" => "icon-Folder---Add"),
        array("icon-Folder---Checked" => "icon-Folder---Checked"),
        array("icon-Folder---Cloud" => "icon-Folder---Cloud"),
        array("icon-Folder---Delete" => "icon-Folder---Delete"),
        array("icon-Folder---Disable" => "icon-Folder---Disable"),
        array("icon-Folder---Download" => "icon-Folder---Download"),
        array("icon-Folder---Lock" => "icon-Folder---Lock"),
        array("icon-Folder---Music" => "icon-Folder---Music"),
        array("icon-Folder---Open" => "icon-Folder---Open"),
        array("icon-Folder---Photo" => "icon-Folder---Photo"),
        array("icon-Folder---Remove" => "icon-Folder---Remove"),
        array("icon-Folder---Search" => "icon-Folder---Search"),
        array("icon-Folder---Upload" => "icon-Folder---Upload"),
        array("icon-Folder---Video" => "icon-Folder---Video"),
        array("icon-Folder" => "icon-Folder"),
        array("icon-Font-Size" => "icon-Font-Size"),
        array("icon-Fork-And-Knife" => "icon-Fork-And-Knife"),
        array("icon-Forward---Alt" => "icon-Forward---Alt"),
        array("icon-Forward" => "icon-Forward"),
        array("icon-Gamepad" => "icon-Gamepad"),
        array("icon-Gas" => "icon-Gas"),
        array("icon-Gift" => "icon-Gift"),
        array("icon-Glasses" => "icon-Glasses"),
        array("icon-Globe" => "icon-Globe"),
        array("icon-Grape" => "icon-Grape"),
        array("icon-Grid---Alt" => "icon-Grid---Alt"),
        array("icon-Grid" => "icon-Grid"),
        array("icon-Guard" => "icon-Guard"),
        array("icon-Hair-Dryer" => "icon-Hair-Dryer"),
        array("icon-Half-Star" => "icon-Half-Star"),
        array("icon-Hand---Alt" => "icon-Hand---Alt"),
        array("icon-Hand---Pointing-Down" => "icon-Hand---Pointing-Down"),
        array("icon-Hand---Pointing-Left" => "icon-Hand---Pointing-Left"),
        array("icon-Hand---Pointing-Right" => "icon-Hand---Pointing-Right"),
        array("icon-Hand---Pointing-Up" => "icon-Hand---Pointing-Up"),
        array("icon-Hand" => "icon-Hand"),
        array("icon-Handbag" => "icon-Handbag"),
        array("icon-Hanger" => "icon-Hanger"),
        array("icon-Headphones" => "icon-Headphones"),
        array("icon-Heart" => "icon-Heart"),
        array("icon-Help" => "icon-Help"),
        array("icon-Hook" => "icon-Hook"),
        array("icon-House" => "icon-House"),
        array("icon-Ice-Cream" => "icon-Ice-Cream"),
        array("icon-Image---Alt" => "icon-Image---Alt"),
        array("icon-Image" => "icon-Image"),
        array("icon-Increase-Level" => "icon-Increase-Level"),
        array("icon-Infinite" => "icon-Infinite"),
        array("icon-Information" => "icon-Information"),
        array("icon-Italic" => "icon-Italic"),
        array("icon-Junk-Box" => "icon-Junk-Box"),
        array("icon-Justify" => "icon-Justify"),
        array("icon-Kettle---Alt" => "icon-Kettle---Alt"),
        array("icon-Kettle" => "icon-Kettle"),
        array("icon-Key" => "icon-Key"),
        array("icon-Keyboard" => "icon-Keyboard"),
        array("icon-Keypad" => "icon-Keypad"),
        array("icon-Kiwi" => "icon-Kiwi"),
        array("icon-Knob" => "icon-Knob"),
        array("icon-Lamp" => "icon-Lamp"),
        array("icon-Landing" => "icon-Landing"),
        array("icon-Laptop" => "icon-Laptop"),
        array("icon-Layers" => "icon-Layers"),
        array("icon-Layout" => "icon-Layout"),
        array("icon-Lemon" => "icon-Lemon"),
        array("icon-Lid" => "icon-Lid"),
        array("icon-Lightbulb" => "icon-Lightbulb"),
        array("icon-Like" => "icon-Like"),
        array("icon-Line-Chart" => "icon-Line-Chart"),
        array("icon-Link" => "icon-Link"),
        array("icon-List---Alt" => "icon-List---Alt"),
        array("icon-List" => "icon-List"),
        array("icon-Lock-Rotation" => "icon-Lock-Rotation"),
        array("icon-Lock" => "icon-Lock"),
        array("icon-Loudspeaker" => "icon-Loudspeaker"),
        array("icon-Loupe" => "icon-Loupe"),
        array("icon-Magic-Mouse" => "icon-Magic-Mouse"),
        array("icon-Magic-Wand" => "icon-Magic-Wand"),
        array("icon-Mail" => "icon-Mail"),
        array("icon-Man" => "icon-Man"),
        array("icon-Map" => "icon-Map"),
        array("icon-Maximize---Alt" => "icon-Maximize---Alt"),
        array("icon-Maximize" => "icon-Maximize"),
        array("icon-Medical-Cross" => "icon-Medical-Cross"),
        array("icon-Merge" => "icon-Merge"),
        array("icon-Message---Smile" => "icon-Message---Smile"),
        array("icon-Message" => "icon-Message"),
        array("icon-Mic" => "icon-Mic"),
        array("icon-Microscope" => "icon-Microscope"),
        array("icon-Microwave-Oven" => "icon-Microwave-Oven"),
        array("icon-Minimize---Alt" => "icon-Minimize---Alt"),
        array("icon-Minimize" => "icon-Minimize"),
        array("icon-Mobile-Phone" => "icon-Mobile-Phone"),
        array("icon-Money---Alt" => "icon-Money---Alt"),
        array("icon-Money" => "icon-Money"),
        array("icon-Monitor" => "icon-Monitor"),
        array("icon-Moon" => "icon-Moon"),
        array("icon-More---Alt" => "icon-More---Alt"),
        array("icon-More" => "icon-More"),
        array("icon-Mortar-Board" => "icon-Mortar-Board"),
        array("icon-Mouse" => "icon-Mouse"),
        array("icon-Move" => "icon-Move"),
        array("icon-Movie---Alt" => "icon-Movie---Alt"),
        array("icon-Movie" => "icon-Movie"),
        array("icon-Mug" => "icon-Mug"),
        array("icon-Music-Note---Alt" => "icon-Music-Note---Alt"),
        array("icon-Music-Note" => "icon-Music-Note"),
        array("icon-News" => "icon-News"),
        array("icon-No" => "icon-No"),
        array("icon-Note" => "icon-Note"),
        array("icon-Notebook" => "icon-Notebook"),
        array("icon-Notification" => "icon-Notification"),
        array("icon-Numbers" => "icon-Numbers"),
        array("icon-Open-Quote" => "icon-Open-Quote"),
        array("icon-Orange" => "icon-Orange"),
        array("icon-Paint-Brush" => "icon-Paint-Brush"),
        array("icon-Paint-Bucket" => "icon-Paint-Bucket"),
        array("icon-Paint-Roller" => "icon-Paint-Roller"),
        array("icon-Partly-Cloudy" => "icon-Partly-Cloudy"),
        array("icon-Patse" => "icon-Patse"),
        array("icon-Pause" => "icon-Pause"),
        array("icon-Pen" => "icon-Pen"),
        array("icon-Pencil" => "icon-Pencil"),
        array("icon-People-Female" => "icon-People-Female"),
        array("icon-People" => "icon-People"),
        array("icon-Pharmacy-Bowl" => "icon-Pharmacy-Bowl"),
        array("icon-Phone-Rotate" => "icon-Phone-Rotate"),
        array("icon-Phone-Shake" => "icon-Phone-Shake"),
        array("icon-Phone" => "icon-Phone"),
        array("icon-Pie-Chart---Alt" => "icon-Pie-Chart---Alt"),
        array("icon-Pie-Chart" => "icon-Pie-Chart"),
        array("icon-Pill" => "icon-Pill"),
        array("icon-Pillow-Chart---1" => "icon-Pillow-Chart---1"),
        array("icon-Pillow-Chart---2" => "icon-Pillow-Chart---2"),
        array("icon-Pillow-Chart---3" => "icon-Pillow-Chart---3"),
        array("icon-Pin---1" => "icon-Pin---1"),
        array("icon-Pin---2" => "icon-Pin---2"),
        array("icon-Pin---3" => "icon-Pin---3"),
        array("icon-Pixel" => "icon-Pixel"),
        array("icon-Pizza-Slicer" => "icon-Pizza-Slicer"),
        array("icon-Pizza" => "icon-Pizza"),
        array("icon-Planet" => "icon-Planet"),
        array("icon-Plates" => "icon-Plates"),
        array("icon-Play" => "icon-Play"),
        array("icon-Playback-Fast-Forward" => "icon-Playback-Fast-Forward"),
        array("icon-Playback-Next" => "icon-Playback-Next"),
        array("icon-Playback-Previous" => "icon-Playback-Previous"),
        array("icon-Playback-Rewind" => "icon-Playback-Rewind"),
        array("icon-Playlist" => "icon-Playlist"),
        array("icon-Plug" => "icon-Plug"),
        array("icon-Podcast" => "icon-Podcast"),
        array("icon-Podium" => "icon-Podium"),
        array("icon-Power-Socket" => "icon-Power-Socket"),
        array("icon-Power" => "icon-Power"),
        array("icon-Printer" => "icon-Printer"),
        array("icon-Projector-Screen" => "icon-Projector-Screen"),
        array("icon-Quill" => "icon-Quill"),
        array("icon-Radio" => "icon-Radio"),
        array("icon-Rain" => "icon-Rain"),
        array("icon-Record" => "icon-Record"),
        array("icon-Recycle" => "icon-Recycle"),
        array("icon-Redo" => "icon-Redo"),
        array("icon-Reference" => "icon-Reference"),
        array("icon-Refrigerator" => "icon-Refrigerator"),
        array("icon-Reload" => "icon-Reload"),
        array("icon-Remove" => "icon-Remove"),
        array("icon-Rename" => "icon-Rename"),
        array("icon-Repeat" => "icon-Repeat"),
        array("icon-Reply---Alt" => "icon-Reply---Alt"),
        array("icon-Reply-All---Alt" => "icon-Reply-All---Alt"),
        array("icon-Reply-All" => "icon-Reply-All"),
        array("icon-Reply" => "icon-Reply"),
        array("icon-Restore" => "icon-Restore"),
        array("icon-Retweet" => "icon-Retweet"),
        array("icon-Router" => "icon-Router"),
        array("icon-Ruler" => "icon-Ruler"),
        array("icon-Safe" => "icon-Safe"),
        array("icon-Salt-n-Pepper-Mill" => "icon-Salt-n-Pepper-Mill"),
        array("icon-Sandglass" => "icon-Sandglass"),
        array("icon-Save" => "icon-Save"),
        array("icon-Scissors" => "icon-Scissors"),
        array("icon-Security-Camera" => "icon-Security-Camera"),
        array("icon-Send" => "icon-Send"),
        array("icon-Server" => "icon-Server"),
        array("icon-Settings" => "icon-Settings"),
        array("icon-Share---1" => "icon-Share---1"),
        array("icon-Share---2" => "icon-Share---2"),
        array("icon-Share---3" => "icon-Share---3"),
        array("icon-Shield" => "icon-Shield"),
        array("icon-Ship" => "icon-Ship"),
        array("icon-Shopping-Bag" => "icon-Shopping-Bag"),
        array("icon-Shopping-Basket" => "icon-Shopping-Basket"),
        array("icon-Shopping-Cart" => "icon-Shopping-Cart"),
        array("icon-Shovel" => "icon-Shovel"),
        array("icon-Shower" => "icon-Shower"),
        array("icon-Shredder" => "icon-Shredder"),
        array("icon-Shuffle" => "icon-Shuffle"),
        array("icon-Sign-In" => "icon-Sign-In"),
        array("icon-Sign-Out" => "icon-Sign-Out"),
        array("icon-Signal---Alt" => "icon-Signal---Alt"),
        array("icon-Signal" => "icon-Signal"),
        array("icon-Sleep" => "icon-Sleep"),
        array("icon-Smart-Phone" => "icon-Smart-Phone"),
        array("icon-Smoking" => "icon-Smoking"),
        array("icon-Snowflake" => "icon-Snowflake"),
        array("icon-Soap-Dispenser" => "icon-Soap-Dispenser"),
        array("icon-Sofa" => "icon-Sofa"),
        array("icon-Sort" => "icon-Sort"),
        array("icon-Space-Shuttle" => "icon-Space-Shuttle"),
        array("icon-Speaker" => "icon-Speaker"),
        array("icon-Spinner" => "icon-Spinner"),
        array("icon-Split" => "icon-Split"),
        array("icon-Stacks" => "icon-Stacks"),
        array("icon-Star" => "icon-Star"),
        array("icon-Stethoscope" => "icon-Stethoscope"),
        array("icon-Stop" => "icon-Stop"),
        array("icon-Store" => "icon-Store"),
        array("icon-Streaming-Music" => "icon-Streaming-Music"),
        array("icon-Street-Sign" => "icon-Street-Sign"),
        array("icon-Strikethrough" => "icon-Strikethrough"),
        array("icon-Success" => "icon-Success"),
        array("icon-Suitcase" => "icon-Suitcase"),
        array("icon-Sun" => "icon-Sun"),
        array("icon-Swap" => "icon-Swap"),
        array("icon-Switch" => "icon-Switch"),
        array("icon-Sync" => "icon-Sync"),
        array("icon-Syringe" => "icon-Syringe"),
        array("icon-Tablet" => "icon-Tablet"),
        array("icon-Tag" => "icon-Tag"),
        array("icon-Take-Off" => "icon-Take-Off"),
        array("icon-Target" => "icon-Target"),
        array("icon-Technology" => "icon-Technology"),
        array("icon-Thermometer" => "icon-Thermometer"),
        array("icon-Thunder" => "icon-Thunder"),
        array("icon-Tick" => "icon-Tick"),
        array("icon-Ticket" => "icon-Ticket"),
        array("icon-Timer" => "icon-Timer"),
        array("icon-Tornado" => "icon-Tornado"),
        array("icon-Towel" => "icon-Towel"),
        array("icon-Traffic-Cone" => "icon-Traffic-Cone"),
        array("icon-Train" => "icon-Train"),
        array("icon-Trash" => "icon-Trash"),
        array("icon-Trees" => "icon-Trees"),
        array("icon-Trophy" => "icon-Trophy"),
        array("icon-Truck" => "icon-Truck"),
        array("icon-Tshirt" => "icon-Tshirt"),
        array("icon-TV" => "icon-TV"),
        array("icon-Type" => "icon-Type"),
        array("icon-Umbrella" => "icon-Umbrella"),
        array("icon-Underline" => "icon-Underline"),
        array("icon-Undo" => "icon-Undo"),
        array("icon-Unlink" => "icon-Unlink"),
        array("icon-Unlock" => "icon-Unlock"),
        array("icon-Upload" => "icon-Upload"),
        array("icon-USB" => "icon-USB"),
        array("icon-User-Alt" => "icon-User-Alt"),
        array("icon-User-Female" => "icon-User-Female"),
        array("icon-User" => "icon-User"),
        array("icon-Users" => "icon-Users"),
        array("icon-Video-Camera" => "icon-Video-Camera"),
        array("icon-Video" => "icon-Video"),
        array("icon-View" => "icon-View"),
        array("icon-Voicemail" => "icon-Voicemail"),
        array("icon-Volume---Low" => "icon-Volume---Low"),
        array("icon-Volume---Max" => "icon-Volume---Max"),
        array("icon-Volume---Medium" => "icon-Volume---Medium"),
        array("icon-Volume---Mute" => "icon-Volume---Mute"),
        array("icon-Wallet" => "icon-Wallet"),
        array("icon-Warning" => "icon-Warning"),
        array("icon-Washing-Machine" => "icon-Washing-Machine"),
        array("icon-Watch" => "icon-Watch"),
        array("icon-Water-Drop" => "icon-Water-Drop"),
        array("icon-Water" => "icon-Water"),
        array("icon-Watermelon" => "icon-Watermelon"),
        array("icon-Wedding-Ring" => "icon-Wedding-Ring"),
        array("icon-Weight" => "icon-Weight"),
        array("icon-Wheelchair" => "icon-Wheelchair"),
        array("icon-Whistle" => "icon-Whistle"),
        array("icon-Whiteboard" => "icon-Whiteboard"),
        array("icon-Wifi" => "icon-Wifi"),
        array("icon-Wind" => "icon-Wind"),
        array("icon-Window" => "icon-Window"),
        array("icon-Windows" => "icon-Windows"),
        array("icon-Windsock" => "icon-Windsock"),
        array("icon-Wine-Glass---Alt" => "icon-Wine-Glass---Alt"),
        array("icon-Wine-Glass" => "icon-Wine-Glass"),
        array("icon-Wine" => "icon-Wine"),
        array("icon-Woman" => "icon-Woman"),
        array("icon-World" => "icon-World"),
        array("icon-Wranch" => "icon-Wranch"),
        array("icon-Zoom-In" => "icon-Zoom-In"),
        array("icon-Zoom-Out" => "icon-Zoom-Out")
    );

    return array_merge($icons, $caviaricons);
}
