<?php

add_action('vc_enqueue_font_icon_element', 'cynic_load_vc_minilineicons');

function cynic_load_vc_minilineicons($type)
{
    if ($type == 'minilineicons') {
        $path = apply_filters('cynic_minilineicons_font_css_url', get_template_directory_uri() . '/css/illustration/miniline.css');
        wp_enqueue_style('minilineicons', $path);
    }
}

function cynic_load_backend_minilineicons($page)
{
    if (in_array($page, array('post.php', 'post-new.php'))) {
        $path = apply_filters('cynic_minilineicons_font_css_url', get_template_directory_uri() . '/css/illustration/miniline.css');
        wp_enqueue_style('minilineicons', $path);

    }
}

add_action('admin_enqueue_scripts', 'cynic_load_backend_minilineicons');


add_filter('vc_iconpicker-type-minilineicons', 'cynic_vc_iconpicker_type_minilineicons');

function cynic_vc_iconpicker_type_minilineicons($icons)
{

    $minilineicons = array(
        array("ml-bafone-1-Japanese-Yen-banking-money" => "ml-bafone-1-Japanese-Yen-banking-money"),
        array("ml-bafone-2-Japanese-Yen-banking-money-up-arrow-upload-outbox" => "ml-bafone-2-Japanese-Yen-banking-money-up-arrow-upload-outbox"),
        array("ml-bafone-3-Japanese-Yen-banking-money-down-arrow-download-outbox" => "ml-bafone-3-Japanese-Yen-banking-money-down-arrow-download-outbox"),
        array("ml-bafone-4-Japanese-Yen-banking-money-add-plus" => "ml-bafone-4-Japanese-Yen-banking-money-add-plus"),
        array("ml-bafone-5-Japanese-Yen-banking-money-minus" => "ml-bafone-5-Japanese-Yen-banking-money-minus"),
        array("ml-bafone-6-Japanese-Yen-banking-money" => "ml-bafone-6-Japanese-Yen-banking-money"),
        array("ml-bafone-7-Japanese-Yen-banking-money-pig" => "ml-bafone-7-Japanese-Yen-banking-money-pig"),
        array("ml-bafone-8-Japanese-Yen-banking-money-coin" => "ml-bafone-8-Japanese-Yen-banking-money-coin"),
        array("ml-bafone-9-Japanese-Yen-banking-money-coin-refresh-generate-produce" => "ml-bafone-9-Japanese-Yen-banking-money-coin-refresh-generate-produce"),
        array("ml-bafone-10-Japanese-Yen-banking-money-hand-hold" => "ml-bafone-10-Japanese-Yen-banking-money-hand-hold"),
        array("ml-bafone-11-Japanese-Yen-banking-money-document-legal" => "ml-bafone-11-Japanese-Yen-banking-money-document-legal"),
        array("ml-bafone-12-Japanese-Yen-banking-money-paper-coin" => "ml-bafone-12-Japanese-Yen-banking-money-paper-coin"),
        array("ml-bafone-13-Japanese-Yen-banking-money-house-real-estate" => "ml-bafone-13-Japanese-Yen-banking-money-house-real-estate"),
        array("ml-bafone-14-Japanese-Yen-banking-money-calendar-time" => "ml-bafone-14-Japanese-Yen-banking-money-calendar-time"),
        array("ml-bafone-15-Japanese-Yen-banking-money-computer" => "ml-bafone-15-Japanese-Yen-banking-money-computer"),
        array("ml-bafone-16-Japanese-Yen-banking-money-shopping-cart" => "ml-bafone-16-Japanese-Yen-banking-money-shopping-cart"),
        array("ml-bafone-17-Japanese-Yen-banking-money-chat-bubble-talk-dialogue" => "ml-bafone-17-Japanese-Yen-banking-money-chat-bubble-talk-dialogue"),
        array("ml-bafone-18-Japanese-Yen-banking-money-presentation" => "ml-bafone-18-Japanese-Yen-banking-money-presentation"),
        array("ml-bafone-19-Japanese-Yen-banking-money-presentation-rise-gain-increase" => "ml-bafone-19-Japanese-Yen-banking-money-presentation-rise-gain-increase"),
        array("ml-bafone-20-Japanese-Yen-banking-money-presentation-fall-loss-decrease" => "ml-bafone-20-Japanese-Yen-banking-money-presentation-fall-loss-decrease"),
        array("ml-bafone-21-british-pound-banking-money" => "ml-bafone-21-british-pound-banking-money"),
        array("ml-bafone-22-british-pound-banking-money-up-arrow-upload-outbox" => "ml-bafone-22-british-pound-banking-money-up-arrow-upload-outbox"),
        array("ml-bafone-23-british-pound-banking-money-down-arrow-download-outbox" => "ml-bafone-23-british-pound-banking-money-down-arrow-download-outbox"),
        array("ml-bafone-24-british-pound-banking-money-add-plus-gain" => "ml-bafone-24-british-pound-banking-money-add-plus-gain"),
        array("ml-bafone-25-british-pound-banking-money-minus-subtract-delete" => "ml-bafone-25-british-pound-banking-money-minus-subtract-delete"),
        array("ml-bafone-26-british-pound-banking-money" => "ml-bafone-26-british-pound-banking-money"),
        array("ml-bafone-27-british-pound-banking-money-pig" => "ml-bafone-27-british-pound-banking-money-pig"),
        array("ml-bafone-28-british-pound-banking-money-coin" => "ml-bafone-28-british-pound-banking-money-coin"),
        array("ml-bafone-29-british-pound-banking-money-coin-refresh-generate-produce-arrow" => "ml-bafone-29-british-pound-banking-money-coin-refresh-generate-produce-arrow"),
        array("ml-bafone-30-british-pound-banking-money-hand-hold" => "ml-bafone-30-british-pound-banking-money-hand-hold"),
        array("ml-bafone-31-british-pound-banking-money-document-legal-paper" => "ml-bafone-31-british-pound-banking-money-document-legal-paper"),
        array("ml-bafone-32-british-pound-banking-money-paper-coin" => "ml-bafone-32-british-pound-banking-money-paper-coin"),
        array("ml-bafone-33-british-pound-banking-money-house-real-estate" => "ml-bafone-33-british-pound-banking-money-house-real-estate"),
        array("ml-bafone-34-british-pound-banking-money-calendar-time" => "ml-bafone-34-british-pound-banking-money-calendar-time"),
        array("ml-bafone-35" => "ml-bafone-35"),
        array("ml--bitish-pound-banking-money-computer" => "ml--bitish-pound-banking-money-computer"),
        array("ml-bafone-36-british-pound-banking-money-shopping-cart" => "ml-bafone-36-british-pound-banking-money-shopping-cart"),
        array("ml-bafone-37-british-pound-banking-money-chat-bubble-talk-dialogue" => "ml-bafone-37-british-pound-banking-money-chat-bubble-talk-dialogue"),
        array("ml-bafone-38-british-pound-banking-money-presentation" => "ml-bafone-38-british-pound-banking-money-presentation"),
        array("ml-bafone-39-british-pound-banking-money-presentation-rise-gain-increase" => "ml-bafone-39-british-pound-banking-money-presentation-rise-gain-increase"),
        array("ml-bafone-40-british-pound-banking-money-presentation-fall-loss-decrease" => "ml-bafone-40-british-pound-banking-money-presentation-fall-loss-decrease"),
        array("ml-bafone-41-euro-banking-money" => "ml-bafone-41-euro-banking-money"),
        array("ml-bafone-42-euro-banking-money-up-arrow-upload-outbox" => "ml-bafone-42-euro-banking-money-up-arrow-upload-outbox"),
        array("ml-bafone-43-euro-banking-money-down-arrow-download-outbox" => "ml-bafone-43-euro-banking-money-down-arrow-download-outbox"),
        array("ml-bafone-44-euro-banking-money-add-plus-gain" => "ml-bafone-44-euro-banking-money-add-plus-gain"),
        array("ml-bafone-45-euro-banking-money-minus-subtract-delete" => "ml-bafone-45-euro-banking-money-minus-subtract-delete"),
        array("ml-bafone-46-euro-banking-money" => "ml-bafone-46-euro-banking-money"),
        array("ml-bafone-47-euro-banking-money-pig" => "ml-bafone-47-euro-banking-money-pig"),
        array("ml-bafone-48-euro-banking-money-coin" => "ml-bafone-48-euro-banking-money-coin"),
        array("ml-bafone-49-euro-banking-money-coin-refresh-generate-produce-arrow" => "ml-bafone-49-euro-banking-money-coin-refresh-generate-produce-arrow"),
        array("ml-bafone-50-euro-banking-money-hand-hold" => "ml-bafone-50-euro-banking-money-hand-hold"),
        array("ml-bafone-51-euro-banking-money-document-legal-paper" => "ml-bafone-51-euro-banking-money-document-legal-paper"),
        array("ml-bafone-52-euro-banking-money-paper-coin" => "ml-bafone-52-euro-banking-money-paper-coin"),
        array("ml-bafone-53-euro-banking-money-house-real-estate" => "ml-bafone-53-euro-banking-money-house-real-estate"),
        array("ml-bafone-54-euro-banking-money-calendar-time" => "ml-bafone-54-euro-banking-money-calendar-time"),
        array("ml-bafone-55-euro-banking-money-computer" => "ml-bafone-55-euro-banking-money-computer"),
        array("ml-bafone-56-euro-banking-money-shopping-cart" => "ml-bafone-56-euro-banking-money-shopping-cart"),
        array("ml-bafone-57-euro-banking-money-chat-bubble-talk-dialogue" => "ml-bafone-57-euro-banking-money-chat-bubble-talk-dialogue"),
        array("ml-bafone-58-euro-banking-money-presentation" => "ml-bafone-58-euro-banking-money-presentation"),
        array("ml-bafone-59-euro-banking-money-presentation-rise-gain-increase" => "ml-bafone-59-euro-banking-money-presentation-rise-gain-increase"),
        array("ml-bafone-60-euro-banking-money-presentation-presentation-fall-loss-decrease" => "ml-bafone-60-euro-banking-money-presentation-presentation-fall-loss-decrease"),
        array("ml-bafone-61-dollar-banking-money" => "ml-bafone-61-dollar-banking-money"),
        array("ml-bafone-62-dollar-banking-money-up-arrow-upload-outbox" => "ml-bafone-62-dollar-banking-money-up-arrow-upload-outbox"),
        array("ml-bafone-63-dollar-banking-money-down-arrow-download-outbox" => "ml-bafone-63-dollar-banking-money-down-arrow-download-outbox"),
        array("ml-bafone-64-dollar-banking-money-add-plus-gain" => "ml-bafone-64-dollar-banking-money-add-plus-gain"),
        array("ml-bafone-65-dollar-banking-money-minus-subtract-delete" => "ml-bafone-65-dollar-banking-money-minus-subtract-delete"),
        array("ml-bafone-66-dollar-banking-money" => "ml-bafone-66-dollar-banking-money"),
        array("ml-bafone-67-dollar-banking-money-pig" => "ml-bafone-67-dollar-banking-money-pig"),
        array("ml-bafone-68-dollar-banking-money-coin" => "ml-bafone-68-dollar-banking-money-coin"),
        array("ml-bafone-69-dollar-banking-money-coin-refresh-generate-produce-arrow" => "ml-bafone-69-dollar-banking-money-coin-refresh-generate-produce-arrow"),
        array("ml-bafone-70-dollar-banking-money-hand-hold" => "ml-bafone-70-dollar-banking-money-hand-hold"),
        array("ml-bafone-71-dollar-banking-money-document-legal-paper" => "ml-bafone-71-dollar-banking-money-document-legal-paper"),
        array("ml-bafone-72-dollar-banking-money-paper-coin" => "ml-bafone-72-dollar-banking-money-paper-coin"),
        array("ml-bafone-73-dollar-banking-money-house-real-estate" => "ml-bafone-73-dollar-banking-money-house-real-estate"),
        array("ml-bafone-74-dollar-banking-money-calendar-time" => "ml-bafone-74-dollar-banking-money-calendar-time"),
        array("ml-bafone-75-dollar-banking-money-computer" => "ml-bafone-75-dollar-banking-money-computer"),
        array("ml-bafone-76-dollar-banking-money-shopping-cart" => "ml-bafone-76-dollar-banking-money-shopping-cart"),
        array("ml-bafone-77-dollar-banking-money-chat-bubble-talk-dialogue" => "ml-bafone-77-dollar-banking-money-chat-bubble-talk-dialogue"),
        array("ml-bafone-78-dollar-banking-money-presentation" => "ml-bafone-78-dollar-banking-money-presentation"),
        array("ml-bafone-79-dollar-banking-money-presentation-rise-gain-increase" => "ml-bafone-79-dollar-banking-money-presentation-rise-gain-increase"),
        array("ml-bafone-80-dollar-banking-money-presentation-fall-loss-decrease" => "ml-bafone-80-dollar-banking-money-presentation-fall-loss-decrease"),
        array("ml-baftwo-1-money-banking-paper-bill" => "ml-baftwo-1-money-banking-paper-bill"),
        array("ml-baftwo-2-money-banking-paper-bill-refresh-generate-produce-arrow" => "ml-baftwo-2-money-banking-paper-bill-refresh-generate-produce-arrow"),
        array("ml-baftwo-3-money-banking-paper-bill-add-plus-gain" => "ml-baftwo-3-money-banking-paper-bill-add-plus-gain"),
        array("ml-baftwo-4-money-banking-paper-bill-minus-subtract-delete" => "ml-baftwo-4-money-banking-paper-bill-minus-subtract-delete"),
        array("ml-baftwo-5-money-banking-paper-bill-forbidden-ban-no" => "ml-baftwo-5-money-banking-paper-bill-forbidden-ban-no"),
        array("ml-baftwo-6-money-banking-paper-bill-attachment-link-attach-document" => "ml-baftwo-6-money-banking-paper-bill-attachment-link-attach-document"),
        array("ml-baftwo-7-money-banking-paper-bill-link" => "ml-baftwo-7-money-banking-paper-bill-link"),
        array("ml-baftwo-8-money-banking-paper-bill-magnifier-zoom-magnify-discover-search" => "ml-baftwo-8-money-banking-paper-bill-magnifier-zoom-magnify-discover-search"),
        array("ml-baftwo-9-money-banking-paper-bill-accept-true-check-mark" => "ml-baftwo-9-money-banking-paper-bill-accept-true-check-mark"),
        array("ml-baftwo-10-money-banking-paper-bill-decline-false-cancel-cross" => "ml-baftwo-10-money-banking-paper-bill-decline-false-cancel-cross"),
        array("ml-baftwo-11-money-banking-paper-bill-arrow-left-enter-accept-inside" => "ml-baftwo-11-money-banking-paper-bill-arrow-left-enter-accept-inside"),
        array("ml-baftwo-12-money-banking-paper-bill-arrow-left" => "ml-baftwo-12-money-banking-paper-bill-arrow-left"),
        array("ml-baftwo-13-money-banking-paper-bill" => "ml-baftwo-13-money-banking-paper-bill"),
        array("ml-baftwo-14-money-banking-paper-bill-arrow-up-rise-gain-increase" => "ml-baftwo-14-money-banking-paper-bill-arrow-up-rise-gain-increase"),
        array("ml-baftwo-15-money-banking-paper-bill-arrow-down-fall-loss-decrease" => "ml-baftwo-15-money-banking-paper-bill-arrow-down-fall-loss-decrease"),
        array("ml-baftwo-16-money-banking-paper-bill-lock-secure-security-key-unlock" => "ml-baftwo-16-money-banking-paper-bill-lock-secure-security-key-unlock"),
        array("ml-baftwo-17-money-banking-paper-bill-wait-loading-in-process-dots-three-Ellipsis" => "ml-baftwo-17-money-banking-paper-bill-wait-loading-in-process-dots-three-Ellipsis"),
        array("ml-baftwo-18-money-banking-paper-bill-pencil-pen-write-save-work" => "ml-baftwo-18-money-banking-paper-bill-pencil-pen-write-save-work"),
        array("ml-baftwo-19-money-banking-paper-bill-trash-bin-delete-erase-forget" => "ml-baftwo-19-money-banking-paper-bill-trash-bin-delete-erase-forget"),
        array("ml-baftwo-20-money-banking-paper-bill-security-shield-anti-virus-firewall" => "ml-baftwo-20-money-banking-paper-bill-security-shield-anti-virus-firewall"),
        array("ml-baftwo-21-money-banking-paper-bill-heart-love-favourite-like" => "ml-baftwo-21-money-banking-paper-bill-heart-love-favourite-like"),
        array("ml-baftwo-22-money-banking-paper-bill-code-programmer-edit-write-software-inequality" => "ml-baftwo-22-money-banking-paper-bill-code-programmer-edit-write-software-inequality"),
        array("ml-baftwo-23-money-banking-paper-bill-question-mark-ask" => "ml-baftwo-23-money-banking-paper-bill-question-mark-ask"),
        array("ml-baftwo-24-money-banking-paper-bill-exclamation-mark-circle-round" => "ml-baftwo-24-money-banking-paper-bill-exclamation-mark-circle-round"),
        array("ml-baftwo-25-money-banking-paper-bill" => "ml-baftwo-25-money-banking-paper-bill"),
        array("ml-baftwo-26-money-banking-paper-bill-information-desk-letter" => "ml-baftwo-26-money-banking-paper-bill-information-desk-letter"),
        array("ml-baftwo-27-money-banking-paper-bill-loading-time-clock-watch-in-process" => "ml-baftwo-27-money-banking-paper-bill-loading-time-clock-watch-in-process"),
        array("ml-baftwo-28-money-banking-paper-bill-gear-edit-setting-cog-wheel" => "ml-baftwo-28-money-banking-paper-bill-gear-edit-setting-cog-wheel"),
        array("ml-baftwo-29-money-banking-paper-bill-target-shoot-discover" => "ml-baftwo-29-money-banking-paper-bill-target-shoot-discover"),
        array("ml-baftwo-30-money-banking-paper-bill-pie-chart-percentage-divide" => "ml-baftwo-30-money-banking-paper-bill-pie-chart-percentage-divide"),
        array("ml-baftwo-31-bag-money-banking-paper-bill" => "ml-baftwo-31-bag-money-banking-paper-bill"),
        array("ml-baftwo-32-bag-money-banking-paper-bill-hold-holding-hand" => "ml-baftwo-32-bag-money-banking-paper-bill-hold-holding-hand"),
        array("ml-baftwo-33-money-banking-paper-bill-coin-hold-hand-donation-catch" => "ml-baftwo-33-money-banking-paper-bill-coin-hold-hand-donation-catch"),
        array("ml-baftwo-34-money-banking-paper-bill-bank-architecture" => "ml-baftwo-34-money-banking-paper-bill-bank-architecture"),
        array("ml-baftwo-35-money-banking-paper-bill-coin" => "ml-baftwo-35-money-banking-paper-bill-coin"),
        array("ml-baftwo-36-credit-card-money-banking-paper-bill" => "ml-baftwo-36-credit-card-money-banking-paper-bill"),
        array("ml-baftwo-37-discount-legal-paper-bill-invoice-percentage" => "ml-baftwo-37-discount-legal-paper-bill-invoice-percentage"),
        array("ml-baftwo-38-gold-money-banking-paper-bill" => "ml-baftwo-38-gold-money-banking-paper-bill"),
        array("ml-baftwo-39-money-banking-paper-bill-pig-money-box" => "ml-baftwo-39-money-banking-paper-bill-pig-money-box"),
        array("ml-baftwo-40-Star-premium-service-waiter-business-vip-icon" => "ml-baftwo-40-Star-premium-service-waiter-business-vip-icon"),
        array("ml-baftwo-41-mountain-goal-flag-map-target-tracking-finish-race-climbing" => "ml-baftwo-41-mountain-goal-flag-map-target-tracking-finish-race-climbing"),
        array("ml-baftwo-42-jigsaw-puzzle-solve-problem-strategy" => "ml-baftwo-42-jigsaw-puzzle-solve-problem-strategy"),
        array("ml-baftwo-43-chess-leader-leadership-horse-strategy" => "ml-baftwo-43-chess-leader-leadership-horse-strategy"),
        array("ml-baftwo-44-gear-cog-wheel-edit-settings" => "ml-baftwo-44-gear-cog-wheel-edit-settings"),
        array("ml-baftwo-45-umbrella-secure-protect-rain" => "ml-baftwo-45-umbrella-secure-protect-rain"),
        array("ml-baftwo-46-law-court-swear-holy-bible-court-lawyer" => "ml-baftwo-46-law-court-swear-holy-bible-court-lawyer"),
        array("ml-baftwo-47-write-pen-take-note-notebook-pencil-book-notebook" => "ml-baftwo-47-write-pen-take-note-notebook-pencil-book-notebook"),
        array("ml-baftwo-48-scale-law-equality-calculate-weight-court-lawyer" => "ml-baftwo-48-scale-law-equality-calculate-weight-court-lawyer"),
        array("ml-baftwo-49-judge-hammer-law-lawyer-decide-decision" => "ml-baftwo-49-judge-hammer-law-lawyer-decide-decision"),
        array("ml-baftwo-50-presentation-listener-school-teach-lecture-symposium-business" => "ml-baftwo-50-presentation-listener-school-teach-lecture-symposium-business"),
        array("ml-baftwo-51-employee-face-head-avatar-magnifier-zoom-magnify-discover-search" => "ml-baftwo-51-employee-face-head-avatar-magnifier-zoom-magnify-discover-search"),
        array("ml-baftwo-52-employee-face-head-avatar-idea-lamp" => "ml-baftwo-52-employee-face-head-avatar-idea-lamp"),
        array("ml-baftwo-53-employee-face-head-avatar-sleep" => "ml-baftwo-53-employee-face-head-avatar-sleep"),
        array("ml-baftwo-54-employee-face-head-avatar-decline-false-cancel-cross" => "ml-baftwo-54-employee-face-head-avatar-decline-false-cancel-cross"),
        array("ml-baftwo-55-employee-face-head-avatar-accept-true-check-mark" => "ml-baftwo-55-employee-face-head-avatar-accept-true-check-mark"),
        array("ml-baftwo-56-legal-document-sign-contract-paper" => "ml-baftwo-56-legal-document-sign-contract-paper"),
        array("ml-cha-1-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-1-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-2-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-2-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-3-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-3-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-4-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-4-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-5-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-5-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-6-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-6-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-7-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-7-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-8-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-8-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-9-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-9-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-10-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-10-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-11-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-11-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-12-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-12-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-13-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-13-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-14-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-14-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-15-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-15-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-16-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-16-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-17-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-17-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-18-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-18-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-19-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-19-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-20-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-20-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-21-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-21-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-22-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-22-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-23-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-23-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-24-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-24-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-25-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-25-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-26-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-26-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-27-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-27-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-28-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-28-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-29-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-29-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-30-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-30-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-31-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-31-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-32-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-32-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-33-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-33-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-34-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-34-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-35-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-35-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-36-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-36-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-37-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-37-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-38-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-38-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-39-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-39-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-40-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-40-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-41-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-41-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-42-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-42-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-43-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-43-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-44-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-44-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-45-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-45-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-46-pie-chart-graph-growth-presentation-decrease-increase-triangle" => "ml-cha-46-pie-chart-graph-growth-presentation-decrease-increase-triangle"),
        array("ml-cha-47-pie-chart-graph-growth-presentation-decrease-increase-percentage" => "ml-cha-47-pie-chart-graph-growth-presentation-decrease-increase-percentage"),
        array("ml-cha-48-pie-chart-graph-growth-presentation-decrease-increase-triangle" => "ml-cha-48-pie-chart-graph-growth-presentation-decrease-increase-triangle"),
        array("ml-cha-49-pie-chart-graph-growth-presentation-decrease-increase-triangle" => "ml-cha-49-pie-chart-graph-growth-presentation-decrease-increase-triangle"),
        array("ml-cha-50-pie-chart-graph-growth-presentation-decrease-increase-triangle" => "ml-cha-50-pie-chart-graph-growth-presentation-decrease-increase-triangle"),
        array("ml-clo-01-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-01-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-02-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-02-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-03-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-03-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-04-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-04-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-05-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-05-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-06-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-06-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-07-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-07-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-08-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-08-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-09-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-09-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-10-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-10-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-11-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-11-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-12-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-12-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-13-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-13-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-14-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-14-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-15-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-15-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-16-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-16-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-17-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-17-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-18-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-18-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-19-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-19-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-20-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-20-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-21-clothes-dress-skirt-fashion-clothing-garment" => "ml-clo-21-clothes-dress-skirt-fashion-clothing-garment"),
        array("ml-clo-22-clothes-dress-skirt-fashion-clothing-garment" => "ml-clo-22-clothes-dress-skirt-fashion-clothing-garment"),
        array("ml-clo-23-clothes-dress-fashion-clothing-garment" => "ml-clo-23-clothes-dress-fashion-clothing-garment"),
        array("ml-clo-24-clothes-dress-clothes-tree-fashion-clothing-garment" => "ml-clo-24-clothes-dress-clothes-tree-fashion-clothing-garment"),
        array("ml-clo-25-clothes-dress-trousers-fashion-clothing-garment" => "ml-clo-25-clothes-dress-trousers-fashion-clothing-garment"),
        array("ml-clo-26-clothes-dress-shirt-sweater-fashion-clothing-garment" => "ml-clo-26-clothes-dress-shirt-sweater-fashion-clothing-garment"),
        array("ml-clo-27-clothes-dress-trousers-shorties-fashion-clothing-garment" => "ml-clo-27-clothes-dress-trousers-shorties-fashion-clothing-garment"),
        array("ml-clo-28-clothes-dress-trousers-shorties-fashion-clothing-garment" => "ml-clo-28-clothes-dress-trousers-shorties-fashion-clothing-garment"),
        array("ml-clo-29-clothes-dress-singlet-fashion-clothing-garment" => "ml-clo-29-clothes-dress-singlet-fashion-clothing-garment"),
        array("ml-clo-30-clothes-dress-singlet-fashion-clothing-garment" => "ml-clo-30-clothes-dress-singlet-fashion-clothing-garment"),
        array("ml-clo-31-clothes-dress-beret-fashion-clothing-garment" => "ml-clo-31-clothes-dress-beret-fashion-clothing-garment"),
        array("ml-clo-32-clothes-dress-beret-cap-fashion-clothing-garment" => "ml-clo-32-clothes-dress-beret-cap-fashion-clothing-garment"),
        array("ml-clo-33-clothes-dress-beret-cap-fashion-clothing-garment" => "ml-clo-33-clothes-dress-beret-cap-fashion-clothing-garment"),
        array("ml-clo-34-clothes-dress-swim-suit-fashion-clothing-garment" => "ml-clo-34-clothes-dress-swim-suit-fashion-clothing-garment"),
        array("ml-clo-35-clothes-dress-swim-suit-fashion-clothing-garment" => "ml-clo-35-clothes-dress-swim-suit-fashion-clothing-garment"),
        array("ml-clo-36-clothes-dress-swim-suit-fashion-clothing-garment" => "ml-clo-36-clothes-dress-swim-suit-fashion-clothing-garment"),
        array("ml-clo-37-clothes-dress-swim-suit-fashion-clothing-garment" => "ml-clo-37-clothes-dress-swim-suit-fashion-clothing-garment"),
        array("ml-clo-38-clothes-dress-swim-suit-bikini-fashion-clothing-garment" => "ml-clo-38-clothes-dress-swim-suit-bikini-fashion-clothing-garment"),
        array("ml-clo-39-clothes-dress-swim-suit-bikini-fashion-clothing-garment.svg" => "ml-clo-39-clothes-dress-swim-suit-bikini-fashion-clothing-garment.svg"),
        array("ml-clo-40-tie" => "ml-clo-40-tie"),
        array("ml-clo-41-glasses" => "ml-clo-41-glasses"),
        array("ml-clo-42-glasses" => "ml-clo-42-glasses"),
        array("ml-clo-43-hand-bag-purse-wallet-fashion" => "ml-clo-43-hand-bag-purse-wallet-fashion"),
        array("ml-clo-44-shoe-sports-shoes-heeled-fashion" => "ml-clo-44-shoe-sports-shoes-heeled-fashion"),
        array("ml-clo-45-shoe-sports-shoes-heeled-fashion" => "ml-clo-45-shoe-sports-shoes-heeled-fashion"),
        array("ml-clo-46-shoe-sports-shoes-fashion" => "ml-clo-46-shoe-sports-shoes-fashion"),
        array("ml-cons-1-Settings-fix-wrench-screwdriver-tool-box-repair-utencils" => "ml-cons-1-Settings-fix-wrench-screwdriver-tool-box-repair-utencils"),
        array("ml-cons-2-Life-vest-security-worker" => "ml-cons-2-Life-vest-security-worker"),
        array("ml-cons-3-measure-meter-repair-meter-foot-inch" => "ml-cons-3-measure-meter-repair-meter-foot-inch"),
        array("ml-cons-4-architecture-plan-paper-work-flow" => "ml-cons-4-architecture-plan-paper-work-flow"),
        array("ml-cons-5-barrier-construction-sign-buildings-obstacle-road" => "ml-cons-5-barrier-construction-sign-buildings-obstacle-road"),
        array("ml-cons-6-Wall-building-brick-firewall-construction" => "ml-cons-6-Wall-building-brick-firewall-construction"),
        array("ml-cons-7-protection-hard-hat-worker-hat-tools-and-utencils" => "ml-cons-7-protection-hard-hat-worker-hat-tools-and-utencils"),
        array("ml-cons-8-construction-crane-lift-hook-tools-and-utencils" => "ml-cons-8-construction-crane-lift-hook-tools-and-utencils"),
        array("ml-cons-9-cog-wheel-gear-work-machine" => "ml-cons-9-cog-wheel-gear-work-machine"),
        array("ml-cons-10-construction-crane-lift-hook-tools-and-utencils" => "ml-cons-10-construction-crane-lift-hook-tools-and-utencils"),
        array("ml-cons-11-transport-vehicle-farming-transportation-gardening" => "ml-cons-11-transport-vehicle-farming-transportation-gardening"),
        array("ml-cons-12-transport-vehicle-fork-truck-lift-forklift-shipping" => "ml-cons-12-transport-vehicle-fork-truck-lift-forklift-shipping"),
        array("ml-cons-13-container-shipment-delivery-over-seas" => "ml-cons-13-container-shipment-delivery-over-seas"),
        array("ml-cont-1-identification-business-card-contact-up-rise-gain-increase" => "ml-cont-1-identification-business-card-contact-up-rise-gain-increase"),
        array("ml-cont-2-identification-business-card-contact-down-fall-loss-decrease" => "ml-cont-2-identification-business-card-contact-down-fall-loss-decrease"),
        array("ml-cont-3-identification-business-card-contact-add-plus-gain" => "ml-cont-3-identification-business-card-contact-add-plus-gain"),
        array("ml-cont-4-identification-business-card-contact-minus-subtract-delete" => "ml-cont-4-identification-business-card-contact-minus-subtract-delete"),
        array("ml-cont-5-identification-business-card-contact-forbidden-ban-no" => "ml-cont-5-identification-business-card-contact-forbidden-ban-no"),
        array("ml-cont-6-identification-business-card-contact-decline-false-cancel-cross" => "ml-cont-6-identification-business-card-contact-decline-false-cancel-cross"),
        array("ml-cont-7-identification-business-card-contact-refresh-generate-arrow" => "ml-cont-7-identification-business-card-contact-refresh-generate-arrow"),
        array("ml-cont-8-identification-business-card-contact-left-enter" => "ml-cont-8-identification-business-card-contact-left-enter"),
        array("ml-cont-9-identification-business-card-contact-decline-false-cancel-cross" => "ml-cont-9-identification-business-card-contact-decline-false-cancel-cross"),
        array("ml-cont-10-identification-business-card-contact-accept-true-check-mark" => "ml-cont-10-identification-business-card-contact-accept-true-check-mark"),
        array("ml-cont-11-identification-business-card-contact-lock-secure-security-unlock" => "ml-cont-11-identification-business-card-contact-lock-secure-security-unlock"),
        array("ml-cont-12-identification-business-card-contact-magnifier-zoom-magnify-discover-search" => "ml-cont-12-identification-business-card-contact-magnifier-zoom-magnify-discover-search"),
        array("ml-cont-13-identification-business-card-contact-pencil-pen-write-save-work" => "ml-cont-13-identification-business-card-contact-pencil-pen-write-save-work"),
        array("ml-cont-14-contact-phone-book-communitaion-cell-phone" => "ml-cont-14-contact-phone-book-communitaion-cell-phone"),
        array("ml-cont-15-identification-business-card-contact-up-rise-gain-increase" => "ml-cont-15-identification-business-card-contact-up-rise-gain-increase"),
        array("ml-dat-1-database-computer-server-hosting" => "ml-dat-1-database-computer-server-hosting"),
        array("ml-dat-2-database-computer-server-hosting-refresh-sync-recycle" => "ml-dat-2-database-computer-server-hosting-refresh-sync-recycle"),
        array("ml-dat-3-database-computer-server-hosting-add-plus-gain" => "ml-dat-3-database-computer-server-hosting-add-plus-gain"),
        array("ml-dat-4-database-computer-server-hosting-minus-subtract-delete" => "ml-dat-4-database-computer-server-hosting-minus-subtract-delete"),
        array("ml-dat-5-database-computer-server-hosting-forbidden-cross-no" => "ml-dat-5-database-computer-server-hosting-forbidden-cross-no"),
        array("ml-dat-6-database-computer-server-hosting-attachment-link" => "ml-dat-6-database-computer-server-hosting-attachment-link"),
        array("ml-dat-7-database-computer-server-hosting-link" => "ml-dat-7-database-computer-server-hosting-link"),
        array("ml-dat-8-database-computer-server-hosting-magnifier-discover-search" => "ml-dat-8-database-computer-server-hosting-magnifier-discover-search"),
        array("ml-dat-9-database-computer-server-hosting-check-mark-yes" => "ml-dat-9-database-computer-server-hosting-check-mark-yes"),
        array("ml-dat-10-database-computer-server-hosting-cancel-cross-no" => "ml-dat-10-database-computer-server-hosting-cancel-cross-no"),
        array("ml-dat-11-database-computer-server-hosting-left-enter-inside" => "ml-dat-11-database-computer-server-hosting-left-enter-inside"),
        array("ml-dat-12-database-computer-server-hosting-left" => "ml-dat-12-database-computer-server-hosting-left"),
        array("ml-dat-13-database-computer-server-hosting-right" => "ml-dat-13-database-computer-server-hosting-right"),
        array("ml-dat-14-database-computer-server-hosting-up-rise-increase" => "ml-dat-14-database-computer-server-hosting-up-rise-increase"),
        array("ml-dat-15-database-computer-server-hosting-down-decrease" => "ml-dat-15-database-computer-server-hosting-down-decrease"),
        array("ml-dat-16-database-computer-server-hosting-lock-secure-security" => "ml-dat-16-database-computer-server-hosting-lock-secure-security"),
        array("ml-dat-17-database-computer-server-hosting-wait-loading-ellipsis" => "ml-dat-17-database-computer-server-hosting-wait-loading-ellipsis"),
        array("ml-dat-18-database-computer-server-hosting-pencil-save-write" => "ml-dat-18-database-computer-server-hosting-pencil-save-write"),
        array("ml-dat-19-database-computer-server-hosting-trash-delete" => "ml-dat-19-database-computer-server-hosting-trash-delete"),
        array("ml-dat-20-database-computer-server-hosting-security-shield" => "ml-dat-20-database-computer-server-hosting-security-shield"),
        array("ml-dat-21-database-computer-server-hosting-heart-love" => "ml-dat-21-database-computer-server-hosting-heart-love"),
        array("ml-dat-22-database-computer-server-hosting-code-inequality" => "ml-dat-22-database-computer-server-hosting-code-inequality"),
        array("ml-dat-23-database-computer-server-hosting-question-mark-ask" => "ml-dat-23-database-computer-server-hosting-question-mark-ask"),
        array("ml-dat-24-database-computer-server-hosting-exclamation-mark-triangle-round" => "ml-dat-24-database-computer-server-hosting-exclamation-mark-triangle-round"),
        array("ml-dat-25-database-computer-server-hosting-exclamation-mark-triangle-round" => "ml-dat-25-database-computer-server-hosting-exclamation-mark-triangle-round"),
        array("ml-dat-26-database-computer-server-hosting-information-desk-letter" => "ml-dat-26-database-computer-server-hosting-information-desk-letter"),
        array("ml-dat-27-database-computer-server-hosting-clock-time" => "ml-dat-27-database-computer-server-hosting-clock-time"),
        array("ml-dat-28-database-computer-server-hosting-settings-gear-cog-wheel" => "ml-dat-28-database-computer-server-hosting-settings-gear-cog-wheel"),
        array("ml-dat-29-database-computer-server-hosting-target-shoot-discover" => "ml-dat-29-database-computer-server-hosting-target-shoot-discover"),
        array("ml-dat-30-database-computer-server-hosting-pie-chart-percentage-divide" => "ml-dat-30-database-computer-server-hosting-pie-chart-percentage-divide"),
        array("ml-dat-31-cloud-database-computer-internet" => "ml-dat-31-cloud-database-computer-internet"),
        array("ml-dat-32-cloud-database-computer-internet-refresh-sync-recycle" => "ml-dat-32-cloud-database-computer-internet-refresh-sync-recycle"),
        array("ml-dat-33-cloud-database-computer-internet-add-plus-gain" => "ml-dat-33-cloud-database-computer-internet-add-plus-gain"),
        array("ml-dat-34-cloud-database-computer-internet-minus-subtract-delete" => "ml-dat-34-cloud-database-computer-internet-minus-subtract-delete"),
        array("ml-dat-35-cloud-database-computer-internet-forbidden-cross-no" => "ml-dat-35-cloud-database-computer-internet-forbidden-cross-no"),
        array("ml-dat-36-cloud-database-computer-internet-attachment-link-document" => "ml-dat-36-cloud-database-computer-internet-attachment-link-document"),
        array("ml-dat-37-cloud-database-computer-internet-link" => "ml-dat-37-cloud-database-computer-internet-link"),
        array("ml-dat-38-cloud-database-computer-internet-search-magnifier" => "ml-dat-38-cloud-database-computer-internet-search-magnifier"),
        array("ml-dat-39-cloud-database-computer-internet-check-mark-yes" => "ml-dat-39-cloud-database-computer-internet-check-mark-yes"),
        array("ml-dat-40-cloud-database-computer-internet-cancel-cross-no" => "ml-dat-40-cloud-database-computer-internet-cancel-cross-no"),
        array("ml-dat-41-cloud-database-computer-internet-left-enter-inside" => "ml-dat-41-cloud-database-computer-internet-left-enter-inside"),
        array("ml-dat-42-cloud-database-computer-internet-left" => "ml-dat-42-cloud-database-computer-internet-left"),
        array("ml-dat-43-cloud-database-computer-internet-right" => "ml-dat-43-cloud-database-computer-internet-right"),
        array("ml-dat-44-cloud-database-computer-internet-up-rise-increase" => "ml-dat-44-cloud-database-computer-internet-up-rise-increase"),
        array("ml-dat-45-cloud-database-computer-internet-down-decrease" => "ml-dat-45-cloud-database-computer-internet-down-decrease"),
        array("ml-dat-46-cloud-database-computer-internet-lock-secure-security" => "ml-dat-46-cloud-database-computer-internet-lock-secure-security"),
        array("ml-dat-47-cloud-database-computer-internet-wait-loading-ellipsis" => "ml-dat-47-cloud-database-computer-internet-wait-loading-ellipsis"),
        array("ml-dat-48-cloud-database-computer-internet-pencil-save-write" => "ml-dat-48-cloud-database-computer-internet-pencil-save-write"),
        array("ml-dat-49-cloud-database-computer-internet-trash-delete" => "ml-dat-49-cloud-database-computer-internet-trash-delete"),
        array("ml-dat-50-cloud-database-computer-internet-security-shield" => "ml-dat-50-cloud-database-computer-internet-security-shield"),
        array("ml-dat-51-cloud-database-computer-internet-heart-love" => "ml-dat-51-cloud-database-computer-internet-heart-love"),
        array("ml-dat-52-cloud-database-computer-internet-code-inequality" => "ml-dat-52-cloud-database-computer-internet-code-inequality"),
        array("ml-dat-53-cloud-database-computer-internet-question-mark-ask" => "ml-dat-53-cloud-database-computer-internet-question-mark-ask"),
        array("ml-dat-54-cloud-database-computer-internet-exclamation-mark-triangle-round" => "ml-dat-54-cloud-database-computer-internet-exclamation-mark-triangle-round"),
        array("ml-dat-55-cloud-database-computer-internet-exclamation-mark-triangle-round" => "ml-dat-55-cloud-database-computer-internet-exclamation-mark-triangle-round"),
        array("ml-dat-56-cloud-database-computer-internet-information-desk-letter" => "ml-dat-56-cloud-database-computer-internet-information-desk-letter"),
        array("ml-dat-57-cloud-database-computer-internet-clock-time" => "ml-dat-57-cloud-database-computer-internet-clock-time"),
        array("ml-dat-58-cloud-database-computer-internet-settings-gear-cog-wheel" => "ml-dat-58-cloud-database-computer-internet-settings-gear-cog-wheel"),
        array("ml-dat-59-cloud-database-computer-internet-target-shoot-discover" => "ml-dat-59-cloud-database-computer-internet-target-shoot-discover"),
        array("ml-dat-60-cloud-database-computer-internet-pie-chart-percentage-divide" => "ml-dat-60-cloud-database-computer-internet-pie-chart-percentage-divide"),
        array("ml-dat-61-cloud-database-computer-internet-connect-two-network" => "ml-dat-61-cloud-database-computer-internet-connect-two-network"),
        array("ml-dat-62-cloud-database-computer-internet-music" => "ml-dat-62-cloud-database-computer-internet-music"),
        array("ml-dat-63-database-computer-network-internet-globe-server" => "ml-dat-63-database-computer-network-internet-globe-server"),
        array("ml-dat-64-database-computer-network-internet-server" => "ml-dat-64-database-computer-network-internet-server"),
        array("ml-dat-65-database-computer-network-internet-server" => "ml-dat-65-database-computer-network-internet-server"),
        array("ml-dat-66-database-computer-network-internet-server-wireless" => "ml-dat-66-database-computer-network-internet-server-wireless"),
        array("ml-dat-67-database-computer-network-internet-server-connection" => "ml-dat-67-database-computer-network-internet-server-connection"),
        array("ml-dat-68-database-computer-network-internet-server" => "ml-dat-68-database-computer-network-internet-server"),
        array("ml-share" => "ml-share"),
        array("ml-dat-69-database-computer-network-internet-server" => "ml-dat-69-database-computer-network-internet-server"),
        array("ml-dat-70-database-computer-network-internet-server" => "ml-dat-70-database-computer-network-internet-server"),
        array("ml-dat-71-speed-increase-decrease-internet-fast-slow-server" => "ml-dat-71-speed-increase-decrease-internet-fast-slow-server"),
        array("ml-dat-72-speed-increase-decrease-internet-fast-slow-server" => "ml-dat-72-speed-increase-decrease-internet-fast-slow-server"),
        array("ml-dat-73-speed-increase-decrease-internet-fast-slow-server" => "ml-dat-73-speed-increase-decrease-internet-fast-slow-server"),
        array("ml-dat-74-speed-increase-decrease-internet-fast-slow-server" => "ml-dat-74-speed-increase-decrease-internet-fast-slow-server"),
        array("ml-dat-75-speed-increase-decrease-internet-fast-slow-server" => "ml-dat-75-speed-increase-decrease-internet-fast-slow-server"),
        array("ml-dat-76-speed-increase-decrease-internet-fast-slow-server" => "ml-dat-76-speed-increase-decrease-internet-fast-slow-server"),
        array("ml-dat-77-speed-increase-decrease-internet-fast-slow-server" => "ml-dat-77-speed-increase-decrease-internet-fast-slow-server"),
        array("ml-dat-78-satellite-space-internet-network-fast-slow-connection-type" => "ml-dat-78-satellite-space-internet-network-fast-slow-connection-type"),
        array("ml-dat-79-wireless-connection-network-cellular-tower-satellite-wifi-router" => "ml-dat-79-wireless-connection-network-cellular-tower-satellite-wifi-router"),
        array("ml-dat-80-wireless-connection-network-cellular-tower-satellite-wifi-router" => "ml-dat-80-wireless-connection-network-cellular-tower-satellite-wifi-router"),
        array("ml-dat-81-wireless-connection-network-cellular-tower-satellite-wifi-router" => "ml-dat-81-wireless-connection-network-cellular-tower-satellite-wifi-router"),
        array("ml-dat-82-wireless-connection-network-cellular-tower-satellite-wifi-router" => "ml-dat-82-wireless-connection-network-cellular-tower-satellite-wifi-router"),
        array("ml-dat-83-wireless-connection-network-cellular-tower-satellite-wifi-router" => "ml-dat-83-wireless-connection-network-cellular-tower-satellite-wifi-router"),
        array("ml-dat-84-wireless-connection-network-cellular-tower-satellite-wifi-router" => "ml-dat-84-wireless-connection-network-cellular-tower-satellite-wifi-router"),
        array("ml-dat-85-wireless-connection-network-cellular-tower-satellite-wifi-router" => "ml-dat-85-wireless-connection-network-cellular-tower-satellite-wifi-router"),
        array("ml-dat-86-wireless-connection-network-cellular-tower-satellite-wifi-router" => "ml-dat-86-wireless-connection-network-cellular-tower-satellite-wifi-router"),
        array("ml-dat-87-wireless-connection-network-cellular-tower-satellite-wifi-router" => "ml-dat-87-wireless-connection-network-cellular-tower-satellite-wifi-router"),
        array("ml-dat-88-wireless-connection-network-cellular-tower-satellite-wifi-router" => "ml-dat-88-wireless-connection-network-cellular-tower-satellite-wifi-router"),
        array("ml-dat-89-wireless-connection-network-cellular-tower-satellite-wifi-router" => "ml-dat-89-wireless-connection-network-cellular-tower-satellite-wifi-router"),
        array("ml-des-1-pen-pencil-graphics-design-tool-interface" => "ml-des-1-pen-pencil-graphics-design-tool-interface"),
        array("ml-des-2-pen-pencil-graphics-design-tool-interface" => "ml-des-2-pen-pencil-graphics-design-tool-interface"),
        array("ml-des-3-color-picker-paint-graphics-design-tool-interface" => "ml-des-3-color-picker-paint-graphics-design-tool-interface"),
        array("ml-des-4-magic-wand-graphics-design-tool-interface" => "ml-des-4-magic-wand-graphics-design-tool-interface"),
        array("ml-des-5-lasso-tool-select-graphics-design-tool-interface" => "ml-des-5-lasso-tool-select-graphics-design-tool-interface"),
        array("ml-des-6-paint-bucket-fill-graphics-design-tool-interface" => "ml-des-6-paint-bucket-fill-graphics-design-tool-interface"),
        array("ml-des-7-roller-improvement-painter-graphics-design-tool-interface" => "ml-des-7-roller-improvement-painter-graphics-design-tool-interface"),
        array("ml-des-8-spray-paint-graphics-design-tool-interface" => "ml-des-8-spray-paint-graphics-design-tool-interface"),
        array("ml-des-9-blend-shape-graphics-design-tool-interface" => "ml-des-9-blend-shape-graphics-design-tool-interface"),
        array("ml-des-10-Scissors-path-shape-graphics-design-tool-interface-cut" => "ml-des-10-Scissors-path-shape-graphics-design-tool-interface-cut"),
        array("ml-des-11-brush-shape-graphics-design-tool-interface" => "ml-des-11-brush-shape-graphics-design-tool-interface"),
        array("ml-des-12-pen-pencil-graphics-design-tool-interface" => "ml-des-12-pen-pencil-graphics-design-tool-interface"),
        array("ml-des-13-pen-pencil-graphics-design-tool-interface" => "ml-des-13-pen-pencil-graphics-design-tool-interface"),
        array("ml-des-14-color-picker-paintgraphics-design-tool-interface" => "ml-des-14-color-picker-paintgraphics-design-tool-interface"),
        array("ml-des-15-color-mix-paint-graphics-design-tool-interface-cmyk-icon-rgb-icon" => "ml-des-15-color-mix-paint-graphics-design-tool-interface-cmyk-icon-rgb-icon"),
        array("ml-des-16-blur-paint-graphics-design-tool-interface-finger" => "ml-des-16-blur-paint-graphics-design-tool-interface-finger"),
        array("ml-des-17-Hand-graphics-design-tool-interfaceö-drag" => "ml-des-17-Hand-graphics-design-tool-interfaceö-drag"),
        array("ml-des-18-search-magnifier-graphics-design-tool-interface" => "ml-des-18-search-magnifier-graphics-design-tool-interface"),
        array("ml-des-19-Transform-shape-graphics-design-tool-interface" => "ml-des-19-Transform-shape-graphics-design-tool-interface"),
        array("ml-des-20-Transform-shape-graphics-design-tool-interface-eraser" => "ml-des-20-Transform-shape-graphics-design-tool-interface-eraser"),
        array("ml-des-21-Transform-shape-graphics-design-tool-interface-layers-tool-bar" => "ml-des-21-Transform-shape-graphics-design-tool-interface-layers-tool-bar"),
        array("ml-des-22-Transform-shape-graphics-design-tool-interface" => "ml-des-22-Transform-shape-graphics-design-tool-interface"),
        array("ml-des-23-Transform-shape-graphics-design-tool-interface" => "ml-des-23-Transform-shape-graphics-design-tool-interface"),
        array("ml-des-24-Transform-shape-graphics-design-tool-interface-horizontal" => "ml-des-24-Transform-shape-graphics-design-tool-interface-horizontal"),
        array("ml-des-25-Transform-shape-graphics-design-tool-interface-resize" => "ml-des-25-Transform-shape-graphics-design-tool-interface-resize"),
        array("ml-des-26-Transform-shape-graphics-design-tool-interface-charts" => "ml-des-26-Transform-shape-graphics-design-tool-interface-charts"),
        array("ml-des-27-cube-shape-graphics-design-tool-interface" => "ml-des-27-cube-shape-graphics-design-tool-interface"),
        array("ml-des-28-Layers-shape-graphics-design-tool-interface" => "ml-des-28-Layers-shape-graphics-design-tool-interface"),
        array("ml-des-29-Spiral-shape-graphics-design-tool-interface" => "ml-des-29-Spiral-shape-graphics-design-tool-interface"),
        array("ml-des-30-round-corner-shape-graphics-design-tool-interface" => "ml-des-30-round-corner-shape-graphics-design-tool-interface"),
        array("ml-des-31-divide-unite-intersect-exclude-graphics-design-tool-interface" => "ml-des-31-divide-unite-intersect-exclude-graphics-design-tool-interface"),
        array("ml-des-32-divide-unite-intersect-exclude-graphics-design-tool-interface" => "ml-des-32-divide-unite-intersect-exclude-graphics-design-tool-interface"),
        array("ml-des-33-divide-unite-intersect-exclude-graphics-design-tool-interface" => "ml-des-33-divide-unite-intersect-exclude-graphics-design-tool-interface"),
        array("ml-des-34-divide-unite-intersect-exclude-graphics-design-tool-interface" => "ml-des-34-divide-unite-intersect-exclude-graphics-design-tool-interface"),
        array("ml-des-35-divide-unite-intersect-exclude-graphics-design-tool-interface" => "ml-des-35-divide-unite-intersect-exclude-graphics-design-tool-interface"),
        array("ml-des-36-divide-unite-intersect-exclude-graphics-design-tool-interface" => "ml-des-36-divide-unite-intersect-exclude-graphics-design-tool-interface"),
        array("ml-des-37-divide-unite-intersect-exclude-graphics-design-tool-interface" => "ml-des-37-divide-unite-intersect-exclude-graphics-design-tool-interface"),
        array("ml-des-38-Crop-shape-graphics-design-tool-interface-expand-arrow" => "ml-des-38-Crop-shape-graphics-design-tool-interface-expand-arrow"),
        array("ml-des-39-select-shape-graphics-design-tool-interface-expand-arrow" => "ml-des-39-select-shape-graphics-design-tool-interface-expand-arrow"),
        array("ml-des-40-move-shape-graphics-design-tool-interface-expand-arrow" => "ml-des-40-move-shape-graphics-design-tool-interface-expand-arrow"),
        array("ml-des-41-align-graphics-design-tool-interface-left-right-center" => "ml-des-41-align-graphics-design-tool-interface-left-right-center"),
        array("ml-des-42-align-graphics-design-tool-interface-left-right-center" => "ml-des-42-align-graphics-design-tool-interface-left-right-center"),
        array("ml-des-43-align-graphics-design-tool-interface-left-right-center" => "ml-des-43-align-graphics-design-tool-interface-left-right-center"),
        array("ml-des-44-align-graphics-design-tool-interface-left-right-center" => "ml-des-44-align-graphics-design-tool-interface-left-right-center"),
        array("ml-des-45-align-graphics-design-tool-interface-left-right-center" => "ml-des-45-align-graphics-design-tool-interface-left-right-center"),
        array("ml-des-46-align-graphics-design-tool-interface-left-right-center" => "ml-des-46-align-graphics-design-tool-interface-left-right-center"),
        array("ml-des-47-link-shape-graphics-design-tool-interface" => "ml-des-47-link-shape-graphics-design-tool-interface"),
        array("ml-des-48-interface-graphics-design-tool-interface" => "ml-des-48-interface-graphics-design-tool-interface"),
        array("ml-des-49-color-picker-paint-graphics-design-tool-interface" => "ml-des-49-color-picker-paint-graphics-design-tool-interface"),
        array("ml-des-50-Mail-check-mark-receive-send-inbox-outbox" => "ml-des-50-Mail-check-mark-receive-send-inbox-outbox"),
        array("ml-des-51-Shape-builder-paint-graphics-design-tool-interface" => "ml-des-51-Shape-builder-paint-graphics-design-tool-interface"),
        array("ml-des-52-Perspective-paint-graphics-design-tool-interface" => "ml-des-52-Perspective-paint-graphics-design-tool-interface"),
        array("ml-des-53-Mesh-graphics-design-tool-interface" => "ml-des-53-Mesh-graphics-design-tool-interface"),
        array("ml-des-54-Artboard-paint-graphics-design-tool-interface" => "ml-des-54-Artboard-paint-graphics-design-tool-interface"),
        array("ml-des-55-Select-crop-transform-shape-graphics-design-tool-interface" => "ml-des-55-Select-crop-transform-shape-graphics-design-tool-interface"),
        array("ml-des-56-Fill-line-color-graphics-design-tool-interface" => "ml-des-56-Fill-line-color-graphics-design-tool-interface"),
        array("ml-des-57-upload-download-sync-application-device-mobile-computer" => "ml-des-57-upload-download-sync-application-device-mobile-computer"),
        array("ml-des-58-star-favorite" => "ml-des-58-star-favorite"),
        array("ml-des-59-deadline-dead-line-time-limit-gear-clock" => "ml-des-59-deadline-dead-line-time-limit-gear-clock"),
        array("ml-des-60-work-gear-cog-wheel" => "ml-des-60-work-gear-cog-wheel"),
        array("ml-des-61-user-interface-heart-graphics-design-tool-interface" => "ml-des-61-user-interface-heart-graphics-design-tool-interface"),
        array("ml-des-62-Precision-compasses-graphics-design-tool-interface" => "ml-des-62-Precision-compasses-graphics-design-tool-interface"),
        array("ml-des-63-wand-magic-hat-magician-magic-trick-graphics-design-tool" => "ml-des-63-wand-magic-hat-magician-magic-trick-graphics-design-tool"),
        array("ml-des-64-plan-paper-work-idea-graphics-design-tool-interface" => "ml-des-64-plan-paper-work-idea-graphics-design-tool-interface"),
        array("ml-des-65-drawing-tablet-illustration-graphics-design-tool-interface" => "ml-des-65-drawing-tablet-illustration-graphics-design-tool-interface"),
        array("ml-des-66-search-magnifier" => "ml-des-66-search-magnifier"),
        array("ml-des-67-cursor-arrow-select-illustration-graphics-design-tool-interface" => "ml-des-67-cursor-arrow-select-illustration-graphics-design-tool-interface"),
        array("ml-des-68-Lamp-idea-light-brainstorm" => "ml-des-68-Lamp-idea-light-brainstorm"),
        array("ml-des-69-Lamp-idea-light-brainstorm" => "ml-des-69-Lamp-idea-light-brainstorm"),
        array("ml-des-70-eye-red-see-vision-photo-face" => "ml-des-70-eye-red-see-vision-photo-face"),
        array("ml-des-71-Three-dimensional-shape-select-illustration-graphics-design-tool" => "ml-des-71-Three-dimensional-shape-select-illustration-graphics-design-tool"),
        array("ml-des-72-Three-dimensional-shape-select-illustration-graphics-design-tool-cube" => "ml-des-72-Three-dimensional-shape-select-illustration-graphics-design-tool-cube"),
        array("ml-des-73-Three-dimensional-shape-select-illustration-graphics-design-tool-pyramite" => "ml-des-73-Three-dimensional-shape-select-illustration-graphics-design-tool-pyramite"),
        array("ml-des-74-Three-dimensional-shape-select-illustration-graphics-design-tool-ball" => "ml-des-74-Three-dimensional-shape-select-illustration-graphics-design-tool-ball"),
        array("ml-des-75-Three-dimensional-shape-select-illustration-graphics-design-tool-cylinder" => "ml-des-75-Three-dimensional-shape-select-illustration-graphics-design-tool-cylinder"),
        array("ml-des-76-Three-dimensional-shape-select-illustration-graphics-design-tool-cylinder" => "ml-des-76-Three-dimensional-shape-select-illustration-graphics-design-tool-cylinder"),
        array("ml-des-77-Three-dimensional-shape-select-illustration-graphics-design-tool-life-buoy" => "ml-des-77-Three-dimensional-shape-select-illustration-graphics-design-tool-life-buoy"),
        array("ml-des-78-Three-dimensional-shape-select-illustration-graphics-design-tool-pyramite" => "ml-des-78-Three-dimensional-shape-select-illustration-graphics-design-tool-pyramite"),
        array("ml-des-79-Three-dimensional-shape-select-illustration-graphics-design-tool-surface" => "ml-des-79-Three-dimensional-shape-select-illustration-graphics-design-tool-surface"),
        array("ml-des-80-Three-dimensional-shape-select-illustration-graphics-design-tool-tea-pot" => "ml-des-80-Three-dimensional-shape-select-illustration-graphics-design-tool-tea-pot"),
        array("ml-des-81-Interface-browser-window-layout" => "ml-des-81-Interface-browser-window-layout"),
        array("ml-des-82-Video-player-internet-social-watch" => "ml-des-82-Video-player-internet-social-watch"),
        array("ml-des-83-Video-player-internet-social-watch" => "ml-des-83-Video-player-internet-social-watch"),
        array("ml-des-84-Camera-photo-shoot-photography-art" => "ml-des-84-Camera-photo-shoot-photography-art"),
        array("ml-des-85-Camera-photo-shoot-photography-art" => "ml-des-85-Camera-photo-shoot-photography-art"),
        array("ml-des-86-earphone-listen-music-sound-microphone-support-telephone" => "ml-des-86-earphone-listen-music-sound-microphone-support-telephone"),
        array("ml-des-87-earphone-listen-music-sound-microphone-support-telephone" => "ml-des-87-earphone-listen-music-sound-microphone-support-telephone"),
        array("ml-des-88-Scissors-cut-paper-coupon-sharp" => "ml-des-88-Scissors-cut-paper-coupon-sharp"),
        array("ml-des-89-lock-secure-unlock-key" => "ml-des-89-lock-secure-unlock-key"),
        array("ml-des-90-lock-secure-unlock-key" => "ml-des-90-lock-secure-unlock-key"),
        array("ml-des-91-Typewriter-copywriter-keys-take-note-text" => "ml-des-91-Typewriter-copywriter-keys-take-note-text"),
        array("ml-des-92-Typewriter-mini-line-icon" => "ml-des-92-Typewriter-mini-line-icon"),
        array("ml-des-93-Text-mini-line-icon" => "ml-des-93-Text-mini-line-icon"),
        array("ml-des-94-Text-paragraph-write-edit-note" => "ml-des-94-Text-paragraph-write-edit-note"),
        array("ml-des-95-Text-paragraph-write-edit-note" => "ml-des-95-Text-paragraph-write-edit-note"),
        array("ml-des-96-hand-remmeber-dead-line-to-do-reminder" => "ml-des-96-hand-remmeber-dead-line-to-do-reminder"),
        array("ml-des-97-Clock-time-hour-minute" => "ml-des-97-Clock-time-hour-minute"),
        array("ml-des-98-Split-test-cons-pros-positive-negative-plus-minus" => "ml-des-98-Split-test-cons-pros-positive-negative-plus-minus"),
        array("ml-des-99-Split-test-cons-pros-positive-negative-plus-minus" => "ml-des-99-Split-test-cons-pros-positive-negative-plus-minus"),
        array("ml-des-100-refresh-sync-recycle-options-two-ways-choose" => "ml-des-100-refresh-sync-recycle-options-two-ways-choose"),
        array("ml-edu-1-graduation-hat-university-student-collage-school" => "ml-edu-1-graduation-hat-university-student-collage-school"),
        array("ml-edu-2-owl-animal-university-student-collage-school" => "ml-edu-2-owl-animal-university-student-collage-school"),
        array("ml-edu-3-Globe-lesson-geography-science-discovery-earth-school" => "ml-edu-3-Globe-lesson-geography-science-discovery-earth-school"),
        array("ml-edu-4-History-lesson-learn-school-university" => "ml-edu-4-History-lesson-learn-school-university"),
        array("ml-edu-5-History-lesson-learn-school-university" => "ml-edu-5-History-lesson-learn-school-university"),
        array("ml-edu-6-Atom-molecule-mini-line-icon" => "ml-edu-6-Atom-molecule-mini-line-icon"),
        array("ml-edu-7-test-tube-science-biology-chemistry-school-discovery-research" => "ml-edu-7-test-tube-science-biology-chemistry-school-discovery-research"),
        array("ml-edu-8-telescope-geography-astronomy-science-research-discover" => "ml-edu-8-telescope-geography-astronomy-science-research-discover"),
        array("ml-edu-9-microscope-biology-chemistry-discovery-research-science-laboratory" => "ml-edu-9-microscope-biology-chemistry-discovery-research-science-laboratory"),
        array("ml-edu-10-hand-writing-letters-words-literature-book-write-notebook" => "ml-edu-10-hand-writing-letters-words-literature-book-write-notebook"),
        array("ml-edu-11-precission-compasses-geography-map-plan-circule-distance" => "ml-edu-11-precission-compasses-geography-map-plan-circule-distance"),
        array("ml-edu-12-school-university-architecture-building-learn-graduate" => "ml-edu-12-school-university-architecture-building-learn-graduate"),
        array("ml-edu-13-geometry-cube-ninety-degrees-math-calculation" => "ml-edu-13-geometry-cube-ninety-degrees-math-calculation"),
        array("ml-edu-14-diploma-certificate-grade-fail-win-graduate-degree" => "ml-edu-14-diploma-certificate-grade-fail-win-graduate-degree"),
        array("ml-edu-15-diploma-certificate-grade-fail-win-graduate-degree" => "ml-edu-15-diploma-certificate-grade-fail-win-graduate-degree"),
        array("ml-edu-16-diploma-certificate-grade-fail-win-graduate-degree" => "ml-edu-16-diploma-certificate-grade-fail-win-graduate-degree"),
        array("ml-edu-17-molecule-atom-science-chemistry-discovery-planets-globe" => "ml-edu-17-molecule-atom-science-chemistry-discovery-planets-globe"),
        array("ml-edu-18-world-saturn-school-planets-globe-geography-astronomy" => "ml-edu-18-world-saturn-school-planets-globe-geography-astronomy"),
        array("ml-edu-19-molecule-gene-science" => "ml-edu-19-molecule-gene-science"),
        array("ml-edu-20-biology-science-magnifier-sample" => "ml-edu-20-biology-science-magnifier-sample"),
        array("ml-edu-21-Geometry-cube-ninety-degrees-math-calculation-triangle-ruler" => "ml-edu-21-Geometry-cube-ninety-degrees-math-calculation-triangle-ruler"),
        array("ml-edu-22-art-illustration-paint-lesson-painter-brush-painting" => "ml-edu-22-art-illustration-paint-lesson-painter-brush-painting"),
        array("ml-edu-24-Molecule-atom-science-chemistry-planets-laboratory-globe" => "ml-edu-24-Molecule-atom-science-chemistry-planets-laboratory-globe"),
        array("ml-edu-25-glasses-school-teacher-read-book-library" => "ml-edu-25-glasses-school-teacher-read-book-library"),
        array("ml-edu-26-questions-talk-bubble-letter-answers-chat-box-communication" => "ml-edu-26-questions-talk-bubble-letter-answers-chat-box-communication"),
        array("ml-edu-27-questions-talk-bubble-letter-answers-chat-box-communication" => "ml-edu-27-questions-talk-bubble-letter-answers-chat-box-communication"),
        array("ml-edu-28-questions-talk-bubble-letter-answers-chat-box-communication" => "ml-edu-28-questions-talk-bubble-letter-answers-chat-box-communication"),
        array("ml-edu-29-piano-instrument-music-listen-lesson-pianist-musician" => "ml-edu-29-piano-instrument-music-listen-lesson-pianist-musician"),
        array("ml-edu-30-abacus-math-firstschool-calculator-learn-school" => "ml-edu-30-abacus-math-firstschool-calculator-learn-school"),
        array("ml-edu-31-board-blackboard-lesson-teacher-student-school-presentation" => "ml-edu-31-board-blackboard-lesson-teacher-student-school-presentation"),
        array("ml-edu-32-board-blackboard-lesson-teacher-student-school-presentation" => "ml-edu-32-board-blackboard-lesson-teacher-student-school-presentation"),
        array("ml-edu-33-board-blackboard-lesson-teacher-student-school-presentation" => "ml-edu-33-board-blackboard-lesson-teacher-student-school-presentation"),
        array("ml-edu-34-board-blackboard-lesson-teacher-student-school-presentation" => "ml-edu-34-board-blackboard-lesson-teacher-student-school-presentation"),
        array("ml-edu-35-board-blackboard-lesson-teacher-student-school-presentation" => "ml-edu-35-board-blackboard-lesson-teacher-student-school-presentation"),
        array("ml-edu-36-lunch-break-apple-book-school" => "ml-edu-36-lunch-break-apple-book-school"),
        array("ml-edu-37-book-pen-pencil-lesson-notebook-learn-library" => "ml-edu-37-book-pen-pencil-lesson-notebook-learn-library"),
        array("ml-edu-38-calculator-pen-math-lesson-school-calculate-university" => "ml-edu-38-calculator-pen-math-lesson-school-calculate-university"),
        array("ml-edu-39-book-pen-pencil-lesson-notebook-learn-library" => "ml-edu-39-book-pen-pencil-lesson-notebook-learn-library"),
        array("ml-edu-40-book-pen-pencil-lesson-notebook-learn-library" => "ml-edu-40-book-pen-pencil-lesson-notebook-learn-library"),
        array("ml-edu-41-Document-exam-write-note-lesson-file-folder" => "ml-edu-41-Document-exam-write-note-lesson-file-folder"),
        array("ml-edu-42-Document-exam-write-note-lesson-attachment-file" => "ml-edu-42-Document-exam-write-note-lesson-attachment-file"),
        array("ml-edu-43-school-bag-lesson-books-carry-suitcase" => "ml-edu-43-school-bag-lesson-books-carry-suitcase"),
        array("ml-edu-44-respiration-break-playtime-school-lesson-bell-school" => "ml-edu-44-respiration-break-playtime-school-lesson-bell-school"),
        array("ml-edu-45-backpack-bag-school-bag-lesson-carry-student" => "ml-edu-45-backpack-bag-school-bag-lesson-carry-student"),
        array("ml-edu-46-School-bus-transport" => "ml-edu-46-School-bus-transport"),
        array("ml-edu-47-cubes-kinder-garden" => "ml-edu-47-cubes-kinder-garden"),
        array("ml-edu-48-profile-contact-card-idendity-person-avatar-information" => "ml-edu-48-profile-contact-card-idendity-person-avatar-information"),
        array("ml-edu-49-profile-contact-document-idendity-person-avatar-information" => "ml-edu-49-profile-contact-document-idendity-person-avatar-information"),
        array("ml-edu-50-profile-contact-computer-idendity-person-avatar-information" => "ml-edu-50-profile-contact-computer-idendity-person-avatar-information"),
        array("ml-edu-51-book-school-lesson-university-knowledge-library" => "ml-edu-51-book-school-lesson-university-knowledge-library"),
        array("ml-edu-52-refresh-sync-recycle-book-school-library-read" => "ml-edu-52-refresh-sync-recycle-book-school-library-read"),
        array("ml-edu-53-add-plus-book-school-library-read" => "ml-edu-53-add-plus-book-school-library-read"),
        array("ml-edu-54-minus-subtract-delete-book-school-library-read" => "ml-edu-54-minus-subtract-delete-book-school-library-read"),
        array("ml-edu-55-forbidden-cross-no-book-school-library-read" => "ml-edu-55-forbidden-cross-no-book-school-library-read"),
        array("ml-edu-56-attachment-link-document-book-school-library-read" => "ml-edu-56-attachment-link-document-book-school-library-read"),
        array("ml-edu-57-link-book-school-library-read" => "ml-edu-57-link-book-school-library-read"),
        array("ml-edu-58-search-magnifier-book-school-library-read" => "ml-edu-58-search-magnifier-book-school-library-read"),
        array("ml-edu-59-check-mark-yes-book-school-library-read" => "ml-edu-59-check-mark-yes-book-school-library-read"),
        array("ml-edu-60-cancel-cross-no-book-school-library-read" => "ml-edu-60-cancel-cross-no-book-school-library-read"),
        array("ml-edu-61-arrow-left-enter-inside-book-school-library-read" => "ml-edu-61-arrow-left-enter-inside-book-school-library-read"),
        array("ml-edu-62-arrow-left-book-school-library-read" => "ml-edu-62-arrow-left-book-school-library-read"),
        array("ml-edu-63-arrow-right-book-school-library-read" => "ml-edu-63-arrow-right-book-school-library-read"),
        array("ml-edu-64-arrow-up-rise-increase-book-school-library-read" => "ml-edu-64-arrow-up-rise-increase-book-school-library-read"),
        array("ml-edu-65-arrow-down-decrease-book-school-library-read" => "ml-edu-65-arrow-down-decrease-book-school-library-read"),
        array("ml-edu-66-lock-secure-security-book-school-library-read" => "ml-edu-66-lock-secure-security-book-school-library-read"),
        array("ml-edu-67-wait-loading-ellipsis-book-school-library-read" => "ml-edu-67-wait-loading-ellipsis-book-school-library-read"),
        array("ml-edu-68-pencil-save-write-book-school-library-read" => "ml-edu-68-pencil-save-write-book-school-library-read"),
        array("ml-edu-69-trash-delete-book-school-library-read" => "ml-edu-69-trash-delete-book-school-library-read"),
        array("ml-edu-70-security-shield-book-school-library-read" => "ml-edu-70-security-shield-book-school-library-read"),
        array("ml-edu-71-heart-love-book-school-library-read" => "ml-edu-71-heart-love-book-school-library-read"),
        array("ml-edu-72-code-inequality-book-school-library-read" => "ml-edu-72-code-inequality-book-school-library-read"),
        array("ml-edu-73-Book-mini-line-icon" => "ml-edu-73-Book-mini-line-icon"),
        array("ml-edu-74-exclamation-mark-triangle-round-book-school-library-read" => "ml-edu-74-exclamation-mark-triangle-round-book-school-library-read"),
        array("ml-edu-75-exclamation-mark-triangle-round-book-school-library-read" => "ml-edu-75-exclamation-mark-triangle-round-book-school-library-read"),
        array("ml-edu-76-info-book-school-library-read" => "ml-edu-76-info-book-school-library-read"),
        array("ml-edu-77-clock-time-book-school-library-read" => "ml-edu-77-clock-time-book-school-library-read"),
        array("ml-edu-78-settings-gear-cog-wheel-book-school-library-read" => "ml-edu-78-settings-gear-cog-wheel-book-school-library-read"),
        array("ml-edu-79-target-shoot-discover-book-school-library-read" => "ml-edu-79-target-shoot-discover-book-school-library-read"),
        array("ml-edu-80-pie-chart-percentage-divide-book-school-library-read" => "ml-edu-80-pie-chart-percentage-divide-book-school-library-read"),
        array("ml-edu-81-student-avatar-gender-school-female-male-love" => "ml-edu-81-student-avatar-gender-school-female-male-love"),
        array("ml-edu-82-student-avatar-gender-school-female-male-love" => "ml-edu-82-student-avatar-gender-school-female-male-love"),
        array("ml-edu-83-student-avatar-gender-school-female-male-love" => "ml-edu-83-student-avatar-gender-school-female-male-love"),
        array("ml-edu-84-student-avatar-gender-school-female-male-love" => "ml-edu-84-student-avatar-gender-school-female-male-love"),
        array("ml-edu-85-rostrum-lecture-conference-business-teacher-university-presentation" => "ml-edu-85-rostrum-lecture-conference-business-teacher-university-presentation"),
        array("ml-edu-86-People" => "ml-edu-86-People"),
        array("ml-edu-87-People-network" => "ml-edu-87-People-network"),
        array("ml-edu-88-colleague-avatars-people-work-place-share-connection" => "ml-edu-88-colleague-avatars-people-work-place-share-connection"),
        array("ml-ema-1-envelope-mail-mailbox-receive" => "ml-ema-1-envelope-mail-mailbox-receive"),
        array("ml-ema-2-refresh-sync-recycle-envelope-mail-mailbox-receive" => "ml-ema-2-refresh-sync-recycle-envelope-mail-mailbox-receive"),
        array("ml-ema-3-add-plus-envelope-mail-mailbox-receive" => "ml-ema-3-add-plus-envelope-mail-mailbox-receive"),
        array("ml-ema-4-minus-subtract-delete-envelope-mail-mailbox-receive" => "ml-ema-4-minus-subtract-delete-envelope-mail-mailbox-receive"),
        array("ml-ema-5-forbidden-cross-no-envelope-mail-mailbox-receive" => "ml-ema-5-forbidden-cross-no-envelope-mail-mailbox-receive"),
        array("ml-ema-6-attachment-link-document-envelope-mail-mailbox-receive" => "ml-ema-6-attachment-link-document-envelope-mail-mailbox-receive"),
        array("ml-ema-7-link-envelope-mail-mailbox-receive" => "ml-ema-7-link-envelope-mail-mailbox-receive"),
        array("ml-ema-8-search-magnifier-envelope-mail-mailbox-receive" => "ml-ema-8-search-magnifier-envelope-mail-mailbox-receive"),
        array("ml-ema-9-true-check-mark-yes-envelope-mail-mailbox-receive" => "ml-ema-9-true-check-mark-yes-envelope-mail-mailbox-receive"),
        array("ml-ema-10-cancel-cross-no-envelope-mail-mailbox-receive" => "ml-ema-10-cancel-cross-no-envelope-mail-mailbox-receive"),
        array("ml-ema-11-left-enter-open-envelope-mail-mailbox-receive" => "ml-ema-11-left-enter-open-envelope-mail-mailbox-receive"),
        array("ml-ema-12-11-left-enter-open-envelope-mail-mailbox-receive" => "ml-ema-12-11-left-enter-open-envelope-mail-mailbox-receive"),
        array("ml-ema-13-arrow-right-envelope-mail-mailbox-receive" => "ml-ema-13-arrow-right-envelope-mail-mailbox-receive"),
        array("ml-ema-14-up-rise-increase-envelope-mail-mailbox-receive" => "ml-ema-14-up-rise-increase-envelope-mail-mailbox-receive"),
        array("ml-ema-15-down-decrease-envelope-mail-mailbox-receive" => "ml-ema-15-down-decrease-envelope-mail-mailbox-receive"),
        array("ml-ema-16-lock-secure-security-envelope-mail-mailbox-receive" => "ml-ema-16-lock-secure-security-envelope-mail-mailbox-receive"),
        array("ml-ema-17-wait-loading-ellipsis-envelope-mail-mailbox-receive" => "ml-ema-17-wait-loading-ellipsis-envelope-mail-mailbox-receive"),
        array("ml-ema-18-pen-write-save-envelope-mail-mailbox-receive" => "ml-ema-18-pen-write-save-envelope-mail-mailbox-receive"),
        array("ml-ema-19-trash-delete-envelope-mail-mailbox-receive" => "ml-ema-19-trash-delete-envelope-mail-mailbox-receive"),
        array("ml-ema-20-security-shield-envelope-mail-mailbox-receive" => "ml-ema-20-security-shield-envelope-mail-mailbox-receive"),
        array("ml-ema-21-heart-love-envelope-mail-mailbox-receive" => "ml-ema-21-heart-love-envelope-mail-mailbox-receive"),
        array("ml-ema-22-code-inequality-envelope-mail-mailbox-receive" => "ml-ema-22-code-inequality-envelope-mail-mailbox-receive"),
        array("ml-ema-23-question-mark-ask-envelope-mail-mailbox-receive" => "ml-ema-23-question-mark-ask-envelope-mail-mailbox-receive"),
        array("ml-ema-24-exclamation-mark-ask-envelope-mail-mailbox-receive" => "ml-ema-24-exclamation-mark-ask-envelope-mail-mailbox-receive"),
        array("ml-ema-25-exclamation-mark-ask-envelope-mail-mailbox-receive" => "ml-ema-25-exclamation-mark-ask-envelope-mail-mailbox-receive"),
        array("ml-ema-26-information-desk-letter-envelope-mail-mailbox-receive" => "ml-ema-26-information-desk-letter-envelope-mail-mailbox-receive"),
        array("ml-ema-27-clock-time-envelope-mail-mailbox-receive" => "ml-ema-27-clock-time-envelope-mail-mailbox-receive"),
        array("ml-ema-28-settings-gear-cog-wheel-envelope-mail-mailbox-receive" => "ml-ema-28-settings-gear-cog-wheel-envelope-mail-mailbox-receive"),
        array("ml-ema-29-target-shoot-discover-envelope-mail-mailbox-receive" => "ml-ema-29-target-shoot-discover-envelope-mail-mailbox-receive"),
        array("ml-ema-30-sign-adress-envelope-mail-mailbox-receive" => "ml-ema-30-sign-adress-envelope-mail-mailbox-receive"),
        array("ml-ema-31-envelope-mail-mailbox-receive" => "ml-ema-31-envelope-mail-mailbox-receive"),
        array("ml-ema-32-envelope-mail-mailbox-receive" => "ml-ema-32-envelope-mail-mailbox-receive"),
        array("ml-ema-33-down-arrow-envelope-mail-mailbox-receive" => "ml-ema-33-down-arrow-envelope-mail-mailbox-receive"),
        array("ml-ema-34-up-arrow-envelope-mail-mailbox-receive" => "ml-ema-34-up-arrow-envelope-mail-mailbox-receive"),
        array("ml-ema-35-envelope-mail-mailbox-receive" => "ml-ema-35-envelope-mail-mailbox-receive"),
        array("ml-ema-36-envelope-mail-mailbox-receive" => "ml-ema-36-envelope-mail-mailbox-receive"),
        array("ml-ema-37-envelope-mail-mailbox-folder" => "ml-ema-37-envelope-mail-mailbox-folder"),
        array("ml-ema-38-magnifier-search-envelope-mail-mailbox-receive" => "ml-ema-38-magnifier-search-envelope-mail-mailbox-receive"),
        array("ml-ema-39-envelope-mail-mailbox-receive" => "ml-ema-39-envelope-mail-mailbox-receive"),
        array("ml-ema-40-file-document-envelope-mail-mailbox-receive" => "ml-ema-40-file-document-envelope-mail-mailbox-receive"),
        array("ml-ema-41-envelope-mail-mailbox-receive" => "ml-ema-41-envelope-mail-mailbox-receive"),
        array("ml-ema-42-notebook-envelope-mail-mailbox-receive" => "ml-ema-42-notebook-envelope-mail-mailbox-receive"),
        array("ml-ema-43-floppy-disk-save-document-file" => "ml-ema-43-floppy-disk-save-document-file"),
        array("ml-ema-44-file-document-envelope-mail-mailbox-receive" => "ml-ema-44-file-document-envelope-mail-mailbox-receive"),
        array("ml-ema-45-file-document-envelope-mail-mailbox-receive" => "ml-ema-45-file-document-envelope-mail-mailbox-receive"),
        array("ml-ema-46-paper-plane-fly-start-up" => "ml-ema-46-paper-plane-fly-start-up"),
        array("ml-ema-47-file-document-envelope-mail-mailbox-receive" => "ml-ema-47-file-document-envelope-mail-mailbox-receive"),
        array("ml-ema-48-file-document-envelope-mail-mailbox-receive" => "ml-ema-48-file-document-envelope-mail-mailbox-receive"),
        array("ml-ema-49-file-document-envelope-mail-mailbox-receive" => "ml-ema-49-file-document-envelope-mail-mailbox-receive"),
        array("ml-ema-50-envelope-mail" => "ml-ema-50-envelope-mail"),
        array("ml-ema-51-forward-reply" => "ml-ema-51-forward-reply"),
        array("ml-ema-52-forward-reply" => "ml-ema-52-forward-reply"),
        array("ml-ema-53-file-document-envelope-mail-mailbox-receive-code" => "ml-ema-53-file-document-envelope-mail-mailbox-receive-code"),
        array("ml-ema-54-file-document-envelope-mail-mailbox-receive-code" => "ml-ema-54-file-document-envelope-mail-mailbox-receive-code"),
        array("ml-emo-1-emotion-face-avatar-chat-smile-laugh" => "ml-emo-1-emotion-face-avatar-chat-smile-laugh"),
        array("ml-emo-2-emotion-face-avatar-chat-smile" => "ml-emo-2-emotion-face-avatar-chat-smile"),
        array("ml-emo-3-emotion-face-avatar-chat-smile-laugh" => "ml-emo-3-emotion-face-avatar-chat-smile-laugh"),
        array("ml-emo-4-emotion-face-avatar-chat-smile-happy" => "ml-emo-4-emotion-face-avatar-chat-smile-happy"),
        array("ml-emo-5-emotion-face-avatar-chat-eye-wrink" => "ml-emo-5-emotion-face-avatar-chat-eye-wrink"),
        array("ml-emo-6-emotion-face-avatar-chat-smilr-love" => "ml-emo-6-emotion-face-avatar-chat-smilr-love"),
        array("ml-emo-7-emotion-face-avatar-chat-kiss" => "ml-emo-7-emotion-face-avatar-chat-kiss"),
        array("ml-emo-8-emotion-face-avatar-chat-kiss" => "ml-emo-8-emotion-face-avatar-chat-kiss"),
        array("ml-emo-9-emotion-face-avatar-chat-relaxed" => "ml-emo-9-emotion-face-avatar-chat-relaxed"),
        array("ml-emo-10-emotion-face-avatar-chat-surprised" => "ml-emo-10-emotion-face-avatar-chat-surprised"),
        array("ml-emo-11-emotion-face-avatar-chat-greedy" => "ml-emo-11-emotion-face-avatar-chat-greedy"),
        array("ml-emo-12-emotion-face-avatar-chat-thong" => "ml-emo-12-emotion-face-avatar-chat-thong"),
        array("ml-emo-13-emotion-face-avatar-chat-thong" => "ml-emo-13-emotion-face-avatar-chat-thong"),
        array("ml-emo-14-emotion-face-avatar-chat-don't-care" => "ml-emo-14-emotion-face-avatar-chat-don't-care"),
        array("ml-emo-15-emotion-face-avatar-chat-cool" => "ml-emo-15-emotion-face-avatar-chat-cool"),
        array("ml-emo-16-emotion-face-avatar-chat-problem" => "ml-emo-16-emotion-face-avatar-chat-problem"),
        array("ml-emo-17-emotion-face-avatar-chat-sad" => "ml-emo-17-emotion-face-avatar-chat-sad"),
        array("ml-emo-18-emotion-face-avatar-chat-sad" => "ml-emo-18-emotion-face-avatar-chat-sad"),
        array("ml-emo-19-emotion-face-avatar-chat-cry" => "ml-emo-19-emotion-face-avatar-chat-cry"),
        array("ml-emo-20-emotion-face-avatar-chat-cry" => "ml-emo-20-emotion-face-avatar-chat-cry"),
        array("ml-emo-21-emotion-face-avatar-chat-sormal" => "ml-emo-21-emotion-face-avatar-chat-sormal"),
        array("ml-emo-22-emotion-face-avatar-chat-cry" => "ml-emo-22-emotion-face-avatar-chat-cry"),
        array("ml-emo-23-emotion-face-avatar-chat-angel" => "ml-emo-23-emotion-face-avatar-chat-angel"),
        array("ml-emo-24-emotion-face-avatar-chat-sleeping" => "ml-emo-24-emotion-face-avatar-chat-sleeping"),
        array("ml-emo-25-emotion-face-avatar-chat-angry" => "ml-emo-25-emotion-face-avatar-chat-angry"),
        array("ml-ene-1-leaf-green-energy" => "ml-ene-1-leaf-green-energy"),
        array("ml-ene-2-solar-energy-sun-power-renewable-electric" => "ml-ene-2-solar-energy-sun-power-renewable-electric"),
        array("ml-ene-3-leaf-green-energy-lamp" => "ml-ene-3-leaf-green-energy-lamp"),
        array("ml-ene-4-leaf-green-energy-earth" => "ml-ene-4-leaf-green-energy-earth"),
        array("ml-ene-5-leaf-green-energy-socket-electric" => "ml-ene-5-leaf-green-energy-socket-electric"),
        array("ml-ene-6-leaf-green-energy-drop-water-renewable-clean" => "ml-ene-6-leaf-green-energy-drop-water-renewable-clean"),
        array("ml-ene-7-drop-water" => "ml-ene-7-drop-water"),
        array("ml-ene-8-leaf-green-energy-battery-electric" => "ml-ene-8-leaf-green-energy-battery-electric"),
        array("ml-ene-9-leaf-green-energy-gas-oil-station" => "ml-ene-9-leaf-green-energy-gas-oil-station"),
        array("ml-ene-10-leaf-green-energy-factory-electric-electricity" => "ml-ene-10-leaf-green-energy-factory-electric-electricity"),
        array("ml-fac-1-Female-avatar-mini-line-icon" => "ml-fac-1-Female-avatar-mini-line-icon"),
        array("ml-fac-2-girl-female-avatar-woman-minus-delete" => "ml-fac-2-girl-female-avatar-woman-minus-delete"),
        array("ml-fac-3-girl-female-avatar-woman-minus-delete" => "ml-fac-3-girl-female-avatar-woman-minus-delete"),
        array("ml-fac-4-girl-female-avatar-woman-forbidden-cross-no" => "ml-fac-4-girl-female-avatar-woman-forbidden-cross-no"),
        array("ml-fac-5-girl-female-avatar-woman-lock-secure-security" => "ml-fac-5-girl-female-avatar-woman-lock-secure-security"),
        array("ml-fac-6-girl-female-avatar-woman-search-magnifier" => "ml-fac-6-girl-female-avatar-woman-search-magnifier"),
        array("ml-fac-7-girl-female-avatar-woman-pencil-save-write" => "ml-fac-7-girl-female-avatar-woman-pencil-save-write"),
        array("ml-fac-8-girl-female-avatar-woman-star-favourite-like" => "ml-fac-8-girl-female-avatar-woman-star-favourite-like"),
        array("ml-fac-9-girl-female-avatar-woman-check-mark-yes" => "ml-fac-9-girl-female-avatar-woman-check-mark-yes"),
        array("ml-fac-10-girl-female-avatar-woman-cancel-cross-no" => "ml-fac-10-girl-female-avatar-woman-cancel-cross-no"),
        array("ml-fac-11-girl-female-avatar-woman-heart-love" => "ml-fac-11-girl-female-avatar-woman-heart-love"),
        array("ml-fac-12-girl-female-avatar-woman-settings-gear-cog-wheel" => "ml-fac-12-girl-female-avatar-woman-settings-gear-cog-wheel"),
        array("ml-fac-13-girl-female-avatar-woman-menu-edit" => "ml-fac-13-girl-female-avatar-woman-menu-edit"),
        array("ml-fac-14-girl-female-avatar-woman-chat-dialogue-talk-bubble" => "ml-fac-14-girl-female-avatar-woman-chat-dialogue-talk-bubble"),
        array("ml-fac-15-girl-female-avatar-woman-idea-lamp" => "ml-fac-15-girl-female-avatar-woman-idea-lamp"),
        array("ml-fac-16-girl-female-avatar-woman-secure-shield" => "ml-fac-16-girl-female-avatar-woman-secure-shield"),
        array("ml-fac-17-girl-female-avatar-woman-target-shoot-discover" => "ml-fac-17-girl-female-avatar-woman-target-shoot-discover"),
        array("ml-fac-18-girl-female-avatar-woman-brainstorm-cloud-thunder" => "ml-fac-18-girl-female-avatar-woman-brainstorm-cloud-thunder"),
        array("ml-fac-19-girl-female-avatar-woman-dolar-sign" => "ml-fac-19-girl-female-avatar-woman-dolar-sign"),
        array("ml-fac-20-girl-female-avatar-woman-eruo-sign" => "ml-fac-20-girl-female-avatar-woman-eruo-sign"),
        array("ml-fac-21-man-male-avatar-fac-e" => "ml-fac-21-man-male-avatar-fac-e"),
        array("ml-fac-22-man-male-avatar-fac-e-add-plus" => "ml-fac-22-man-male-avatar-fac-e-add-plus"),
        array("ml-fac-23-man-male-avatar-fac-e-minus-delete" => "ml-fac-23-man-male-avatar-fac-e-minus-delete"),
        array("ml-fac-24-man-male-avatar-fac-e-forbidden-cross-no" => "ml-fac-24-man-male-avatar-fac-e-forbidden-cross-no"),
        array("ml-fac-25-man-male-avatar-fac-e-lock-secure-security" => "ml-fac-25-man-male-avatar-fac-e-lock-secure-security"),
        array("ml-fac-26-man-male-avatar-fac-e-search-magnifier" => "ml-fac-26-man-male-avatar-fac-e-search-magnifier"),
        array("ml-fac-27-man-male-avatar-fac-e-pencil-save-write" => "ml-fac-27-man-male-avatar-fac-e-pencil-save-write"),
        array("ml-fac-28-man-male-avatar-fac-e-star-love-favourite-like" => "ml-fac-28-man-male-avatar-fac-e-star-love-favourite-like"),
        array("ml-fac-29-man-male-avatar-fac-e-check-mark-yes" => "ml-fac-29-man-male-avatar-fac-e-check-mark-yes"),
        array("ml-fac-30-man-male-avatar-fac-e-cancel-cross-no" => "ml-fac-30-man-male-avatar-fac-e-cancel-cross-no"),
        array("ml-fac-31-man-male-avatar-fac-e-heart-love" => "ml-fac-31-man-male-avatar-fac-e-heart-love"),
        array("ml-fac-32-man-male-avatar-fac-e-settings-gear-cog-wheel" => "ml-fac-32-man-male-avatar-fac-e-settings-gear-cog-wheel"),
        array("ml-fac-33-man-male-avatar-fac-e-menu-edit" => "ml-fac-33-man-male-avatar-fac-e-menu-edit"),
        array("ml-fac-34-man-male-avatar-fac-e-chat-talk-bubble" => "ml-fac-34-man-male-avatar-fac-e-chat-talk-bubble"),
        array("ml-fac-35-man-male-avatar-fac-e" => "ml-fac-35-man-male-avatar-fac-e"),
        array("ml-fac-36-man-male-avatar-fac-e-security-shield" => "ml-fac-36-man-male-avatar-fac-e-security-shield"),
        array("ml-fac-37-man-male-avatar-fac-e-target-shoot-discover" => "ml-fac-37-man-male-avatar-fac-e-target-shoot-discover"),
        array("ml-fac-38-man-male-avatar-fac-e-brainstorm-cloud-thunder" => "ml-fac-38-man-male-avatar-fac-e-brainstorm-cloud-thunder"),
        array("ml-fac-39-man-male-avatar-fac-e-dolar-sign" => "ml-fac-39-man-male-avatar-fac-e-dolar-sign"),
        array("ml-fac-40-man-male-avatar-fac-e-euro-sign" => "ml-fac-40-man-male-avatar-fac-e-euro-sign"),
        array("ml-fac-41-woman-male-female-avatar-fac-e" => "ml-fac-41-woman-male-female-avatar-fac-e"),
        array("ml-fac-42-woman-male-female-avatar-fac-e-add-plus-gain" => "ml-fac-42-woman-male-female-avatar-fac-e-add-plus-gain"),
        array("ml-fac-43-woman-male-female-avatar-fac-e-minus-delete" => "ml-fac-43-woman-male-female-avatar-fac-e-minus-delete"),
        array("ml-fac-44-woman-male-female-avatar-fac-e-forbidden-cross-no" => "ml-fac-44-woman-male-female-avatar-fac-e-forbidden-cross-no"),
        array("ml-fac-45-woman-male-female-avatar-fac-e-lock-secure-security" => "ml-fac-45-woman-male-female-avatar-fac-e-lock-secure-security"),
        array("ml-fac-46-woman-male-female-avatar-fac-e-search-magnifier" => "ml-fac-46-woman-male-female-avatar-fac-e-search-magnifier"),
        array("ml-fac-47-woman-male-female-avatar-fac-e-pencil-save-write" => "ml-fac-47-woman-male-female-avatar-fac-e-pencil-save-write"),
        array("ml-fac-48-woman-male-female-avatar-fac-e-star-favourite-like" => "ml-fac-48-woman-male-female-avatar-fac-e-star-favourite-like"),
        array("ml-fac-49-woman-male-female-avatar-fac-e-check-mark-yes" => "ml-fac-49-woman-male-female-avatar-fac-e-check-mark-yes"),
        array("ml-fac-50-woman-male-female-avatar-fac-e-cancel-cross-no" => "ml-fac-50-woman-male-female-avatar-fac-e-cancel-cross-no"),
        array("ml-fac-51-woman-male-female-avatar-fac-e-heart-love" => "ml-fac-51-woman-male-female-avatar-fac-e-heart-love"),
        array("ml-fac-52-woman-male-female-avatar-fac-e-settings-gear-cog-wheel" => "ml-fac-52-woman-male-female-avatar-fac-e-settings-gear-cog-wheel"),
        array("ml-fac-53-woman-male-female-avatar-fac-e-menu-edit" => "ml-fac-53-woman-male-female-avatar-fac-e-menu-edit"),
        array("ml-fac-54-woman-male-female-avatar-fac-e-chat-dialogue-talk-bubble" => "ml-fac-54-woman-male-female-avatar-fac-e-chat-dialogue-talk-bubble"),
        array("ml-fac-55-woman-male-female-avatar-fac-e-lamp-idea" => "ml-fac-55-woman-male-female-avatar-fac-e-lamp-idea"),
        array("ml-fac-56-woman-male-female-avatar-fac-e-security-shield" => "ml-fac-56-woman-male-female-avatar-fac-e-security-shield"),
        array("ml-fac-57-woman-male-female-avatar-fac-e-target-shoot-discover" => "ml-fac-57-woman-male-female-avatar-fac-e-target-shoot-discover"),
        array("ml-fac-58-woman-male-female-avatar-fac-e-brainstorm-cloud-thunder" => "ml-fac-58-woman-male-female-avatar-fac-e-brainstorm-cloud-thunder"),
        array("ml-fac-59-woman-male-female-avatar-fac-e-dolar-sign" => "ml-fac-59-woman-male-female-avatar-fac-e-dolar-sign"),
        array("ml-fac-60-woman-male-female-avatar-fac-e-euro-sign" => "ml-fac-60-woman-male-female-avatar-fac-e-euro-sign"),
        array("ml-fac-61-girl-Female-avatar-fac-e-flat-bald-short-hair" => "ml-fac-61-girl-Female-avatar-fac-e-flat-bald-short-hair"),
        array("ml-fac-62-girl-Female-avatar-fac-e-short-hair" => "ml-fac-62-girl-Female-avatar-fac-e-short-hair"),
        array("ml-fac-63-girl-Female-avatar-fac-e-short-hair" => "ml-fac-63-girl-Female-avatar-fac-e-short-hair"),
        array("ml-fac-64-girl-Female-avatar-fac-e-short-hair-long-glasses" => "ml-fac-64-girl-Female-avatar-fac-e-short-hair-long-glasses"),
        array("ml-fac-65-girl-Female-avatar-fac-e-short-hair-long-glasses" => "ml-fac-65-girl-Female-avatar-fac-e-short-hair-long-glasses"),
        array("ml-fac-66-girl-Female-avatar-fac-e-curly-hair-long-glasses" => "ml-fac-66-girl-Female-avatar-fac-e-curly-hair-long-glasses"),
        array("ml-fac-67-girl-Female-avatar-fac-e-long-hair" => "ml-fac-67-girl-Female-avatar-fac-e-long-hair"),
        array("ml-fac-68-girl-Female-avatar-fac-e-long-hair" => "ml-fac-68-girl-Female-avatar-fac-e-long-hair"),
        array("ml-fac-69-girl-Female-avatar-fac-e-short-hair" => "ml-fac-69-girl-Female-avatar-fac-e-short-hair"),
        array("ml-fac-70-girl-Female-avatar-fac-e-long-hair-horse-tail" => "ml-fac-70-girl-Female-avatar-fac-e-long-hair-horse-tail"),
        array("ml-fac-71-male-avatar-fac-e-flat-short-bald" => "ml-fac-71-male-avatar-fac-e-flat-short-bald"),
        array("ml-fac-72-man-male-avatar-fac-e-short-hair" => "ml-fac-72-man-male-avatar-fac-e-short-hair"),
        array("ml-fac-73-man-male-avatar-fac-e-short-hair" => "ml-fac-73-man-male-avatar-fac-e-short-hair"),
        array("ml-fac-74-man-male-avatar-fac-e-bald-short-glasses" => "ml-fac-74-man-male-avatar-fac-e-bald-short-glasses"),
        array("ml-fac-75-man-male-avatar-fac-e-short-hair-mustage" => "ml-fac-75-man-male-avatar-fac-e-short-hair-mustage"),
        array("ml-fac-76-man-male-avatar-fac-e-short-hair-curly" => "ml-fac-76-man-male-avatar-fac-e-short-hair-curly"),
        array("ml-fac-77-man-male-avatar-fac-e-short-hair-beard" => "ml-fac-77-man-male-avatar-fac-e-short-hair-beard"),
        array("ml-fac-78-man-male-avatar-fac-e-short-hair" => "ml-fac-78-man-male-avatar-fac-e-short-hair"),
        array("ml-fac-79-man-male-avatar-fac-e-short-hair" => "ml-fac-79-man-male-avatar-fac-e-short-hair"),
        array("ml-fac-80-man-male-avatar-fac-e-short-hair" => "ml-fac-80-man-male-avatar-fac-e-short-hair"),
        array("ml-fac-81-girl-Female-avatar-fac-e-support-phone-worker" => "ml-fac-81-girl-Female-avatar-fac-e-support-phone-worker"),
        array("ml-fac-82-girl-Female-avatar-fac-e-worker-hat-agent" => "ml-fac-82-girl-Female-avatar-fac-e-worker-hat-agent"),
        array("ml-fac-83-girl-Female-avatar-fac-e-worker-cook" => "ml-fac-83-girl-Female-avatar-fac-e-worker-cook"),
        array("ml-fac-84-girl-Female-avatar-fac-e-worker-police-officer" => "ml-fac-84-girl-Female-avatar-fac-e-worker-police-officer"),
        array("ml-fac-85-girl-Female-avatar-fac-e-worker-worker-mine" => "ml-fac-85-girl-Female-avatar-fac-e-worker-worker-mine"),
        array("ml-fac-86-girl-Female-avatar-fac-e-worker-queen-king-crown" => "ml-fac-86-girl-Female-avatar-fac-e-worker-queen-king-crown"),
        array("ml-fac-87-girl-Female-avatar-fac-e-worker-doctor-nurse" => "ml-fac-87-girl-Female-avatar-fac-e-worker-doctor-nurse"),
        array("ml-fac-88-girl-Female-avatar-fac-e-graduate-student-university" => "ml-fac-88-girl-Female-avatar-fac-e-graduate-student-university"),
        array("ml-fac-89-girl-Female-avatar-fac-e-worker-glasses-long-hair" => "ml-fac-89-girl-Female-avatar-fac-e-worker-glasses-long-hair"),
        array("ml-fac-90-girl-Female-avatar-fac-e-child-sister-kid" => "ml-fac-90-girl-Female-avatar-fac-e-child-sister-kid"),
        array("ml-fac-91-man-male-avatar-fac-e-support-phone-worker" => "ml-fac-91-man-male-avatar-fac-e-support-phone-worker"),
        array("ml-fac-92-man-male-avatar-fac-e-hat-agent" => "ml-fac-92-man-male-avatar-fac-e-hat-agent"),
        array("ml-fac-93-man-male-avatar-fac-e-worker-cook" => "ml-fac-93-man-male-avatar-fac-e-worker-cook"),
        array("ml-fac-94-man-male-avatar-fac-e-worker-police-officer" => "ml-fac-94-man-male-avatar-fac-e-worker-police-officer"),
        array("ml-fac-95-man-male-avatar-fac-e-worker-worker-mine" => "ml-fac-95-man-male-avatar-fac-e-worker-worker-mine"),
        array("ml-fac-96-man-male-avatar-fac-e-queen-king-crown" => "ml-fac-96-man-male-avatar-fac-e-queen-king-crown"),
        array("ml-fac-97-man-male-avatar-fac-e-worker-doctor-nurse" => "ml-fac-97-man-male-avatar-fac-e-worker-doctor-nurse"),
        array("ml-fac-98-man-male-avatar-fac-e-graduate-student-university" => "ml-fac-98-man-male-avatar-fac-e-graduate-student-university"),
        array("ml-fac-99-man-male-avatar-fac-e-glasses-bald-hair" => "ml-fac-99-man-male-avatar-fac-e-glasses-bald-hair"),
        array("ml-fac-100-man-male-avatar-fac-e-kid-child-hat-cap" => "ml-fac-100-man-male-avatar-fac-e-kid-child-hat-cap"),
        array("ml-fes-1-new-year-winter-christmas-bell-ring-door" => "ml-fes-1-new-year-winter-christmas-bell-ring-door"),
        array("ml-fes-2-new-year-winter-christmas-tree-pine" => "ml-fes-2-new-year-winter-christmas-tree-pine"),
        array("ml-fes-3-new-year-winter-christmas-snow-globe-tree-decoration" => "ml-fes-3-new-year-winter-christmas-snow-globe-tree-decoration"),
        array("ml-fes-4-new-year-winter-christmas-snow-globe-tree-decoration" => "ml-fes-4-new-year-winter-christmas-snow-globe-tree-decoration"),
        array("ml-fes-5-new-year-winter-christmas-snow-globe-tree-decoration" => "ml-fes-5-new-year-winter-christmas-snow-globe-tree-decoration"),
        array("ml-fes-6-candle-fire-light-new-year-winter-christmas" => "ml-fes-6-candle-fire-light-new-year-winter-christmas"),
        array("ml-fes-7-snow-man-woman-snow-flake-new-year-winter-christmas" => "ml-fes-7-snow-man-woman-snow-flake-new-year-winter-christmas"),
        array("ml-fes-8-snow-man-woman-snow-flake-new-year-winter-christmas" => "ml-fes-8-snow-man-woman-snow-flake-new-year-winter-christmas"),
        array("ml-fes-9-new-year-winter-christmas-hat" => "ml-fes-9-new-year-winter-christmas-hat"),
        array("ml-fes-10-deer-new-year-winter-christmas" => "ml-fes-10-deer-new-year-winter-christmas"),
        array("ml-fes-11-ice-skate-iceskate-new-year-winter-christmas" => "ml-fes-11-ice-skate-iceskate-new-year-winter-christmas"),
        array("ml-fes-12-wreath-decoration-new-year-winter-christmas" => "ml-fes-12-wreath-decoration-new-year-winter-christmas"),
        array("ml-fes-13-candy-new-year-winter-christmas" => "ml-fes-13-candy-new-year-winter-christmas"),
        array("ml-fes-14-snow-flake-new-year-winter-christmas" => "ml-fes-14-snow-flake-new-year-winter-christmas"),
        array("ml-fes-15-glove-new-year-winter-christmas" => "ml-fes-15-glove-new-year-winter-christmas"),
        array("ml-fes-16-new-year-winter-christmas" => "ml-fes-16-new-year-winter-christmas"),
        array("ml-fes-17-easter-egg-color-decoration-rabbit-holiday" => "ml-fes-17-easter-egg-color-decoration-rabbit-holiday"),
        array("ml-fes-18-easter-egg-color-decoration-rabbit-holiday" => "ml-fes-18-easter-egg-color-decoration-rabbit-holiday"),
        array("ml-fes-19-easter-egg-color-decoration-rabbit-holiday" => "ml-fes-19-easter-egg-color-decoration-rabbit-holiday"),
        array("ml-fes-20-easter-egg-color-decoration-rabbit-holiday" => "ml-fes-20-easter-egg-color-decoration-rabbit-holiday"),
        array("ml-fes-21-basket-easter-egg-color-decoration-rabbit-holiday" => "ml-fes-21-basket-easter-egg-color-decoration-rabbit-holiday"),
        array("ml-fes-22-gift-box-present-cube-cardboard-specıal-occation" => "ml-fes-22-gift-box-present-cube-cardboard-specıal-occation"),
        array("ml-fes-23-valentines-day-love-heart-engagement-male-man" => "ml-fes-23-valentines-day-love-heart-engagement-male-man"),
        array("ml-fes-24-valentines-day-love-heart-engagement-female-woman" => "ml-fes-24-valentines-day-love-heart-engagement-female-woman"),
        array("ml-fes-25-valentines-day-love-heart-engagement" => "ml-fes-25-valentines-day-love-heart-engagement"),
        array("ml-fes-26-valentines-day-love-heart-engagement-male-man-ring" => "ml-fes-26-valentines-day-love-heart-engagement-male-man-ring"),
        array("ml-fes-27-valentines-day-love-heart-engagement-search-magnifier-date" => "ml-fes-27-valentines-day-love-heart-engagement-search-magnifier-date"),
        array("ml-fes-28-valentines-day-love-heart-engagement-letter-envelope" => "ml-fes-28-valentines-day-love-heart-engagement-letter-envelope"),
        array("ml-fes-29-valentines-day-love-heart-engagement" => "ml-fes-29-valentines-day-love-heart-engagement"),
        array("ml-ring" => "ml-ring"),
        array("ml-fes-30-valentines-day-love-heart-engagement-wine-glasses" => "ml-fes-30-valentines-day-love-heart-engagement-wine-glasses"),
        array("ml-fes-31-halloween-horror-fear-scary-spooky-party-pumpkin" => "ml-fes-31-halloween-horror-fear-scary-spooky-party-pumpkin"),
        array("ml-fes-32-halloween-horror-fear-scary-spooky-party-pumpkin" => "ml-fes-32-halloween-horror-fear-scary-spooky-party-pumpkin"),
        array("ml-fes-33-halloween-horror-fear-scary-spooky-party-ghost" => "ml-fes-33-halloween-horror-fear-scary-spooky-party-ghost"),
        array("ml-fes-34-halloween-horror-fear-scary-spooky-party-skull" => "ml-fes-34-halloween-horror-fear-scary-spooky-party-skull"),
        array("ml-fes-35-halloween-horror-fear-scary-spooky-party-monster" => "ml-fes-35-halloween-horror-fear-scary-spooky-party-monster"),
        array("ml-fes-36-halloween-horror-fear-scary-spooky-grave-yard-tomb" => "ml-fes-36-halloween-horror-fear-scary-spooky-grave-yard-tomb"),
        array("ml-filf-1-image-photo-illustration-drawing-file-format-document" => "ml-filf-1-image-photo-illustration-drawing-file-format-document"),
        array("ml-filf-2-image-photo-illustration-drawing-file-format-document" => "ml-filf-2-image-photo-illustration-drawing-file-format-document"),
        array("ml-filf-3-image-photo-illustration-drawing-file-format-document" => "ml-filf-3-image-photo-illustration-drawing-file-format-document"),
        array("ml-filf-4-image-photo-illustration-drawing-file-format-document" => "ml-filf-4-image-photo-illustration-drawing-file-format-document"),
        array("ml-filf-5-image-photo-illustration-drawing-file-format-document" => "ml-filf-5-image-photo-illustration-drawing-file-format-document"),
        array("ml-filf-6-image-photo-illustration-drawing-file-format-document" => "ml-filf-6-image-photo-illustration-drawing-file-format-document"),
        array("ml-filf-7-image-photo-illustration-drawing-file-format-document" => "ml-filf-7-image-photo-illustration-drawing-file-format-document"),
        array("ml-filf-8-image-photo-illustration-drawing-file-format-document" => "ml-filf-8-image-photo-illustration-drawing-file-format-document"),
        array("ml-filf-9-image-photo-illustration-drawing-file-format-document" => "ml-filf-9-image-photo-illustration-drawing-file-format-document"),
        array("ml-filf-10-image-photo-illustration-drawing-file-format-document" => "ml-filf-10-image-photo-illustration-drawing-file-format-document"),
        array("ml-filf-11-system-files-operating-file-format-document" => "ml-filf-11-system-files-operating-file-format-document"),
        array("ml-filf-12-system-files-operating-file-format-document" => "ml-filf-12-system-files-operating-file-format-document"),
        array("ml-filf-13-system-files-operating-file-format-document" => "ml-filf-13-system-files-operating-file-format-document"),
        array("ml-filf-14-system-files-operating-file-format-document" => "ml-filf-14-system-files-operating-file-format-document"),
        array("ml-filf-15-system-files-operating-file-format-document" => "ml-filf-15-system-files-operating-file-format-document"),
        array("ml-filf-16-system-files-operating-file-format-document" => "ml-filf-16-system-files-operating-file-format-document"),
        array("ml-filf-17-system-files-operating-file-format-document" => "ml-filf-17-system-files-operating-file-format-document"),
        array("ml-filf-18-system-files-operating-file-format-document" => "ml-filf-18-system-files-operating-file-format-document"),
        array("ml-filf-19-system-files-operating-file-format-document" => "ml-filf-19-system-files-operating-file-format-document"),
        array("ml-filf-20-system-files-operating-file-format-document" => "ml-filf-20-system-files-operating-file-format-document"),
        array("ml-filf-21-vector-image-bitmap-file-format-document" => "ml-filf-21-vector-image-bitmap-file-format-document"),
        array("ml-filf-22-vector-image-bitmap-file-format-document" => "ml-filf-22-vector-image-bitmap-file-format-document"),
        array("ml-filf-23-vector-image-bitmap-file-format-document" => "ml-filf-23-vector-image-bitmap-file-format-document"),
        array("ml-filf-24-vector-image-bitmap-file-format-document" => "ml-filf-24-vector-image-bitmap-file-format-document"),
        array("ml-filf-25-vector-image-bitmap-file-format-document" => "ml-filf-25-vector-image-bitmap-file-format-document"),
        array("ml-filf-26-vector-image-bitmap-file-format-document" => "ml-filf-26-vector-image-bitmap-file-format-document"),
        array("ml-filf-27-vector-image-bitmap-file-format-document" => "ml-filf-27-vector-image-bitmap-file-format-document"),
        array("ml-filf-28-vector-image-bitmap-file-format-document" => "ml-filf-28-vector-image-bitmap-file-format-document"),
        array("ml-filf-29-vector-image-bitmap-file-format-document" => "ml-filf-29-vector-image-bitmap-file-format-document"),
        array("ml-filf-30-vector-image-bitmap-file-format-document" => "ml-filf-30-vector-image-bitmap-file-format-document"),
        array("ml-filf-31-text-editor-writing-copywriting-file-format-document" => "ml-filf-31-text-editor-writing-copywriting-file-format-document"),
        array("ml-filf-32-text-editor-writing-copywriting-file-format-document" => "ml-filf-32-text-editor-writing-copywriting-file-format-document"),
        array("ml-filf-33-text-editor-writing-copywriting-file-format-document" => "ml-filf-33-text-editor-writing-copywriting-file-format-document"),
        array("ml-filf-34-text-editor-writing-copywriting-file-format-document" => "ml-filf-34-text-editor-writing-copywriting-file-format-document"),
        array("ml-filf-35-text-editor-writing-copywriting-file-format-document" => "ml-filf-35-text-editor-writing-copywriting-file-format-document"),
        array("ml-filf-36-text-editor-writing-copywriting-file-format-document" => "ml-filf-36-text-editor-writing-copywriting-file-format-document"),
        array("ml-filf-37-text-editor-writing-copywriting-file-format-document" => "ml-filf-37-text-editor-writing-copywriting-file-format-document"),
        array("ml-filf-38-text-editor-writing-copywriting-file-format-document" => "ml-filf-38-text-editor-writing-copywriting-file-format-document"),
        array("ml-filf-39-text-editor-writing-copywriting-file-format-document" => "ml-filf-39-text-editor-writing-copywriting-file-format-document"),
        array("ml-filf-40-text-editor-writing-copywriting-file-format-document" => "ml-filf-40-text-editor-writing-copywriting-file-format-document"),
        array("ml-filf-41-video-movie-film-editting-file-format-document" => "ml-filf-41-video-movie-film-editting-file-format-document"),
        array("ml-filf-42-video-movie-film-editting-file-format-document" => "ml-filf-42-video-movie-film-editting-file-format-document"),
        array("ml-filf-43-video-movie-film-editting-file-format-document" => "ml-filf-43-video-movie-film-editting-file-format-document"),
        array("ml-filf-44-video-movie-film-editting-file-format-document" => "ml-filf-44-video-movie-film-editting-file-format-document"),
        array("ml-filf-45-video-movie-film-editting-file-format-document" => "ml-filf-45-video-movie-film-editting-file-format-document"),
        array("ml-filf-46-video-movie-film-editting-file-format-document" => "ml-filf-46-video-movie-film-editting-file-format-document"),
        array("ml-filf-47-video-movie-film-editting-file-format-document" => "ml-filf-47-video-movie-film-editting-file-format-document"),
        array("ml-filf-48-video-movie-film-editting-file-format-document" => "ml-filf-48-video-movie-film-editting-file-format-document"),
        array("ml-filf-49-video-movie-film-editting-file-format-document" => "ml-filf-49-video-movie-film-editting-file-format-document"),
        array("ml-filf-50-video-movie-film-editting-file-format-document" => "ml-filf-50-video-movie-film-editting-file-format-document"),
        array("ml-filf-51-music-sound-file-format-document" => "ml-filf-51-music-sound-file-format-document"),
        array("ml-filf-52-music-sound-file-format-document" => "ml-filf-52-music-sound-file-format-document"),
        array("ml-filf-53-music-sound-file-format-document" => "ml-filf-53-music-sound-file-format-document"),
        array("ml-filf-54-music-sound-file-format-document" => "ml-filf-54-music-sound-file-format-document"),
        array("ml-filf-55-music-sound-file-format-document" => "ml-filf-55-music-sound-file-format-document"),
        array("ml-filf-56-music-sound-file-format-document" => "ml-filf-56-music-sound-file-format-document"),
        array("ml-filf-57-music-sound-file-format-document" => "ml-filf-57-music-sound-file-format-document"),
        array("ml-filf-58-music-sound-file-format-document" => "ml-filf-58-music-sound-file-format-document"),
        array("ml-filf-59-music-sound-file-format-document" => "ml-filf-59-music-sound-file-format-document"),
        array("ml-filf-60-music-sound-file-format-document" => "ml-filf-60-music-sound-file-format-document"),
        array("ml-filf-61-compress-compressed-file-format-document" => "ml-filf-61-compress-compressed-file-format-document"),
        array("ml-filf-62-compress-compressed-file-format-document" => "ml-filf-62-compress-compressed-file-format-document"),
        array("ml-filf-63-compress-compressed-file-format-document" => "ml-filf-63-compress-compressed-file-format-document"),
        array("ml-filf-64-compress-compressed-file-format-document" => "ml-filf-64-compress-compressed-file-format-document"),
        array("ml-filf-65-compress-compressed-file-format-document" => "ml-filf-65-compress-compressed-file-format-document"),
        array("ml-filf-66-compress-compressed-file-format-document" => "ml-filf-66-compress-compressed-file-format-document"),
        array("ml-filf-67-compress-compressed-file-format-document" => "ml-filf-67-compress-compressed-file-format-document"),
        array("ml-filf-68-compress-compressed-file-format-document" => "ml-filf-68-compress-compressed-file-format-document"),
        array("ml-filf-69-compress-compressed-file-format-document" => "ml-filf-69-compress-compressed-file-format-document"),
        array("ml-filf-70-compress-compressed-file-format-document" => "ml-filf-70-compress-compressed-file-format-document"),
        array("ml-filf-71-electronic-book-reader-e-reader-file-format-document" => "ml-filf-71-electronic-book-reader-e-reader-file-format-document"),
        array("ml-filf-72-electronic-book-reader-e-reader-file-format-document" => "ml-filf-72-electronic-book-reader-e-reader-file-format-document"),
        array("ml-filf-73-electronic-book-reader-e-reader-file-format-document" => "ml-filf-73-electronic-book-reader-e-reader-file-format-document"),
        array("ml-filf-74-electronic-book-reader-e-reader-file-format-document" => "ml-filf-74-electronic-book-reader-e-reader-file-format-document"),
        array("ml-filf-75-electronic-book-reader-e-reader-file-format-document" => "ml-filf-75-electronic-book-reader-e-reader-file-format-document"),
        array("ml-filf-76-electronic-book-reader-e-reader-file-format-document" => "ml-filf-76-electronic-book-reader-e-reader-file-format-document"),
        array("ml-filf-77-electronic-book-reader-e-reader-file-format-document" => "ml-filf-77-electronic-book-reader-e-reader-file-format-document"),
        array("ml-filf-78-electronic-book-reader-e-reader-file-format-document" => "ml-filf-78-electronic-book-reader-e-reader-file-format-document"),
        array("ml-filf-79-electronic-book-reader-e-reader-file-format-document" => "ml-filf-79-electronic-book-reader-e-reader-file-format-document"),
        array("ml-filf-80-electronic-book-reader-e-reader-file-format-document" => "ml-filf-80-electronic-book-reader-e-reader-file-format-document"),
        array("ml-filf-81-coder-programmer-software-engineer-file-format-document" => "ml-filf-81-coder-programmer-software-engineer-file-format-document"),
        array("ml-filf-82-coder-programmer-software-engineer-file-format-document" => "ml-filf-82-coder-programmer-software-engineer-file-format-document"),
        array("ml-filf-83-coder-programmer-software-engineer-file-format-document" => "ml-filf-83-coder-programmer-software-engineer-file-format-document"),
        array("ml-filf-84-coder-programmer-software-engineer-file-format-document" => "ml-filf-84-coder-programmer-software-engineer-file-format-document"),
        array("ml-filf-85-coder-programmer-software-engineer-file-format-document" => "ml-filf-85-coder-programmer-software-engineer-file-format-document"),
        array("ml-filf-86-coder-programmer-software-engineer-file-format-document" => "ml-filf-86-coder-programmer-software-engineer-file-format-document"),
        array("ml-filf-87-coder-programmer-software-engineer-file-format-document" => "ml-filf-87-coder-programmer-software-engineer-file-format-document"),
        array("ml-filf-88-coder-programmer-software-engineer-file-format-document" => "ml-filf-88-coder-programmer-software-engineer-file-format-document"),
        array("ml-filf-89-coder-programmer-software-engineer-file-format-document" => "ml-filf-89-coder-programmer-software-engineer-file-format-document"),
        array("ml-filf-90-coder-programmer-software-engineer-file-format-document" => "ml-filf-90-coder-programmer-software-engineer-file-format-document"),
        array("ml-filf-91-system-file-operating-file-format-document" => "ml-filf-91-system-file-operating-file-format-document"),
        array("ml-filf-92-system-file-operating-file-format-document" => "ml-filf-92-system-file-operating-file-format-document"),
        array("ml-filf-93-system-file-operating-file-format-document" => "ml-filf-93-system-file-operating-file-format-document"),
        array("ml-filf-94-system-file-operating-file-format-document" => "ml-filf-94-system-file-operating-file-format-document"),
        array("ml-filf-95-system-file-operating-file-format-document" => "ml-filf-95-system-file-operating-file-format-document"),
        array("ml-filf-96-system-file-operating-file-format-document" => "ml-filf-96-system-file-operating-file-format-document"),
        array("ml-filf-97-system-file-operating-file-format-document" => "ml-filf-97-system-file-operating-file-format-document"),
        array("ml-filf-98-system-file-operating-file-format-document" => "ml-filf-98-system-file-operating-file-format-document"),
        array("ml-filf-99-system-file-operating-file-format-document" => "ml-filf-99-system-file-operating-file-format-document"),
        array("ml-filf-100-system-file-operating-file-format-document" => "ml-filf-100-system-file-operating-file-format-document"),
        array("ml-filmone-1-file-document" => "ml-filmone-1-file-document"),
        array("ml-filmone-2-refresh-sync-recyclefile-document" => "ml-filmone-2-refresh-sync-recyclefile-document"),
        array("ml-filmone-3-add-plus-file-document" => "ml-filmone-3-add-plus-file-document"),
        array("ml-filmone-4-minus-delete-file-document" => "ml-filmone-4-minus-delete-file-document"),
        array("ml-filmone-5-forbidden-cross-no-file-document" => "ml-filmone-5-forbidden-cross-no-file-document"),
        array("ml-filmone-6-attachment-link-file-document" => "ml-filmone-6-attachment-link-file-document"),
        array("ml-filmone-7-link-file-document" => "ml-filmone-7-link-file-document"),
        array("ml-filmone-8-search-magnifier-file-document" => "ml-filmone-8-search-magnifier-file-document"),
        array("ml-filmone-9-check-mark-yes-file-document" => "ml-filmone-9-check-mark-yes-file-document"),
        array("ml-filmone-10-cancel-cross-no-file-document" => "ml-filmone-10-cancel-cross-no-file-document"),
        array("ml-filmone-11-left-enter-file-document" => "ml-filmone-11-left-enter-file-document"),
        array("ml-filmone-12-arrow-left-file-document" => "ml-filmone-12-arrow-left-file-document"),
        array("ml-filmone-13-arrow-right-file-document" => "ml-filmone-13-arrow-right-file-document"),
        array("ml-filmone-14-up-increase-file-document" => "ml-filmone-14-up-increase-file-document"),
        array("ml-filmone-15-down-decrease-file-document" => "ml-filmone-15-down-decrease-file-document"),
        array("ml-filmone-16-lock-secure-security-file-document" => "ml-filmone-16-lock-secure-security-file-document"),
        array("ml-filmone-17-loading-ellipsis-file-document" => "ml-filmone-17-loading-ellipsis-file-document"),
        array("ml-filmone-18-pencil-save-write-file-document" => "ml-filmone-18-pencil-save-write-file-document"),
        array("ml-filmone-19-trash-delete-file-document" => "ml-filmone-19-trash-delete-file-document"),
        array("ml-filmone-20-security-shield-file-document" => "ml-filmone-20-security-shield-file-document"),
        array("ml-filmone-21-heart-love-file-document" => "ml-filmone-21-heart-love-file-document"),
        array("ml-filmone-22-code-inequality-file-document" => "ml-filmone-22-code-inequality-file-document"),
        array("ml-filmone-23-questionmark-ask-file-document" => "ml-filmone-23-questionmark-ask-file-document"),
        array("ml-filmone-24-exclamation-mark-triangle-round-file-document" => "ml-filmone-24-exclamation-mark-triangle-round-file-document"),
        array("ml-filmone-25-exclamation-mark-triangle-round-file-document" => "ml-filmone-25-exclamation-mark-triangle-round-file-document"),
        array("ml-filmone-26-information-desk-letter-file-document" => "ml-filmone-26-information-desk-letter-file-document"),
        array("ml-filmone-27-clock-time-file-document" => "ml-filmone-27-clock-time-file-document"),
        array("ml-filmone-28-settings-gear-cog-wheel-file-document" => "ml-filmone-28-settings-gear-cog-wheel-file-document"),
        array("ml-filmone-29-target-shoot-discover-file-document" => "ml-filmone-29-target-shoot-discover-file-document"),
        array("ml-filmone-30-pie-chart-percentage-divide-file-document" => "ml-filmone-30-pie-chart-percentage-divide-file-document"),
        array("ml-filmone-31-compressed-small-space-zipper-file-document" => "ml-filmone-31-compressed-small-space-zipper-file-document"),
        array("ml-filmone-32-refresh-sync-recycle-compressed-small-space-zipper-file-document" => "ml-filmone-32-refresh-sync-recycle-compressed-small-space-zipper-file-document"),
        array("ml-filmone-33-add-plus-compressed-small-space-zipper-file-document" => "ml-filmone-33-add-plus-compressed-small-space-zipper-file-document"),
        array("ml-filmone-34-minus-delete-compressed-small-space-zipper-file-document" => "ml-filmone-34-minus-delete-compressed-small-space-zipper-file-document"),
        array("ml-filmone-35-forbidden-cross-no-compressed-small-space-zipper-file-document" => "ml-filmone-35-forbidden-cross-no-compressed-small-space-zipper-file-document"),
        array("ml-filmone-36-attachment-link-compressed-small-space-zipper-file-document" => "ml-filmone-36-attachment-link-compressed-small-space-zipper-file-document"),
        array("ml-filmone-37-link-compressed-small-space-zipper-file-document" => "ml-filmone-37-link-compressed-small-space-zipper-file-document"),
        array("ml-filmone-38-search-magnifier-compressed-small-space-zipper-file-document" => "ml-filmone-38-search-magnifier-compressed-small-space-zipper-file-document"),
        array("ml-filmone-39-check-mark-yes-compressed-small-space-zipper-file-document" => "ml-filmone-39-check-mark-yes-compressed-small-space-zipper-file-document"),
        array("ml-filmone-40-cancel-cross-no-compressed-small-space-zipper-file-document" => "ml-filmone-40-cancel-cross-no-compressed-small-space-zipper-file-document"),
        array("ml-filmone-41-left-enter-compressed-small-space-zipper-file-document" => "ml-filmone-41-left-enter-compressed-small-space-zipper-file-document"),
        array("ml-filmone-42-arrow-left-compressed-small-space-zipper-file-document" => "ml-filmone-42-arrow-left-compressed-small-space-zipper-file-document"),
        array("ml-filmone-43-arrow-right-compressed-small-space-zipper-file-document" => "ml-filmone-43-arrow-right-compressed-small-space-zipper-file-document"),
        array("ml-filmone-44-up-increase-compressed-small-space-zipper-file-document" => "ml-filmone-44-up-increase-compressed-small-space-zipper-file-document"),
        array("ml-filmone-45-down-decrease-compressed-small-space-zipper-file-document" => "ml-filmone-45-down-decrease-compressed-small-space-zipper-file-document"),
        array("ml-filmone-46-lock-secure-security-compressed-small-space-zipper-file-document" => "ml-filmone-46-lock-secure-security-compressed-small-space-zipper-file-document"),
        array("ml-filmone-47-loading-ellipsis-compressed-small-space-zipper-file-document" => "ml-filmone-47-loading-ellipsis-compressed-small-space-zipper-file-document"),
        array("ml-filmone-48-pencil-save-write-compressed-small-space-zipper-file-document" => "ml-filmone-48-pencil-save-write-compressed-small-space-zipper-file-document"),
        array("ml-filmone-49-trash-delete-save-write-compressed-small-space-zipper-file-document" => "ml-filmone-49-trash-delete-save-write-compressed-small-space-zipper-file-document"),
        array("ml-filmone-50-security-shield-compressed-small-space-zipper-file-document" => "ml-filmone-50-security-shield-compressed-small-space-zipper-file-document"),
        array("ml-filmone-51-heart-love-compressed-small-space-zipper-file-document" => "ml-filmone-51-heart-love-compressed-small-space-zipper-file-document"),
        array("ml-filmone-52-code-inequality-compressed-small-space-zipper-file-document" => "ml-filmone-52-code-inequality-compressed-small-space-zipper-file-document"),
        array("ml-filmone-53-questionmark-ask-compressed-small-space-zipper-file-document" => "ml-filmone-53-questionmark-ask-compressed-small-space-zipper-file-document"),
        array("ml-filmone-54-exclamation-mark-triangle-round-compressed-small-space-zipper-file-document" => "ml-filmone-54-exclamation-mark-triangle-round-compressed-small-space-zipper-file-document"),
        array("ml-filmone-55-exclamation-mark-triangle-round-compressed-small-space-zipper-file-document" => "ml-filmone-55-exclamation-mark-triangle-round-compressed-small-space-zipper-file-document"),
        array("ml-filmone-56-information-desk-letter-compressed-small-space-zipper-file-document" => "ml-filmone-56-information-desk-letter-compressed-small-space-zipper-file-document"),
        array("ml-filmone-57-clock-time-compressed-small-space-zipper-file-document" => "ml-filmone-57-clock-time-compressed-small-space-zipper-file-document"),
        array("ml-filmone-58-settings-gear-cog-wheel-compressed-small-space-zipper-file-document" => "ml-filmone-58-settings-gear-cog-wheel-compressed-small-space-zipper-file-document"),
        array("ml-filmone-59-target-shoot-discover-compressed-small-space-zipper-file-document" => "ml-filmone-59-target-shoot-discover-compressed-small-space-zipper-file-document"),
        array("ml-filmone-60-pie-chart-percentage-divide-compressed-small-space-zipper-file-document" => "ml-filmone-60-pie-chart-percentage-divide-compressed-small-space-zipper-file-document"),
        array("ml-filmone-61-music-sound-file-document" => "ml-filmone-61-music-sound-file-document"),
        array("ml-filmone-62-music-sound-refresh-sync-recycle-file-document" => "ml-filmone-62-music-sound-refresh-sync-recycle-file-document"),
        array("ml-filmone-63-music-sound-plus-add-file-document" => "ml-filmone-63-music-sound-plus-add-file-document"),
        array("ml-filmone-64-music-sound-minus-delete-file-document" => "ml-filmone-64-music-sound-minus-delete-file-document"),
        array("ml-filmone-65-music-sound-forbidden-cross-no-file-document" => "ml-filmone-65-music-sound-forbidden-cross-no-file-document"),
        array("ml-filmone-66-music-sound-attachment-link-file-document" => "ml-filmone-66-music-sound-attachment-link-file-document"),
        array("ml-filmone-67-music-sound-link-file-document" => "ml-filmone-67-music-sound-link-file-document"),
        array("ml-filmone-68-music-sound-search-magnifier-file-document" => "ml-filmone-68-music-sound-search-magnifier-file-document"),
        array("ml-filmone-69-music-sound-check-mark-yes-file-document" => "ml-filmone-69-music-sound-check-mark-yes-file-document"),
        array("ml-filmone-70-music-sound-cancel-cross-no-file-document" => "ml-filmone-70-music-sound-cancel-cross-no-file-document"),
        array("ml-filmone-71-left-enter-music-sound-file-document" => "ml-filmone-71-left-enter-music-sound-file-document"),
        array("ml-filmone-72-arrow-left-music-sound-file-document" => "ml-filmone-72-arrow-left-music-sound-file-document"),
        array("ml-filmone-73-arrow-right-music-sound-file-document" => "ml-filmone-73-arrow-right-music-sound-file-document"),
        array("ml-filmone-74-up-increase-music-sound-file-document" => "ml-filmone-74-up-increase-music-sound-file-document"),
        array("ml-filmone-75-down-decrease-music-sound-file-document" => "ml-filmone-75-down-decrease-music-sound-file-document"),
        array("ml-filmone-76-lock-secure-security-music-sound-file-document" => "ml-filmone-76-lock-secure-security-music-sound-file-document"),
        array("ml-filmone-77-loading-ellipsis-music-sound-file-document" => "ml-filmone-77-loading-ellipsis-music-sound-file-document"),
        array("ml-filmone-78-pencil-save-write-music-sound-file-document" => "ml-filmone-78-pencil-save-write-music-sound-file-document"),
        array("ml-filmone-79-trash-delete-music-sound-file-document" => "ml-filmone-79-trash-delete-music-sound-file-document"),
        array("ml-filmone-80-security-shield-music-sound-file-document" => "ml-filmone-80-security-shield-music-sound-file-document"),
        array("ml-filmone-81-heart-love-music-sound-file-document" => "ml-filmone-81-heart-love-music-sound-file-document"),
        array("ml-filmone-82-code-inequality-music-sound-file-document" => "ml-filmone-82-code-inequality-music-sound-file-document"),
        array("ml-filmone-83-questionmark-ask-music-sound-file-document" => "ml-filmone-83-questionmark-ask-music-sound-file-document"),
        array("ml-filmone-84-exclamation-mark-triangle-round-music-sound-file-document" => "ml-filmone-84-exclamation-mark-triangle-round-music-sound-file-document"),
        array("ml-filmone-85-exclamation-mark-triangle-round-music-sound-file-document" => "ml-filmone-85-exclamation-mark-triangle-round-music-sound-file-document"),
        array("ml-filmone-86-information-desk-letter-music-sound-file-document" => "ml-filmone-86-information-desk-letter-music-sound-file-document"),
        array("ml-filmone-87-clock-time-music-sound-file-document" => "ml-filmone-87-clock-time-music-sound-file-document"),
        array("ml-filmone-88-settings-gear-cog-wheel-music-sound-file-document" => "ml-filmone-88-settings-gear-cog-wheel-music-sound-file-document"),
        array("ml-filmone-89-target-shoot-discover-music-sound-file-document" => "ml-filmone-89-target-shoot-discover-music-sound-file-document"),
        array("ml-filmone-90-pie-chart-percentage-divide-music-sound-file-document" => "ml-filmone-90-pie-chart-percentage-divide-music-sound-file-document"),
        array("ml-filmone-91-video-movie-file-document" => "ml-filmone-91-video-movie-file-document"),
        array("ml-filmone-92-refresh-sync-recycle-video-movie-file-document" => "ml-filmone-92-refresh-sync-recycle-video-movie-file-document"),
        array("ml-filmone-93-add-plus-video-movie-file-document" => "ml-filmone-93-add-plus-video-movie-file-document"),
        array("ml-filmone-94-minus-delete-video-movie-file-document" => "ml-filmone-94-minus-delete-video-movie-file-document"),
        array("ml-filmone-95-forbidden-cross-no-video-movie-file-document" => "ml-filmone-95-forbidden-cross-no-video-movie-file-document"),
        array("ml-filmone-96-attachment-link-video-movie-file-document" => "ml-filmone-96-attachment-link-video-movie-file-document"),
        array("ml-filmone-97-link-video-movie-file-document" => "ml-filmone-97-link-video-movie-file-document"),
        array("ml-filmone-98-search-magnifier-video-movie-file-document" => "ml-filmone-98-search-magnifier-video-movie-file-document"),
        array("ml-filmone-99-check-mark-yes-video-movie-file-document" => "ml-filmone-99-check-mark-yes-video-movie-file-document"),
        array("ml-filmone-100-cancel-cross-no-video-movie-file-document" => "ml-filmone-100-cancel-cross-no-video-movie-file-document"),
        array("ml-filmthree-1-heart-love-clip-board-note-document-notebook" => "ml-filmthree-1-heart-love-clip-board-note-document-notebook"),
        array("ml-filmthree-2-code-inequality-clip-board-note-document-notebook" => "ml-filmthree-2-code-inequality-clip-board-note-document-notebook"),
        array("ml-filmthree-3-questionmark-ask-clip-board-note-document-notebook" => "ml-filmthree-3-questionmark-ask-clip-board-note-document-notebook"),
        array("ml-filmthree-4-exclamation-mark-triangle-clip-board-note-document-notebook" => "ml-filmthree-4-exclamation-mark-triangle-clip-board-note-document-notebook"),
        array("ml-filmthree-5-exclamation-mark-triangle-clip-board-note-document-notebook" => "ml-filmthree-5-exclamation-mark-triangle-clip-board-note-document-notebook"),
        array("ml-filmthree-6-information-letter-clip-board-note-document-notebook" => "ml-filmthree-6-information-letter-clip-board-note-document-notebook"),
        array("ml-filmthree-7-clock-time-clip-board-note-document-notebook" => "ml-filmthree-7-clock-time-clip-board-note-document-notebook"),
        array("ml-filmthree-8-cog-wheel-gear-clip-board-note-document-notebook" => "ml-filmthree-8-cog-wheel-gear-clip-board-note-document-notebook"),
        array("ml-filmthree-9-target-discover-clip-board-note-document-notebook" => "ml-filmthree-9-target-discover-clip-board-note-document-notebook"),
        array("ml-filmthree-10-pie-chart-clip-board-note-document-notebook" => "ml-filmthree-10-pie-chart-clip-board-note-document-notebook"),
        array("ml-filmthree-11-folder-document-file" => "ml-filmthree-11-folder-document-file"),
        array("ml-filmthree-12-folder-document-file-refresh-recycle" => "ml-filmthree-12-folder-document-file-refresh-recycle"),
        array("ml-filmthree-13-folder-document-file-add-plus" => "ml-filmthree-13-folder-document-file-add-plus"),
        array("ml-filmthree-14-folder-document-file-minus-delenote" => "ml-filmthree-14-folder-document-file-minus-delenote"),
        array("ml-filmthree-15-folder-document-file-forbidden-cross" => "ml-filmthree-15-folder-document-file-forbidden-cross"),
        array("ml-filmthree-16-folder-document-file-attachment-link" => "ml-filmthree-16-folder-document-file-attachment-link"),
        array("ml-filmthree-17-folder-document-file-link" => "ml-filmthree-17-folder-document-file-link"),
        array("ml-filmthree-18-folder-document-file-search-magnifier" => "ml-filmthree-18-folder-document-file-search-magnifier"),
        array("ml-filmthree-19-folder-document-file-check-mark-yes" => "ml-filmthree-19-folder-document-file-check-mark-yes"),
        array("ml-filmthree-20-folder-document-file-cancel-cross" => "ml-filmthree-20-folder-document-file-cancel-cross"),
        array("ml-filmthree-21-folder-document-file-left-enter" => "ml-filmthree-21-folder-document-file-left-enter"),
        array("ml-filmthree-22-folder-document-file-arrow-left" => "ml-filmthree-22-folder-document-file-arrow-left"),
        array("ml-filmthree-23-folder-document-file-arrow-right" => "ml-filmthree-23-folder-document-file-arrow-right"),
        array("ml-filmthree-24-folder-document-file-up-increase" => "ml-filmthree-24-folder-document-file-up-increase"),
        array("ml-filmthree-25-folder-document-file-down-decrease" => "ml-filmthree-25-folder-document-file-down-decrease"),
        array("ml-filmthree-26-folder-document-file-lock-security" => "ml-filmthree-26-folder-document-file-lock-security"),
        array("ml-filmthree-27-folder-document-file-loading-ellipsis" => "ml-filmthree-27-folder-document-file-loading-ellipsis"),
        array("ml-filmthree-28-folder-document-file-pen-save" => "ml-filmthree-28-folder-document-file-pen-save"),
        array("ml-filmthree-29-folder-document-file-trash-delete" => "ml-filmthree-29-folder-document-file-trash-delete"),
        array("ml-filmthree-30-folder-document-file-security-shield" => "ml-filmthree-30-folder-document-file-security-shield"),
        array("ml-filmthree-31-folder-document-file-compressed" => "ml-filmthree-31-folder-document-file-compressed"),
        array("ml-filmthree-32-folder-document-file-code-inequality" => "ml-filmthree-32-folder-document-file-code-inequality"),
        array("ml-filmthree-33-folder-document-file-questionmark-ask" => "ml-filmthree-33-folder-document-file-questionmark-ask"),
        array("ml-filmthree-34-folder-document-file-exclamation-mark-triangle" => "ml-filmthree-34-folder-document-file-exclamation-mark-triangle"),
        array("ml-filmthree-35-folder-document-file-exclamation-mark-triangle" => "ml-filmthree-35-folder-document-file-exclamation-mark-triangle"),
        array("ml-filmthree-36-folder-document-file-information-letter" => "ml-filmthree-36-folder-document-file-information-letter"),
        array("ml-tec-9-check-mark-yes-computer-desktop-monitor-laptop" => "ml-tec-9-check-mark-yes-computer-desktop-monitor-laptop"),
        array("ml-tec-44-responsive-mobile-phone-tablet-computer-desktop-monitor-laptop" => "ml-tec-44-responsive-mobile-phone-tablet-computer-desktop-monitor-laptop"),
        array("ml-tec-45-responsive-mobile-phone-tablet-computer-desktop-monitor-laptop" => "ml-tec-45-responsive-mobile-phone-tablet-computer-desktop-monitor-laptop"),
        array("ml-tec-47-disc-device-plug-computer-desktop-monitor-laptop" => "ml-tec-47-disc-device-plug-computer-desktop-monitor-laptop"),
        array("ml-tec-43-computer-desktop-monitor-laptop" => "ml-tec-43-computer-desktop-monitor-laptop"),
        array("ml-tec-8-search-magnifier-computer-desktop-monitor-laptop" => "ml-tec-8-search-magnifier-computer-desktop-monitor-laptop"),
        array("ml-symtwo-34-cursor-click-browser-website-arrow-computer" => "ml-symtwo-34-cursor-click-browser-website-arrow-computer"),
        array("ml-dat-63-database-computer-network-internet-globe-server" => "ml-dat-63-database-computer-network-internet-globe-server")
    );
    return $minilineicons;
}


/**
 * Font Awesome
 */
function cynic_vc_iconpicker_type_fontawesomeIcons($icons)
{
    $fontAwesomeIcons = array();
    $fontawesomeFiveIconsSolid = array('fas fa-abacus,fas fa-acorn,fas fa-ad,fas fa-address-book,fas fa-address-card,fas fa-adjust,fas fa-air-freshener,fas fa-alarm-clock,fas fa-alarm-exclamation,fas fa-alarm-plus,fas fa-alarm-snooze,fas fa-album,fas fa-album-collection,fas fa-alicorn,fas fa-align-center,fas fa-align-justify,fas fa-align-left,fas fa-align-right,fas fa-align-slash,fas fa-allergies,fas fa-ambulance,fas fa-american-sign-language-interpreting,fas fa-amp-guitar,fas fa-analytics,fas fa-anchor,fas fa-angel,fas fa-angle-double-down,fas fa-angle-double-left,fas fa-angle-double-right,fas fa-angle-double-up,fas fa-angle-down,fas fa-angle-left,fas fa-angle-right,fas fa-angle-up,fas fa-angry,fas fa-ankh,fas fa-apple-alt,fas fa-apple-crate,fas fa-archive,fas fa-archway,fas fa-arrow-alt-circle-down,fas fa-arrow-alt-circle-left,fas fa-arrow-alt-circle-right,fas fa-arrow-alt-circle-up,fas fa-arrow-alt-down,fas fa-arrow-alt-from-bottom,fas fa-arrow-alt-from-left,fas fa-arrow-alt-from-right,fas fa-arrow-alt-from-top,fas fa-arrow-alt-left,fas fa-arrow-alt-right,fas fa-arrow-alt-square-down,fas fa-arrow-alt-square-left,fas fa-arrow-alt-square-right,fas fa-arrow-alt-square-up,fas fa-arrow-alt-to-bottom,fas fa-arrow-alt-to-left,fas fa-arrow-alt-to-right,fas fa-arrow-alt-to-top,fas fa-arrow-alt-up,fas fa-arrow-circle-down,fas fa-arrow-circle-left,fas fa-arrow-circle-right,fas fa-arrow-circle-up,fas fa-arrow-down,fas fa-arrow-from-bottom,fas fa-arrow-from-left,fas fa-arrow-from-right,fas fa-arrow-from-top,fas fa-arrow-left,fas fa-arrow-right,fas fa-arrow-square-down,fas fa-arrow-square-left,fas fa-arrow-square-right,fas fa-arrow-square-up,fas fa-arrow-to-bottom,fas fa-arrow-to-left,fas fa-arrow-to-right,fas fa-arrow-to-top,fas fa-arrow-up,fas fa-arrows,fas fa-arrows-alt,fas fa-arrows-alt-h,fas fa-arrows-alt-v,fas fa-arrows-h,fas fa-arrows-v,fas fa-assistive-listening-systems,fas fa-asterisk,fas fa-at,fas fa-atlas,fas fa-atom,fas fa-atom-alt,fas fa-audio-description,fas fa-award,fas fa-axe,fas fa-axe-battle,fas fa-baby,fas fa-baby-carriage,fas fa-backpack,fas fa-backspace,fas fa-backward,fas fa-bacon,fas fa-badge,fas fa-badge-check,fas fa-badge-dollar,fas fa-badge-percent,fas fa-badge-sheriff,fas fa-badger-honey,fas fa-bags-shopping,fas fa-balance-scale,fas fa-balance-scale-left,fas fa-balance-scale-right,fas fa-ball-pile,fas fa-ballot,fas fa-ballot-check,fas fa-ban,fas fa-band-aid,fas fa-banjo,fas fa-barcode,fas fa-barcode-alt,fas fa-barcode-read,fas fa-barcode-scan,fas fa-bars,fas fa-baseball,fas fa-baseball-ball,fas fa-basketball-ball,fas fa-basketball-hoop,fas fa-bat,fas fa-bath,fas fa-battery-bolt,fas fa-battery-empty,fas fa-battery-full,fas fa-battery-half,fas fa-battery-quarter,fas fa-battery-slash,fas fa-battery-three-quarters,fas fa-bed,fas fa-beer,fas fa-bell,fas fa-bell-exclamation,fas fa-bell-plus,fas fa-bell-school,fas fa-bell-school-slash,fas fa-bell-slash,fas fa-bells,fas fa-betamax,fas fa-bezier-curve,fas fa-bible,fas fa-bicycle,fas fa-biking,fas fa-biking-mountain,fas fa-binoculars,fas fa-biohazard,fas fa-birthday-cake,fas fa-blanket,fas fa-blender,fas fa-blender-phone,fas fa-blind,fas fa-blog,fas fa-bold,fas fa-bolt,fas fa-bomb,fas fa-bone,fas fa-bone-break,fas fa-bong,fas fa-book,fas fa-book-alt,fas fa-book-dead,fas fa-book-heart,fas fa-book-medical,fas fa-book-open,fas fa-book-reader,fas fa-book-spells,fas fa-book-user,fas fa-bookmark,fas fa-books,fas fa-books-medical,fas fa-boombox,fas fa-boot,fas fa-booth-curtain,fas fa-border-all,fas fa-border-bottom,fas fa-border-center-h,fas fa-border-center-v,fas fa-border-inner,fas fa-border-left,fas fa-border-none,fas fa-border-outer,fas fa-border-right,fas fa-border-style,fas fa-border-style-alt,fas fa-border-top,fas fa-bow-arrow,fas fa-bowling-ball,fas fa-bowling-pins,fas fa-box,fas fa-box-alt,fas fa-box-ballot,fas fa-box-check,fas fa-box-fragile,fas fa-box-full,fas fa-box-heart,fas fa-box-open,fas fa-box-up,fas fa-box-usd,fas fa-boxes,fas fa-boxes-alt,fas fa-boxing-glove,fas fa-brackets,fas fa-brackets-curly,fas fa-braille,fas fa-brain,fas fa-bread-loaf,fas fa-bread-slice,fas fa-briefcase,fas fa-briefcase-medical,fas fa-bring-forward,fas fa-bring-front,fas fa-broadcast-tower,fas fa-broom,fas fa-browser,fas fa-brush,fas fa-bug,fas fa-building,fas fa-bullhorn,fas fa-bullseye,fas fa-bullseye-arrow,fas fa-bullseye-pointer,fas fa-burger-soda,fas fa-burn,fas fa-burrito,fas fa-bus,fas fa-bus-alt,fas fa-bus-school,fas fa-business-time,fas fa-cabinet-filing,fas fa-cactus,fas fa-calculator,fas fa-calculator-alt,fas fa-calendar,fas fa-calendar-alt,fas fa-calendar-check,fas fa-calendar-day,fas fa-calendar-edit,fas fa-calendar-exclamation,fas fa-calendar-minus,fas fa-calendar-plus,fas fa-calendar-star,fas fa-calendar-times,fas fa-calendar-week,fas fa-camcorder,fas fa-camera,fas fa-camera-alt,fas fa-camera-movie,fas fa-camera-polaroid,fas fa-camera-retro,fas fa-campfire,fas fa-campground,fas fa-candle-holder,fas fa-candy-cane,fas fa-candy-corn,fas fa-cannabis,fas fa-capsules,fas fa-car,fas fa-car-alt,fas fa-car-battery,fas fa-car-building,fas fa-car-bump,fas fa-car-bus,fas fa-car-crash,fas fa-car-garage,fas fa-car-mechanic,fas fa-car-side,fas fa-car-tilt,fas fa-car-wash,fas fa-caret-circle-down,fas fa-caret-circle-left,fas fa-caret-circle-right,fas fa-caret-circle-up,fas fa-caret-down,fas fa-caret-left,fas fa-caret-right,fas fa-caret-square-down,fas fa-caret-square-left,fas fa-caret-square-right,fas fa-caret-square-up,fas fa-caret-up,fas fa-carrot,fas fa-cars,fas fa-cart-arrow-down,fas fa-cart-plus,fas fa-cash-register,fas fa-cassette-tape,fas fa-cat,fas fa-cauldron,fas fa-cctv,fas fa-certificate,fas fa-chair,fas fa-chair-office,fas fa-chalkboard,fas fa-chalkboard-teacher,fas fa-charging-station,fas fa-chart-area,fas fa-chart-bar,fas fa-chart-line,fas fa-chart-line-down,fas fa-chart-network,fas fa-chart-pie,fas fa-chart-pie-alt,fas fa-chart-scatter,fas fa-check,fas fa-check-circle,fas fa-check-double,fas fa-check-square,fas fa-cheese,fas fa-cheese-swiss,fas fa-cheeseburger,fas fa-chess,fas fa-chess-bishop,fas fa-chess-bishop-alt,fas fa-chess-board,fas fa-chess-clock,fas fa-chess-clock-alt,fas fa-chess-king,fas fa-chess-king-alt,fas fa-chess-knight,fas fa-chess-knight-alt,fas fa-chess-pawn,fas fa-chess-pawn-alt,fas fa-chess-queen,fas fa-chess-queen-alt,fas fa-chess-rook,fas fa-chess-rook-alt,fas fa-chevron-circle-down,fas fa-chevron-circle-left,fas fa-chevron-circle-right,fas fa-chevron-circle-up,fas fa-chevron-double-down,fas fa-chevron-double-left,fas fa-chevron-double-right,fas fa-chevron-double-up,fas fa-chevron-down,fas fa-chevron-left,fas fa-chevron-right,fas fa-chevron-square-down,fas fa-chevron-square-left,fas fa-chevron-square-right,fas fa-chevron-square-up,fas fa-chevron-up,fas fa-child,fas fa-chimney,fas fa-church,fas fa-circle,fas fa-circle-notch,fas fa-city,fas fa-clarinet,fas fa-claw-marks,fas fa-clinic-medical,fas fa-clipboard,fas fa-clipboard-check,fas fa-clipboard-list,fas fa-clipboard-list-check,fas fa-clipboard-prescription,fas fa-clipboard-user,fas fa-clock,fas fa-clone,fas fa-closed-captioning,fas fa-cloud,fas fa-cloud-download,fas fa-cloud-download-alt,fas fa-cloud-drizzle,fas fa-cloud-hail,fas fa-cloud-hail-mixed,fas fa-cloud-meatball,fas fa-cloud-moon,fas fa-cloud-moon-rain,fas fa-cloud-music,fas fa-cloud-rain,fas fa-cloud-rainbow,fas fa-cloud-showers,fas fa-cloud-showers-heavy,fas fa-cloud-sleet,fas fa-cloud-snow,fas fa-cloud-sun,fas fa-cloud-sun-rain,fas fa-cloud-upload,fas fa-cloud-upload-alt,fas fa-clouds,fas fa-clouds-moon,fas fa-clouds-sun,fas fa-club,fas fa-cocktail,fas fa-code,fas fa-code-branch,fas fa-code-commit,fas fa-code-merge,fas fa-coffee,fas fa-coffee-togo,fas fa-coffin,fas fa-cog,fas fa-cogs,fas fa-coin,fas fa-coins,fas fa-columns,fas fa-comment,fas fa-comment-alt,fas fa-comment-alt-check,fas fa-comment-alt-dollar,fas fa-comment-alt-dots,fas fa-comment-alt-edit,fas fa-comment-alt-exclamation,fas fa-comment-alt-lines,fas fa-comment-alt-medical,fas fa-comment-alt-minus,fas fa-comment-alt-music,fas fa-comment-alt-plus,fas fa-comment-alt-slash,fas fa-comment-alt-smile,fas fa-comment-alt-times,fas fa-comment-check,fas fa-comment-dollar,fas fa-comment-dots,fas fa-comment-edit,fas fa-comment-exclamation,fas fa-comment-lines,fas fa-comment-medical,fas fa-comment-minus,fas fa-comment-music,fas fa-comment-plus,fas fa-comment-slash,fas fa-comment-smile,fas fa-comment-times,fas fa-comments,fas fa-comments-alt,fas fa-comments-alt-dollar,fas fa-comments-dollar,fas fa-compact-disc,fas fa-compass,fas fa-compass-slash,fas fa-compress,fas fa-compress-alt,fas fa-compress-arrows-alt,fas fa-compress-wide,fas fa-computer-classic,fas fa-computer-speaker,fas fa-concierge-bell,fas fa-construction,fas fa-container-storage,fas fa-conveyor-belt,fas fa-conveyor-belt-alt,fas fa-cookie,fas fa-cookie-bite,fas fa-copy,fas fa-copyright,fas fa-corn,fas fa-couch,fas fa-cow,fas fa-cowbell,fas fa-cowbell-more,fas fa-credit-card,fas fa-credit-card-blank,fas fa-credit-card-front,fas fa-cricket,fas fa-croissant,fas fa-crop,fas fa-crop-alt,fas fa-cross,fas fa-crosshairs,fas fa-crow,fas fa-crown,fas fa-crutch,fas fa-crutches,fas fa-cube,fas fa-cubes,fas fa-curling,fas fa-cut,fas fa-dagger,fas fa-database,fas fa-deaf,fas fa-debug,fas fa-deer,fas fa-deer-rudolph,fas fa-democrat,fas fa-desktop,fas fa-desktop-alt,fas fa-dewpoint,fas fa-dharmachakra,fas fa-diagnoses,fas fa-diamond,fas fa-dice,fas fa-dice-d10,fas fa-dice-d12,fas fa-dice-d20,fas fa-dice-d4,fas fa-dice-d6,fas fa-dice-d8,fas fa-dice-five,fas fa-dice-four,fas fa-dice-one,fas fa-dice-six,fas fa-dice-three,fas fa-dice-two,fas fa-digging,fas fa-digital-tachograph,fas fa-diploma,fas fa-directions,fas fa-disc-drive,fas fa-disease,fas fa-divide,fas fa-dizzy,fas fa-dna,fas fa-do-not-enter,fas fa-dog,fas fa-dog-leashed,fas fa-dollar-sign,fas fa-dolly,fas fa-dolly-empty,fas fa-dolly-flatbed,fas fa-dolly-flatbed-alt,fas fa-dolly-flatbed-empty,fas fa-donate,fas fa-door-closed,fas fa-door-open,fas fa-dot-circle,fas fa-dove,fas fa-download,fas fa-drafting-compass,fas fa-dragon,fas fa-draw-circle,fas fa-draw-polygon,fas fa-draw-square,fas fa-dreidel,fas fa-drone,fas fa-drone-alt,fas fa-drum,fas fa-drum-steelpan,fas fa-drumstick,fas fa-drumstick-bite,fas fa-dryer,fas fa-dryer-alt,fas fa-duck,fas fa-dumbbell,fas fa-dumpster,fas fa-dumpster-fire,fas fa-dungeon,fas fa-ear,fas fa-ear-muffs,fas fa-eclipse,fas fa-eclipse-alt,fas fa-edit,fas fa-egg,fas fa-egg-fried,fas fa-eject,fas fa-elephant,fas fa-ellipsis-h,fas fa-ellipsis-h-alt,fas fa-ellipsis-v,fas fa-ellipsis-v-alt,fas fa-empty-set,fas fa-engine-warning,fas fa-envelope,fas fa-envelope-open,fas fa-envelope-open-dollar,fas fa-envelope-open-text,fas fa-envelope-square,fas fa-equals,fas fa-eraser,fas fa-ethernet,fas fa-euro-sign,fas fa-exchange,fas fa-exchange-alt,fas fa-exclamation,fas fa-exclamation-circle,fas fa-exclamation-square,fas fa-exclamation-triangle,fas fa-expand,fas fa-expand-alt,fas fa-expand-arrows,fas fa-expand-arrows-alt,fas fa-expand-wide,fas fa-external-link,fas fa-external-link-alt,fas fa-external-link-square,fas fa-external-link-square-alt,fas fa-eye,fas fa-eye-dropper,fas fa-eye-evil,fas fa-eye-slash,fas fa-fan,fas fa-farm,fas fa-fast-backward,fas fa-fast-forward,fas fa-fax,fas fa-feather,fas fa-feather-alt,fas fa-female,fas fa-field-hockey,fas fa-fighter-jet,fas fa-file,fas fa-file-alt,fas fa-file-archive,fas fa-file-audio,fas fa-file-certificate,fas fa-file-chart-line,fas fa-file-chart-pie,fas fa-file-check,fas fa-file-code,fas fa-file-contract,fas fa-file-csv,fas fa-file-download,fas fa-file-edit,fas fa-file-excel,fas fa-file-exclamation,fas fa-file-export,fas fa-file-image,fas fa-file-import,fas fa-file-invoice,fas fa-file-invoice-dollar,fas fa-file-medical,fas fa-file-medical-alt,fas fa-file-minus,fas fa-file-music,fas fa-file-pdf,fas fa-file-plus,fas fa-file-powerpoint,fas fa-file-prescription,fas fa-file-search,fas fa-file-signature,fas fa-file-spreadsheet,fas fa-file-times,fas fa-file-upload,fas fa-file-user,fas fa-file-video,fas fa-file-word,fas fa-files-medical,fas fa-fill,fas fa-fill-drip,fas fa-film,fas fa-film-alt,fas fa-film-canister,fas fa-filter,fas fa-fingerprint,fas fa-fire,fas fa-fire-alt,fas fa-fire-extinguisher,fas fa-fire-smoke,fas fa-fireplace,fas fa-first-aid,fas fa-fish,fas fa-fish-cooked,fas fa-fist-raised,fas fa-flag,fas fa-flag-alt,fas fa-flag-checkered,fas fa-flag-usa,fas fa-flame,fas fa-flashlight,fas fa-flask,fas fa-flask-poison,fas fa-flask-potion,fas fa-flower,fas fa-flower-daffodil,fas fa-flower-tulip,fas fa-flushed,fas fa-flute,fas fa-flux-capacitor,fas fa-fog,fas fa-folder,fas fa-folder-minus,fas fa-folder-open,fas fa-folder-plus,fas fa-folder-times,fas fa-folder-tree,fas fa-folders,fas fa-font,fas fa-font-case,fas fa-football-ball,fas fa-football-helmet,fas fa-forklift,fas fa-forward,fas fa-fragile,fas fa-french-fries,fas fa-frog,fas fa-frosty-head,fas fa-frown,fas fa-frown-open,fas fa-function,fas fa-funnel-dollar,fas fa-futbol,fas fa-game-board,fas fa-game-board-alt,fas fa-game-console-handheld,fas fa-gamepad,fas fa-gamepad-alt,fas fa-gas-pump,fas fa-gas-pump-slash,fas fa-gavel,fas fa-gem,fas fa-genderless,fas fa-ghost,fas fa-gift,fas fa-gift-card,fas fa-gifts,fas fa-gingerbread-man,fas fa-glass,fas fa-glass-champagne,fas fa-glass-cheers,fas fa-glass-citrus,fas fa-glass-martini,fas fa-glass-martini-alt,fas fa-glass-whiskey,fas fa-glass-whiskey-rocks,fas fa-glasses,fas fa-glasses-alt,fas fa-globe,fas fa-globe-africa,fas fa-globe-americas,fas fa-globe-asia,fas fa-globe-europe,fas fa-globe-snow,fas fa-globe-stand,fas fa-golf-ball,fas fa-golf-club,fas fa-gopuram,fas fa-graduation-cap,fas fa-gramophone,fas fa-greater-than,fas fa-greater-than-equal,fas fa-grimace,fas fa-grin,fas fa-grin-alt,fas fa-grin-beam,fas fa-grin-beam-sweat,fas fa-grin-hearts,fas fa-grin-squint,fas fa-grin-squint-tears,fas fa-grin-stars,fas fa-grin-tears,fas fa-grin-tongue,fas fa-grin-tongue-squint,fas fa-grin-tongue-wink,fas fa-grin-wink,fas fa-grip-horizontal,fas fa-grip-lines,fas fa-grip-lines-vertical,fas fa-grip-vertical,fas fa-guitar,fas fa-guitar-electric,fas fa-guitars,fas fa-h-square,fas fa-h1,fas fa-h2,fas fa-h3,fas fa-h4,fas fa-hamburger,fas fa-hammer,fas fa-hammer-war,fas fa-hamsa,fas fa-hand-heart,fas fa-hand-holding,fas fa-hand-holding-box,fas fa-hand-holding-heart,fas fa-hand-holding-magic,fas fa-hand-holding-seedling,fas fa-hand-holding-usd,fas fa-hand-holding-water,fas fa-hand-lizard,fas fa-hand-middle-finger,fas fa-hand-paper,fas fa-hand-peace,fas fa-hand-point-down,fas fa-hand-point-left,fas fa-hand-point-right,fas fa-hand-point-up,fas fa-hand-pointer,fas fa-hand-receiving,fas fa-hand-rock,fas fa-hand-scissors,fas fa-hand-spock,fas fa-hands,fas fa-hands-heart,fas fa-hands-helping,fas fa-hands-usd,fas fa-handshake,fas fa-handshake-alt,fas fa-hanukiah,fas fa-hard-hat,fas fa-hashtag,fas fa-hat-chef,fas fa-hat-cowboy,fas fa-hat-cowboy-side,fas fa-hat-santa,fas fa-hat-winter,fas fa-hat-witch,fas fa-hat-wizard,fas fa-haykal,fas fa-hdd,fas fa-head-side,fas fa-head-side-brain,fas fa-head-side-headphones,fas fa-head-side-medical,fas fa-head-vr,fas fa-heading,fas fa-headphones,fas fa-headphones-alt,fas fa-headset,fas fa-heart,fas fa-heart-broken,fas fa-heart-circle,fas fa-heart-rate,fas fa-heart-square,fas fa-heartbeat,fas fa-helicopter,fas fa-helmet-battle,fas fa-hexagon,fas fa-highlighter,fas fa-hiking,fas fa-hippo,fas fa-history,fas fa-hockey-mask,fas fa-hockey-puck,fas fa-hockey-sticks,fas fa-holly-berry,fas fa-home,fas fa-home-alt,fas fa-home-heart,fas fa-home-lg,fas fa-home-lg-alt,fas fa-hood-cloak,fas fa-horizontal-rule,fas fa-horse,fas fa-horse-head,fas fa-horse-saddle,fas fa-hospital,fas fa-hospital-alt,fas fa-hospital-symbol,fas fa-hospital-user,fas fa-hospitals,fas fa-hot-tub,fas fa-hotdog,fas fa-hotel,fas fa-hourglass,fas fa-hourglass-end,fas fa-hourglass-half,fas fa-hourglass-start,fas fa-house-damage,fas fa-house-flood,fas fa-hryvnia,fas fa-humidity,fas fa-hurricane,fas fa-i-cursor,fas fa-ice-cream,fas fa-ice-skate,fas fa-icicles,fas fa-icons,fas fa-icons-alt,fas fa-id-badge,fas fa-id-card,fas fa-id-card-alt,fas fa-igloo,fas fa-image,fas fa-image-polaroid,fas fa-images,fas fa-inbox,fas fa-inbox-in,fas fa-inbox-out,fas fa-indent,fas fa-industry,fas fa-industry-alt,fas fa-infinity,fas fa-info,fas fa-info-circle,fas fa-info-square,fas fa-inhaler,fas fa-integral,fas fa-intersection,fas fa-inventory,fas fa-island-tropical,fas fa-italic,fas fa-jack-o-lantern,fas fa-jedi,fas fa-joint,fas fa-journal-whills,fas fa-joystick,fas fa-jug,fas fa-kaaba,fas fa-kazoo,fas fa-kerning,fas fa-key,fas fa-key-skeleton,fas fa-keyboard,fas fa-keynote,fas fa-khanda,fas fa-kidneys,fas fa-kiss,fas fa-kiss-beam,fas fa-kiss-wink-heart,fas fa-kite,fas fa-kiwi-bird,fas fa-knife-kitchen,fas fa-lambda,fas fa-lamp,fas fa-landmark,fas fa-landmark-alt,fas fa-language,fas fa-laptop,fas fa-laptop-code,fas fa-laptop-medical,fas fa-lasso,fas fa-laugh,fas fa-laugh-beam,fas fa-laugh-squint,fas fa-laugh-wink,fas fa-layer-group,fas fa-layer-minus,fas fa-layer-plus,fas fa-leaf,fas fa-leaf-heart,fas fa-leaf-maple,fas fa-leaf-oak,fas fa-lemon,fas fa-less-than,fas fa-less-than-equal,fas fa-level-down,fas fa-level-down-alt,fas fa-level-up,fas fa-level-up-alt,fas fa-life-ring,fas fa-lightbulb,fas fa-lightbulb-dollar,fas fa-lightbulb-exclamation,fas fa-lightbulb-on,fas fa-lightbulb-slash,fas fa-lights-holiday,fas fa-line-columns,fas fa-line-height,fas fa-link,fas fa-lips,fas fa-lira-sign,fas fa-list,fas fa-list-alt,fas fa-list-music,fas fa-list-ol,fas fa-list-ul,fas fa-location,fas fa-location-arrow,fas fa-location-circle,fas fa-location-slash,fas fa-lock,fas fa-lock-alt,fas fa-lock-open,fas fa-lock-open-alt,fas fa-long-arrow-alt-down,fas fa-long-arrow-alt-left,fas fa-long-arrow-alt-right,fas fa-long-arrow-alt-up,fas fa-long-arrow-down,fas fa-long-arrow-left,fas fa-long-arrow-right,fas fa-long-arrow-up,fas fa-loveseat,fas fa-low-vision,fas fa-luchador,fas fa-luggage-cart,fas fa-lungs,fas fa-mace,fas fa-magic,fas fa-magnet,fas fa-mail-bulk,fas fa-mailbox,fas fa-male,fas fa-mandolin,fas fa-map,fas fa-map-marked,fas fa-map-marked-alt,fas fa-map-marker,fas fa-map-marker-alt,fas fa-map-marker-alt-slash,fas fa-map-marker-check,fas fa-map-marker-edit,fas fa-map-marker-exclamation,fas fa-map-marker-minus,fas fa-map-marker-plus,fas fa-map-marker-question,fas fa-map-marker-slash,fas fa-map-marker-smile,fas fa-map-marker-times,fas fa-map-pin,fas fa-map-signs,fas fa-marker,fas fa-mars,fas fa-mars-double,fas fa-mars-stroke,fas fa-mars-stroke-h,fas fa-mars-stroke-v,fas fa-mask,fas fa-meat,fas fa-medal,fas fa-medkit,fas fa-megaphone,fas fa-meh,fas fa-meh-blank,fas fa-meh-rolling-eyes,fas fa-memory,fas fa-menorah,fas fa-mercury,fas fa-meteor,fas fa-microchip,fas fa-microphone,fas fa-microphone-alt,fas fa-microphone-alt-slash,fas fa-microphone-slash,fas fa-microphone-stand,fas fa-microscope,fas fa-mind-share,fas fa-minus,fas fa-minus-circle,fas fa-minus-hexagon,fas fa-minus-octagon,fas fa-minus-square,fas fa-mistletoe,fas fa-mitten,fas fa-mobile,fas fa-mobile-alt,fas fa-mobile-android,fas fa-mobile-android-alt,fas fa-money-bill,fas fa-money-bill-alt,fas fa-money-bill-wave,fas fa-money-bill-wave-alt,fas fa-money-check,fas fa-money-check-alt,fas fa-money-check-edit,fas fa-money-check-edit-alt,fas fa-monitor-heart-rate,fas fa-monkey,fas fa-monument,fas fa-moon,fas fa-moon-cloud,fas fa-moon-stars,fas fa-mortar-pestle,fas fa-mosque,fas fa-motorcycle,fas fa-mountain,fas fa-mountains,fas fa-mouse,fas fa-mouse-alt,fas fa-mouse-pointer,fas fa-mp3-player,fas fa-mug,fas fa-mug-hot,fas fa-mug-marshmallows,fas fa-mug-tea,fas fa-music,fas fa-music-alt,fas fa-music-alt-slash,fas fa-music-slash,fas fa-narwhal,fas fa-network-wired,fas fa-neuter,fas fa-newspaper,fas fa-not-equal,fas fa-notes-medical,fas fa-object-group,fas fa-object-ungroup,fas fa-octagon,fas fa-oil-can,fas fa-oil-temp,fas fa-om,fas fa-omega,fas fa-ornament,fas fa-otter,fas fa-outdent,fas fa-overline,fas fa-page-break,fas fa-pager,fas fa-paint-brush,fas fa-paint-brush-alt,fas fa-paint-roller,fas fa-palette,fas fa-pallet,fas fa-pallet-alt,fas fa-paper-plane,fas fa-paperclip,fas fa-parachute-box,fas fa-paragraph,fas fa-paragraph-rtl,fas fa-parking,fas fa-parking-circle,fas fa-parking-circle-slash,fas fa-parking-slash,fas fa-passport,fas fa-pastafarianism,fas fa-paste,fas fa-pause,fas fa-pause-circle,fas fa-paw,fas fa-paw-alt,fas fa-paw-claws,fas fa-peace,fas fa-pegasus,fas fa-pen,fas fa-pen-alt,fas fa-pen-fancy,fas fa-pen-nib,fas fa-pen-square,fas fa-pencil,fas fa-pencil-alt,fas fa-pencil-paintbrush,fas fa-pencil-ruler,fas fa-pennant,fas fa-people-carry,fas fa-pepper-hot,fas fa-percent,fas fa-percentage,fas fa-person-booth,fas fa-person-carry,fas fa-person-dolly,fas fa-person-dolly-empty,fas fa-person-sign,fas fa-phone,fas fa-phone-alt,fas fa-phone-laptop,fas fa-phone-office,fas fa-phone-plus,fas fa-phone-rotary,fas fa-phone-slash,fas fa-phone-square,fas fa-phone-square-alt,fas fa-phone-volume,fas fa-photo-video,fas fa-pi,fas fa-piano,fas fa-piano-keyboard,fas fa-pie,fas fa-pig,fas fa-piggy-bank,fas fa-pills,fas fa-pizza,fas fa-pizza-slice,fas fa-place-of-worship,fas fa-plane,fas fa-plane-alt,fas fa-plane-arrival,fas fa-plane-departure,fas fa-play,fas fa-play-circle,fas fa-plug,fas fa-plus,fas fa-plus-circle,fas fa-plus-hexagon,fas fa-plus-octagon,fas fa-plus-square,fas fa-podcast,fas fa-podium,fas fa-podium-star,fas fa-poll,fas fa-poll-h,fas fa-poll-people,fas fa-poo,fas fa-poo-storm,fas fa-poop,fas fa-popcorn,fas fa-portrait,fas fa-pound-sign,fas fa-power-off,fas fa-pray,fas fa-praying-hands,fas fa-prescription,fas fa-prescription-bottle,fas fa-prescription-bottle-alt,fas fa-presentation,fas fa-print,fas fa-print-search,fas fa-print-slash,fas fa-procedures,fas fa-project-diagram,fas fa-projector,fas fa-pumpkin,fas fa-puzzle-piece,fas fa-qrcode,fas fa-question,fas fa-question-circle,fas fa-question-square,fas fa-quidditch,fas fa-quote-left,fas fa-quote-right,fas fa-quran,fas fa-rabbit,fas fa-rabbit-fast,fas fa-racquet,fas fa-radiation,fas fa-radiation-alt,fas fa-radio,fas fa-radio-alt,fas fa-rainbow,fas fa-raindrops,fas fa-ram,fas fa-ramp-loading,fas fa-random,fas fa-receipt,fas fa-record-vinyl,fas fa-rectangle-landscape,fas fa-rectangle-portrait,fas fa-rectangle-wide,fas fa-recycle,fas fa-redo,fas fa-redo-alt,fas fa-registered,fas fa-remove-format,fas fa-repeat,fas fa-repeat-1,fas fa-repeat-1-alt,fas fa-repeat-alt,fas fa-reply,fas fa-reply-all,fas fa-republican,fas fa-restroom,fas fa-retweet,fas fa-retweet-alt,fas fa-ribbon,fas fa-ring,fas fa-rings-wedding,fas fa-road,fas fa-robot,fas fa-rocket,fas fa-route,fas fa-route-highway,fas fa-route-interstate,fas fa-router,fas fa-rss,fas fa-rss-square,fas fa-ruble-sign,fas fa-ruler,fas fa-ruler-combined,fas fa-ruler-horizontal,fas fa-ruler-triangle,fas fa-ruler-vertical,fas fa-running,fas fa-rupee-sign,fas fa-rv,fas fa-sack,fas fa-sack-dollar,fas fa-sad-cry,fas fa-sad-tear,fas fa-salad,fas fa-sandwich,fas fa-satellite,fas fa-satellite-dish,fas fa-sausage,fas fa-save,fas fa-sax-hot,fas fa-saxophone,fas fa-scalpel,fas fa-scalpel-path,fas fa-scanner,fas fa-scanner-image,fas fa-scanner-keyboard,fas fa-scanner-touchscreen,fas fa-scarecrow,fas fa-scarf,fas fa-school,fas fa-screwdriver,fas fa-scroll,fas fa-scroll-old,fas fa-scrubber,fas fa-scythe,fas fa-sd-card,fas fa-search,fas fa-search-dollar,fas fa-search-location,fas fa-search-minus,fas fa-search-plus,fas fa-seedling,fas fa-send-back,fas fa-send-backward,fas fa-server,fas fa-shapes,fas fa-share,fas fa-share-all,fas fa-share-alt,fas fa-share-alt-square,fas fa-share-square,fas fa-sheep,fas fa-shekel-sign,fas fa-shield,fas fa-shield-alt,fas fa-shield-check,fas fa-shield-cross,fas fa-ship,fas fa-shipping-fast,fas fa-shipping-timed,fas fa-shish-kebab,fas fa-shoe-prints,fas fa-shopping-bag,fas fa-shopping-basket,fas fa-shopping-cart,fas fa-shovel,fas fa-shovel-snow,fas fa-shower,fas fa-shredder,fas fa-shuttle-van,fas fa-shuttlecock,fas fa-sickle,fas fa-sigma,fas fa-sign,fas fa-sign-in,fas fa-sign-in-alt,fas fa-sign-language,fas fa-sign-out,fas fa-sign-out-alt,fas fa-signal,fas fa-signal-1,fas fa-signal-2,fas fa-signal-3,fas fa-signal-4,fas fa-signal-alt,fas fa-signal-alt-1,fas fa-signal-alt-2,fas fa-signal-alt-3,fas fa-signal-alt-slash,fas fa-signal-slash,fas fa-signal-stream,fas fa-signature,fas fa-sim-card,fas fa-sitemap,fas fa-skating,fas fa-skeleton,fas fa-ski-jump,fas fa-ski-lift,fas fa-skiing,fas fa-skiing-nordic,fas fa-skull,fas fa-skull-cow,fas fa-skull-crossbones,fas fa-slash,fas fa-sledding,fas fa-sleigh,fas fa-sliders-h,fas fa-sliders-h-square,fas fa-sliders-v,fas fa-sliders-v-square,fas fa-smile,fas fa-smile-beam,fas fa-smile-plus,fas fa-smile-wink,fas fa-smog,fas fa-smoke,fas fa-smoking,fas fa-smoking-ban,fas fa-sms,fas fa-snake,fas fa-snooze,fas fa-snow-blowing,fas fa-snowboarding,fas fa-snowflake,fas fa-snowflakes,fas fa-snowman,fas fa-snowmobile,fas fa-snowplow,fas fa-socks,fas fa-solar-panel,fas fa-sort,fas fa-sort-alpha-down,fas fa-sort-alpha-down-alt,fas fa-sort-alpha-up,fas fa-sort-alpha-up-alt,fas fa-sort-alt,fas fa-sort-amount-down,fas fa-sort-amount-down-alt,fas fa-sort-amount-up,fas fa-sort-amount-up-alt,fas fa-sort-down,fas fa-sort-numeric-down,fas fa-sort-numeric-down-alt,fas fa-sort-numeric-up,fas fa-sort-numeric-up-alt,fas fa-sort-shapes-down,fas fa-sort-shapes-down-alt,fas fa-sort-shapes-up,fas fa-sort-shapes-up-alt,fas fa-sort-size-down,fas fa-sort-size-down-alt,fas fa-sort-size-up,fas fa-sort-size-up-alt,fas fa-sort-up,fas fa-soup,fas fa-spa,fas fa-space-shuttle,fas fa-spade,fas fa-sparkles,fas fa-speaker,fas fa-speakers,fas fa-spell-check,fas fa-spider,fas fa-spider-black-widow,fas fa-spider-web,fas fa-spinner,fas fa-spinner-third,fas fa-splotch,fas fa-spray-can,fas fa-square,fas fa-square-full,fas fa-square-root,fas fa-square-root-alt,fas fa-squirrel,fas fa-staff,fas fa-stamp,fas fa-star,fas fa-star-and-crescent,fas fa-star-christmas,fas fa-star-exclamation,fas fa-star-half,fas fa-star-half-alt,fas fa-star-of-david,fas fa-star-of-life,fas fa-stars,fas fa-steak,fas fa-steering-wheel,fas fa-step-backward,fas fa-step-forward,fas fa-stethoscope,fas fa-sticky-note,fas fa-stocking,fas fa-stomach,fas fa-stop,fas fa-stop-circle,fas fa-stopwatch,fas fa-store,fas fa-store-alt,fas fa-stream,fas fa-street-view,fas fa-stretcher,fas fa-strikethrough,fas fa-stroopwafel,fas fa-subscript,fas fa-subway,fas fa-suitcase,fas fa-suitcase-rolling,fas fa-sun,fas fa-sun-cloud,fas fa-sun-dust,fas fa-sun-haze,fas fa-sunglasses,fas fa-sunrise,fas fa-sunset,fas fa-superscript,fas fa-surprise,fas fa-swatchbook,fas fa-swimmer,fas fa-swimming-pool,fas fa-sword,fas fa-swords,fas fa-synagogue,fas fa-sync,fas fa-sync-alt,fas fa-syringe,fas fa-table,fas fa-table-tennis,fas fa-tablet,fas fa-tablet-alt,fas fa-tablet-android,fas fa-tablet-android-alt,fas fa-tablet-rugged,fas fa-tablets,fas fa-tachometer,fas fa-tachometer-alt,fas fa-tachometer-alt-average,fas fa-tachometer-alt-fast,fas fa-tachometer-alt-fastest,fas fa-tachometer-alt-slow,fas fa-tachometer-alt-slowest,fas fa-tachometer-average,fas fa-tachometer-fast,fas fa-tachometer-fastest,fas fa-tachometer-slow,fas fa-tachometer-slowest,fas fa-taco,fas fa-tag,fas fa-tags,fas fa-tally,fas fa-tanakh,fas fa-tape,fas fa-tasks,fas fa-tasks-alt,fas fa-taxi,fas fa-teeth,fas fa-teeth-open,fas fa-temperature-frigid,fas fa-temperature-high,fas fa-temperature-hot,fas fa-temperature-low,fas fa-tenge,fas fa-tennis-ball,fas fa-terminal,fas fa-text,fas fa-text-height,fas fa-text-size,fas fa-text-width,fas fa-th,fas fa-th-large,fas fa-th-list,fas fa-theater-masks,fas fa-thermometer,fas fa-thermometer-empty,fas fa-thermometer-full,fas fa-thermometer-half,fas fa-thermometer-quarter,fas fa-thermometer-three-quarters,fas fa-theta,fas fa-thumbs-down,fas fa-thumbs-up,fas fa-thumbtack,fas fa-thunderstorm,fas fa-thunderstorm-moon,fas fa-thunderstorm-sun,fas fa-ticket,fas fa-ticket-alt,fas fa-tilde,fas fa-times,fas fa-times-circle,fas fa-times-hexagon,fas fa-times-octagon,fas fa-times-square,fas fa-tint,fas fa-tint-slash,fas fa-tire,fas fa-tire-flat,fas fa-tire-pressure-warning,fas fa-tire-rugged,fas fa-tired,fas fa-toggle-off,fas fa-toggle-on,fas fa-toilet,fas fa-toilet-paper,fas fa-toilet-paper-alt,fas fa-tombstone,fas fa-tombstone-alt,fas fa-toolbox,fas fa-tools,fas fa-tooth,fas fa-toothbrush,fas fa-torah,fas fa-torii-gate,fas fa-tornado,fas fa-tractor,fas fa-trademark,fas fa-traffic-cone,fas fa-traffic-light,fas fa-traffic-light-go,fas fa-traffic-light-slow,fas fa-traffic-light-stop,fas fa-train,fas fa-tram,fas fa-transgender,fas fa-transgender-alt,fas fa-trash,fas fa-trash-alt,fas fa-trash-restore,fas fa-trash-restore-alt,fas fa-trash-undo,fas fa-trash-undo-alt,fas fa-treasure-chest,fas fa-tree,fas fa-tree-alt,fas fa-tree-christmas,fas fa-tree-decorated,fas fa-tree-large,fas fa-tree-palm,fas fa-trees,fas fa-triangle,fas fa-triangle-music,fas fa-trophy,fas fa-trophy-alt,fas fa-truck,fas fa-truck-container,fas fa-truck-couch,fas fa-truck-loading,fas fa-truck-monster,fas fa-truck-moving,fas fa-truck-pickup,fas fa-truck-plow,fas fa-truck-ramp,fas fa-trumpet,fas fa-tshirt,fas fa-tty,fas fa-turkey,fas fa-turntable,fas fa-turtle,fas fa-tv,fas fa-tv-alt,fas fa-tv-music,fas fa-tv-retro,fas fa-typewriter,fas fa-umbrella,fas fa-umbrella-beach,fas fa-underline,fas fa-undo,fas fa-undo-alt,fas fa-unicorn,fas fa-union,fas fa-universal-access,fas fa-university,fas fa-unlink,fas fa-unlock,fas fa-unlock-alt,fas fa-upload,fas fa-usb-drive,fas fa-usd-circle,fas fa-usd-square,fas fa-user,fas fa-user-alt,fas fa-user-alt-slash,fas fa-user-astronaut,fas fa-user-chart,fas fa-user-check,fas fa-user-circle,fas fa-user-clock,fas fa-user-cog,fas fa-user-cowboy,fas fa-user-crown,fas fa-user-edit,fas fa-user-friends,fas fa-user-graduate,fas fa-user-hard-hat,fas fa-user-headset,fas fa-user-injured,fas fa-user-lock,fas fa-user-md,fas fa-user-md-chat,fas fa-user-minus,fas fa-user-music,fas fa-user-ninja,fas fa-user-nurse,fas fa-user-plus,fas fa-user-secret,fas fa-user-shield,fas fa-user-slash,fas fa-user-tag,fas fa-user-tie,fas fa-user-times,fas fa-users,fas fa-users-class,fas fa-users-cog,fas fa-users-crown,fas fa-users-medical,fas fa-utensil-fork,fas fa-utensil-knife,fas fa-utensil-spoon,fas fa-utensils,fas fa-utensils-alt,fas fa-value-absolute,fas fa-vector-square,fas fa-venus,fas fa-venus-double,fas fa-venus-mars,fas fa-vhs,fas fa-vial,fas fa-vials,fas fa-video,fas fa-video-plus,fas fa-video-slash,fas fa-vihara,fas fa-violin,fas fa-voicemail,fas fa-volcano,fas fa-volleyball-ball,fas fa-volume,fas fa-volume-down,fas fa-volume-mute,fas fa-volume-off,fas fa-volume-slash,fas fa-volume-up,fas fa-vote-nay,fas fa-vote-yea,fas fa-vr-cardboard,fas fa-wagon-covered,fas fa-walker,fas fa-walkie-talkie,fas fa-walking,fas fa-wallet,fas fa-wand,fas fa-wand-magic,fas fa-warehouse,fas fa-warehouse-alt,fas fa-washer,fas fa-watch,fas fa-watch-calculator,fas fa-watch-fitness,fas fa-water,fas fa-water-lower,fas fa-water-rise,fas fa-wave-sine,fas fa-wave-square,fas fa-wave-triangle,fas fa-waveform,fas fa-waveform-path,fas fa-webcam,fas fa-webcam-slash,fas fa-weight,fas fa-weight-hanging,fas fa-whale,fas fa-wheat,fas fa-wheelchair,fas fa-whistle,fas fa-wifi,fas fa-wifi-1,fas fa-wifi-2,fas fa-wifi-slash,fas fa-wind,fas fa-wind-turbine,fas fa-wind-warning,fas fa-window,fas fa-window-alt,fas fa-window-close,fas fa-window-maximize,fas fa-window-minimize,fas fa-window-restore,fas fa-windsock,fas fa-wine-bottle,fas fa-wine-glass,fas fa-wine-glass-alt,fas fa-won-sign,fas fa-wreath,fas fa-wrench,fas fa-x-ray,fas fa-yen-sign,fas fa-yin-yang');
    $fontawesomeFiveIconsRegular = array('far fa-abacus,far fa-acorn,far fa-ad,far fa-address-book,far fa-address-card,far fa-adjust,far fa-air-freshener,far fa-alarm-clock,far fa-alarm-exclamation,far fa-alarm-plus,far fa-alarm-snooze,far fa-album,far fa-album-collection,far fa-alicorn,far fa-align-center,far fa-align-justify,far fa-align-left,far fa-align-right,far fa-align-slash,far fa-allergies,far fa-ambulance,far fa-american-sign-language-interpreting,far fa-amp-guitar,far fa-analytics,far fa-anchor,far fa-angel,far fa-angle-double-down,far fa-angle-double-left,far fa-angle-double-right,far fa-angle-double-up,far fa-angle-down,far fa-angle-left,far fa-angle-right,far fa-angle-up,far fa-angry,far fa-ankh,far fa-apple-alt,far fa-apple-crate,far fa-archive,far fa-archway,far fa-arrow-alt-circle-down,far fa-arrow-alt-circle-left,far fa-arrow-alt-circle-right,far fa-arrow-alt-circle-up,far fa-arrow-alt-down,far fa-arrow-alt-from-bottom,far fa-arrow-alt-from-left,far fa-arrow-alt-from-right,far fa-arrow-alt-from-top,far fa-arrow-alt-left,far fa-arrow-alt-right,far fa-arrow-alt-square-down,far fa-arrow-alt-square-left,far fa-arrow-alt-square-right,far fa-arrow-alt-square-up,far fa-arrow-alt-to-bottom,far fa-arrow-alt-to-left,far fa-arrow-alt-to-right,far fa-arrow-alt-to-top,far fa-arrow-alt-up,far fa-arrow-circle-down,far fa-arrow-circle-left,far fa-arrow-circle-right,far fa-arrow-circle-up,far fa-arrow-down,far fa-arrow-from-bottom,far fa-arrow-from-left,far fa-arrow-from-right,far fa-arrow-from-top,far fa-arrow-left,far fa-arrow-right,far fa-arrow-square-down,far fa-arrow-square-left,far fa-arrow-square-right,far fa-arrow-square-up,far fa-arrow-to-bottom,far fa-arrow-to-left,far fa-arrow-to-right,far fa-arrow-to-top,far fa-arrow-up,far fa-arrows,far fa-arrows-alt,far fa-arrows-alt-h,far fa-arrows-alt-v,far fa-arrows-h,far fa-arrows-v,far fa-assistive-listening-systems,far fa-asterisk,far fa-at,far fa-atlas,far fa-atom,far fa-atom-alt,far fa-audio-description,far fa-award,far fa-axe,far fa-axe-battle,far fa-baby,far fa-baby-carriage,far fa-backpack,far fa-backspace,far fa-backward,far fa-bacon,far fa-badge,far fa-badge-check,far fa-badge-dollar,far fa-badge-percent,far fa-badge-sheriff,far fa-badger-honey,far fa-bags-shopping,far fa-balance-scale,far fa-balance-scale-left,far fa-balance-scale-right,far fa-ball-pile,far fa-ballot,far fa-ballot-check,far fa-ban,far fa-band-aid,far fa-banjo,far fa-barcode,far fa-barcode-alt,far fa-barcode-read,far fa-barcode-scan,far fa-bars,far fa-baseball,far fa-baseball-ball,far fa-basketball-ball,far fa-basketball-hoop,far fa-bat,far fa-bath,far fa-battery-bolt,far fa-battery-empty,far fa-battery-full,far fa-battery-half,far fa-battery-quarter,far fa-battery-slash,far fa-battery-three-quarters,far fa-bed,far fa-beer,far fa-bell,far fa-bell-exclamation,far fa-bell-plus,far fa-bell-school,far fa-bell-school-slash,far fa-bell-slash,far fa-bells,far fa-betamax,far fa-bezier-curve,far fa-bible,far fa-bicycle,far fa-biking,far fa-biking-mountain,far fa-binoculars,far fa-biohazard,far fa-birthday-cake,far fa-blanket,far fa-blender,far fa-blender-phone,far fa-blind,far fa-blog,far fa-bold,far fa-bolt,far fa-bomb,far fa-bone,far fa-bone-break,far fa-bong,far fa-book,far fa-book-alt,far fa-book-dead,far fa-book-heart,far fa-book-medical,far fa-book-open,far fa-book-reader,far fa-book-spells,far fa-book-user,far fa-bookmark,far fa-books,far fa-books-medical,far fa-boombox,far fa-boot,far fa-booth-curtain,far fa-border-all,far fa-border-bottom,far fa-border-center-h,far fa-border-center-v,far fa-border-inner,far fa-border-left,far fa-border-none,far fa-border-outer,far fa-border-right,far fa-border-style,far fa-border-style-alt,far fa-border-top,far fa-bow-arrow,far fa-bowling-ball,far fa-bowling-pins,far fa-box,far fa-box-alt,far fa-box-ballot,far fa-box-check,far fa-box-fragile,far fa-box-full,far fa-box-heart,far fa-box-open,far fa-box-up,far fa-box-usd,far fa-boxes,far fa-boxes-alt,far fa-boxing-glove,far fa-brackets,far fa-brackets-curly,far fa-braille,far fa-brain,far fa-bread-loaf,far fa-bread-slice,far fa-briefcase,far fa-briefcase-medical,far fa-bring-forward,far fa-bring-front,far fa-broadcast-tower,far fa-broom,far fa-browser,far fa-brush,far fa-bug,far fa-building,far fa-bullhorn,far fa-bullseye,far fa-bullseye-arrow,far fa-bullseye-pointer,far fa-burger-soda,far fa-burn,far fa-burrito,far fa-bus,far fa-bus-alt,far fa-bus-school,far fa-business-time,far fa-cabinet-filing,far fa-cactus,far fa-calculator,far fa-calculator-alt,far fa-calendar,far fa-calendar-alt,far fa-calendar-check,far fa-calendar-day,far fa-calendar-edit,far fa-calendar-exclamation,far fa-calendar-minus,far fa-calendar-plus,far fa-calendar-star,far fa-calendar-times,far fa-calendar-week,far fa-camcorder,far fa-camera,far fa-camera-alt,far fa-camera-movie,far fa-camera-polaroid,far fa-camera-retro,far fa-campfire,far fa-campground,far fa-candle-holder,far fa-candy-cane,far fa-candy-corn,far fa-cannabis,far fa-capsules,far fa-car,far fa-car-alt,far fa-car-battery,far fa-car-building,far fa-car-bump,far fa-car-bus,far fa-car-crash,far fa-car-garage,far fa-car-mechanic,far fa-car-side,far fa-car-tilt,far fa-car-wash,far fa-caret-circle-down,far fa-caret-circle-left,far fa-caret-circle-right,far fa-caret-circle-up,far fa-caret-down,far fa-caret-left,far fa-caret-right,far fa-caret-square-down,far fa-caret-square-left,far fa-caret-square-right,far fa-caret-square-up,far fa-caret-up,far fa-carrot,far fa-cars,far fa-cart-arrow-down,far fa-cart-plus,far fa-cash-register,far fa-cassette-tape,far fa-cat,far fa-cauldron,far fa-cctv,far fa-certificate,far fa-chair,far fa-chair-office,far fa-chalkboard,far fa-chalkboard-teacher,far fa-charging-station,far fa-chart-area,far fa-chart-bar,far fa-chart-line,far fa-chart-line-down,far fa-chart-network,far fa-chart-pie,far fa-chart-pie-alt,far fa-chart-scatter,far fa-check,far fa-check-circle,far fa-check-double,far fa-check-square,far fa-cheese,far fa-cheese-swiss,far fa-cheeseburger,far fa-chess,far fa-chess-bishop,far fa-chess-bishop-alt,far fa-chess-board,far fa-chess-clock,far fa-chess-clock-alt,far fa-chess-king,far fa-chess-king-alt,far fa-chess-knight,far fa-chess-knight-alt,far fa-chess-pawn,far fa-chess-pawn-alt,far fa-chess-queen,far fa-chess-queen-alt,far fa-chess-rook,far fa-chess-rook-alt,far fa-chevron-circle-down,far fa-chevron-circle-left,far fa-chevron-circle-right,far fa-chevron-circle-up,far fa-chevron-double-down,far fa-chevron-double-left,far fa-chevron-double-right,far fa-chevron-double-up,far fa-chevron-down,far fa-chevron-left,far fa-chevron-right,far fa-chevron-square-down,far fa-chevron-square-left,far fa-chevron-square-right,far fa-chevron-square-up,far fa-chevron-up,far fa-child,far fa-chimney,far fa-church,far fa-circle,far fa-circle-notch,far fa-city,far fa-clarinet,far fa-claw-marks,far fa-clinic-medical,far fa-clipboard,far fa-clipboard-check,far fa-clipboard-list,far fa-clipboard-list-check,far fa-clipboard-prescription,far fa-clipboard-user,far fa-clock,far fa-clone,far fa-closed-captioning,far fa-cloud,far fa-cloud-download,far fa-cloud-download-alt,far fa-cloud-drizzle,far fa-cloud-hail,far fa-cloud-hail-mixed,far fa-cloud-meatball,far fa-cloud-moon,far fa-cloud-moon-rain,far fa-cloud-music,far fa-cloud-rain,far fa-cloud-rainbow,far fa-cloud-showers,far fa-cloud-showers-heavy,far fa-cloud-sleet,far fa-cloud-snow,far fa-cloud-sun,far fa-cloud-sun-rain,far fa-cloud-upload,far fa-cloud-upload-alt,far fa-clouds,far fa-clouds-moon,far fa-clouds-sun,far fa-club,far fa-cocktail,far fa-code,far fa-code-branch,far fa-code-commit,far fa-code-merge,far fa-coffee,far fa-coffee-togo,far fa-coffin,far fa-cog,far fa-cogs,far fa-coin,far fa-coins,far fa-columns,far fa-comment,far fa-comment-alt,far fa-comment-alt-check,far fa-comment-alt-dollar,far fa-comment-alt-dots,far fa-comment-alt-edit,far fa-comment-alt-exclamation,far fa-comment-alt-lines,far fa-comment-alt-medical,far fa-comment-alt-minus,far fa-comment-alt-music,far fa-comment-alt-plus,far fa-comment-alt-slash,far fa-comment-alt-smile,far fa-comment-alt-times,far fa-comment-check,far fa-comment-dollar,far fa-comment-dots,far fa-comment-edit,far fa-comment-exclamation,far fa-comment-lines,far fa-comment-medical,far fa-comment-minus,far fa-comment-music,far fa-comment-plus,far fa-comment-slash,far fa-comment-smile,far fa-comment-times,far fa-comments,far fa-comments-alt,far fa-comments-alt-dollar,far fa-comments-dollar,far fa-compact-disc,far fa-compass,far fa-compass-slash,far fa-compress,far fa-compress-alt,far fa-compress-arrows-alt,far fa-compress-wide,far fa-computer-classic,far fa-computer-speaker,far fa-concierge-bell,far fa-construction,far fa-container-storage,far fa-conveyor-belt,far fa-conveyor-belt-alt,far fa-cookie,far fa-cookie-bite,far fa-copy,far fa-copyright,far fa-corn,far fa-couch,far fa-cow,far fa-cowbell,far fa-cowbell-more,far fa-credit-card,far fa-credit-card-blank,far fa-credit-card-front,far fa-cricket,far fa-croissant,far fa-crop,far fa-crop-alt,far fa-cross,far fa-crosshairs,far fa-crow,far fa-crown,far fa-crutch,far fa-crutches,far fa-cube,far fa-cubes,far fa-curling,far fa-cut,far fa-dagger,far fa-database,far fa-deaf,far fa-debug,far fa-deer,far fa-deer-rudolph,far fa-democrat,far fa-desktop,far fa-desktop-alt,far fa-dewpoint,far fa-dharmachakra,far fa-diagnoses,far fa-diamond,far fa-dice,far fa-dice-d10,far fa-dice-d12,far fa-dice-d20,far fa-dice-d4,far fa-dice-d6,far fa-dice-d8,far fa-dice-five,far fa-dice-four,far fa-dice-one,far fa-dice-six,far fa-dice-three,far fa-dice-two,far fa-digging,far fa-digital-tachograph,far fa-diploma,far fa-directions,far fa-disc-drive,far fa-disease,far fa-divide,far fa-dizzy,far fa-dna,far fa-do-not-enter,far fa-dog,far fa-dog-leashed,far fa-dollar-sign,far fa-dolly,far fa-dolly-empty,far fa-dolly-flatbed,far fa-dolly-flatbed-alt,far fa-dolly-flatbed-empty,far fa-donate,far fa-door-closed,far fa-door-open,far fa-dot-circle,far fa-dove,far fa-download,far fa-drafting-compass,far fa-dragon,far fa-draw-circle,far fa-draw-polygon,far fa-draw-square,far fa-dreidel,far fa-drone,far fa-drone-alt,far fa-drum,far fa-drum-steelpan,far fa-drumstick,far fa-drumstick-bite,far fa-dryer,far fa-dryer-alt,far fa-duck,far fa-dumbbell,far fa-dumpster,far fa-dumpster-fire,far fa-dungeon,far fa-ear,far fa-ear-muffs,far fa-eclipse,far fa-eclipse-alt,far fa-edit,far fa-egg,far fa-egg-fried,far fa-eject,far fa-elephant,far fa-ellipsis-h,far fa-ellipsis-h-alt,far fa-ellipsis-v,far fa-ellipsis-v-alt,far fa-empty-set,far fa-engine-warning,far fa-envelope,far fa-envelope-open,far fa-envelope-open-dollar,far fa-envelope-open-text,far fa-envelope-square,far fa-equals,far fa-eraser,far fa-ethernet,far fa-euro-sign,far fa-exchange,far fa-exchange-alt,far fa-exclamation,far fa-exclamation-circle,far fa-exclamation-square,far fa-exclamation-triangle,far fa-expand,far fa-expand-alt,far fa-expand-arrows,far fa-expand-arrows-alt,far fa-expand-wide,far fa-external-link,far fa-external-link-alt,far fa-external-link-square,far fa-external-link-square-alt,far fa-eye,far fa-eye-dropper,far fa-eye-evil,far fa-eye-slash,far fa-fan,far fa-farm,far fa-fast-backward,far fa-fast-forward,far fa-fax,far fa-feather,far fa-feather-alt,far fa-female,far fa-field-hockey,far fa-fighter-jet,far fa-file,far fa-file-alt,far fa-file-archive,far fa-file-audio,far fa-file-certificate,far fa-file-chart-line,far fa-file-chart-pie,far fa-file-check,far fa-file-code,far fa-file-contract,far fa-file-csv,far fa-file-download,far fa-file-edit,far fa-file-excel,far fa-file-exclamation,far fa-file-export,far fa-file-image,far fa-file-import,far fa-file-invoice,far fa-file-invoice-dollar,far fa-file-medical,far fa-file-medical-alt,far fa-file-minus,far fa-file-music,far fa-file-pdf,far fa-file-plus,far fa-file-powerpoint,far fa-file-prescription,far fa-file-search,far fa-file-signature,far fa-file-spreadsheet,far fa-file-times,far fa-file-upload,far fa-file-user,far fa-file-video,far fa-file-word,far fa-files-medical,far fa-fill,far fa-fill-drip,far fa-film,far fa-film-alt,far fa-film-canister,far fa-filter,far fa-fingerprint,far fa-fire,far fa-fire-alt,far fa-fire-extinguisher,far fa-fire-smoke,far fa-fireplace,far fa-first-aid,far fa-fish,far fa-fish-cooked,far fa-fist-raised,far fa-flag,far fa-flag-alt,far fa-flag-checkered,far fa-flag-usa,far fa-flame,far fa-flashlight,far fa-flask,far fa-flask-poison,far fa-flask-potion,far fa-flower,far fa-flower-daffodil,far fa-flower-tulip,far fa-flushed,far fa-flute,far fa-flux-capacitor,far fa-fog,far fa-folder,far fa-folder-minus,far fa-folder-open,far fa-folder-plus,far fa-folder-times,far fa-folder-tree,far fa-folders,far fa-font,far fa-font-case,far fa-football-ball,far fa-football-helmet,far fa-forklift,far fa-forward,far fa-fragile,far fa-french-fries,far fa-frog,far fa-frosty-head,far fa-frown,far fa-frown-open,far fa-function,far fa-funnel-dollar,far fa-futbol,far fa-game-board,far fa-game-board-alt,far fa-game-console-handheld,far fa-gamepad,far fa-gamepad-alt,far fa-gas-pump,far fa-gas-pump-slash,far fa-gavel,far fa-gem,far fa-genderless,far fa-ghost,far fa-gift,far fa-gift-card,far fa-gifts,far fa-gingerbread-man,far fa-glass,far fa-glass-champagne,far fa-glass-cheers,far fa-glass-citrus,far fa-glass-martini,far fa-glass-martini-alt,far fa-glass-whiskey,far fa-glass-whiskey-rocks,far fa-glasses,far fa-glasses-alt,far fa-globe,far fa-globe-africa,far fa-globe-americas,far fa-globe-asia,far fa-globe-europe,far fa-globe-snow,far fa-globe-stand,far fa-golf-ball,far fa-golf-club,far fa-gopuram,far fa-graduation-cap,far fa-gramophone,far fa-greater-than,far fa-greater-than-equal,far fa-grimace,far fa-grin,far fa-grin-alt,far fa-grin-beam,far fa-grin-beam-sweat,far fa-grin-hearts,far fa-grin-squint,far fa-grin-squint-tears,far fa-grin-stars,far fa-grin-tears,far fa-grin-tongue,far fa-grin-tongue-squint,far fa-grin-tongue-wink,far fa-grin-wink,far fa-grip-horizontal,far fa-grip-lines,far fa-grip-lines-vertical,far fa-grip-vertical,far fa-guitar,far fa-guitar-electric,far fa-guitars,far fa-h-square,far fa-h1,far fa-h2,far fa-h3,far fa-h4,far fa-hamburger,far fa-hammer,far fa-hammer-war,far fa-hamsa,far fa-hand-heart,far fa-hand-holding,far fa-hand-holding-box,far fa-hand-holding-heart,far fa-hand-holding-magic,far fa-hand-holding-seedling,far fa-hand-holding-usd,far fa-hand-holding-water,far fa-hand-lizard,far fa-hand-middle-finger,far fa-hand-paper,far fa-hand-peace,far fa-hand-point-down,far fa-hand-point-left,far fa-hand-point-right,far fa-hand-point-up,far fa-hand-pointer,far fa-hand-receiving,far fa-hand-rock,far fa-hand-scissors,far fa-hand-spock,far fa-hands,far fa-hands-heart,far fa-hands-helping,far fa-hands-usd,far fa-handshake,far fa-handshake-alt,far fa-hanukiah,far fa-hard-hat,far fa-hashtag,far fa-hat-chef,far fa-hat-cowboy,far fa-hat-cowboy-side,far fa-hat-santa,far fa-hat-winter,far fa-hat-witch,far fa-hat-wizard,far fa-haykal,far fa-hdd,far fa-head-side,far fa-head-side-brain,far fa-head-side-headphones,far fa-head-side-medical,far fa-head-vr,far fa-heading,far fa-headphones,far fa-headphones-alt,far fa-headset,far fa-heart,far fa-heart-broken,far fa-heart-circle,far fa-heart-rate,far fa-heart-square,far fa-heartbeat,far fa-helicopter,far fa-helmet-battle,far fa-hexagon,far fa-highlighter,far fa-hiking,far fa-hippo,far fa-history,far fa-hockey-mask,far fa-hockey-puck,far fa-hockey-sticks,far fa-holly-berry,far fa-home,far fa-home-alt,far fa-home-heart,far fa-home-lg,far fa-home-lg-alt,far fa-hood-cloak,far fa-horizontal-rule,far fa-horse,far fa-horse-head,far fa-horse-saddle,far fa-hospital,far fa-hospital-alt,far fa-hospital-symbol,far fa-hospital-user,far fa-hospitals,far fa-hot-tub,far fa-hotdog,far fa-hotel,far fa-hourglass,far fa-hourglass-end,far fa-hourglass-half,far fa-hourglass-start,far fa-house-damage,far fa-house-flood,far fa-hryvnia,far fa-humidity,far fa-hurricane,far fa-i-cursor,far fa-ice-cream,far fa-ice-skate,far fa-icicles,far fa-icons,far fa-icons-alt,far fa-id-badge,far fa-id-card,far fa-id-card-alt,far fa-igloo,far fa-image,far fa-image-polaroid,far fa-images,far fa-inbox,far fa-inbox-in,far fa-inbox-out,far fa-indent,far fa-industry,far fa-industry-alt,far fa-infinity,far fa-info,far fa-info-circle,far fa-info-square,far fa-inhaler,far fa-integral,far fa-intersection,far fa-inventory,far fa-island-tropical,far fa-italic,far fa-jack-o-lantern,far fa-jedi,far fa-joint,far fa-journal-whills,far fa-joystick,far fa-jug,far fa-kaaba,far fa-kazoo,far fa-kerning,far fa-key,far fa-key-skeleton,far fa-keyboard,far fa-keynote,far fa-khanda,far fa-kidneys,far fa-kiss,far fa-kiss-beam,far fa-kiss-wink-heart,far fa-kite,far fa-kiwi-bird,far fa-knife-kitchen,far fa-lambda,far fa-lamp,far fa-landmark,far fa-landmark-alt,far fa-language,far fa-laptop,far fa-laptop-code,far fa-laptop-medical,far fa-lasso,far fa-laugh,far fa-laugh-beam,far fa-laugh-squint,far fa-laugh-wink,far fa-layer-group,far fa-layer-minus,far fa-layer-plus,far fa-leaf,far fa-leaf-heart,far fa-leaf-maple,far fa-leaf-oak,far fa-lemon,far fa-less-than,far fa-less-than-equal,far fa-level-down,far fa-level-down-alt,far fa-level-up,far fa-level-up-alt,far fa-life-ring,far fa-lightbulb,far fa-lightbulb-dollar,far fa-lightbulb-exclamation,far fa-lightbulb-on,far fa-lightbulb-slash,far fa-lights-holiday,far fa-line-columns,far fa-line-height,far fa-link,far fa-lips,far fa-lira-sign,far fa-list,far fa-list-alt,far fa-list-music,far fa-list-ol,far fa-list-ul,far fa-location,far fa-location-arrow,far fa-location-circle,far fa-location-slash,far fa-lock,far fa-lock-alt,far fa-lock-open,far fa-lock-open-alt,far fa-long-arrow-alt-down,far fa-long-arrow-alt-left,far fa-long-arrow-alt-right,far fa-long-arrow-alt-up,far fa-long-arrow-down,far fa-long-arrow-left,far fa-long-arrow-right,far fa-long-arrow-up,far fa-loveseat,far fa-low-vision,far fa-luchador,far fa-luggage-cart,far fa-lungs,far fa-mace,far fa-magic,far fa-magnet,far fa-mail-bulk,far fa-mailbox,far fa-male,far fa-mandolin,far fa-map,far fa-map-marked,far fa-map-marked-alt,far fa-map-marker,far fa-map-marker-alt,far fa-map-marker-alt-slash,far fa-map-marker-check,far fa-map-marker-edit,far fa-map-marker-exclamation,far fa-map-marker-minus,far fa-map-marker-plus,far fa-map-marker-question,far fa-map-marker-slash,far fa-map-marker-smile,far fa-map-marker-times,far fa-map-pin,far fa-map-signs,far fa-marker,far fa-mars,far fa-mars-double,far fa-mars-stroke,far fa-mars-stroke-h,far fa-mars-stroke-v,far fa-mask,far fa-meat,far fa-medal,far fa-medkit,far fa-megaphone,far fa-meh,far fa-meh-blank,far fa-meh-rolling-eyes,far fa-memory,far fa-menorah,far fa-mercury,far fa-meteor,far fa-microchip,far fa-microphone,far fa-microphone-alt,far fa-microphone-alt-slash,far fa-microphone-slash,far fa-microphone-stand,far fa-microscope,far fa-mind-share,far fa-minus,far fa-minus-circle,far fa-minus-hexagon,far fa-minus-octagon,far fa-minus-square,far fa-mistletoe,far fa-mitten,far fa-mobile,far fa-mobile-alt,far fa-mobile-android,far fa-mobile-android-alt,far fa-money-bill,far fa-money-bill-alt,far fa-money-bill-wave,far fa-money-bill-wave-alt,far fa-money-check,far fa-money-check-alt,far fa-money-check-edit,far fa-money-check-edit-alt,far fa-monitor-heart-rate,far fa-monkey,far fa-monument,far fa-moon,far fa-moon-cloud,far fa-moon-stars,far fa-mortar-pestle,far fa-mosque,far fa-motorcycle,far fa-mountain,far fa-mountains,far fa-mouse,far fa-mouse-alt,far fa-mouse-pointer,far fa-mp3-player,far fa-mug,far fa-mug-hot,far fa-mug-marshmallows,far fa-mug-tea,far fa-music,far fa-music-alt,far fa-music-alt-slash,far fa-music-slash,far fa-narwhal,far fa-network-wired,far fa-neuter,far fa-newspaper,far fa-not-equal,far fa-notes-medical,far fa-object-group,far fa-object-ungroup,far fa-octagon,far fa-oil-can,far fa-oil-temp,far fa-om,far fa-omega,far fa-ornament,far fa-otter,far fa-outdent,far fa-overline,far fa-page-break,far fa-pager,far fa-paint-brush,far fa-paint-brush-alt,far fa-paint-roller,far fa-palette,far fa-pallet,far fa-pallet-alt,far fa-paper-plane,far fa-paperclip,far fa-parachute-box,far fa-paragraph,far fa-paragraph-rtl,far fa-parking,far fa-parking-circle,far fa-parking-circle-slash,far fa-parking-slash,far fa-passport,far fa-pastafarianism,far fa-paste,far fa-pause,far fa-pause-circle,far fa-paw,far fa-paw-alt,far fa-paw-claws,far fa-peace,far fa-pegasus,far fa-pen,far fa-pen-alt,far fa-pen-fancy,far fa-pen-nib,far fa-pen-square,far fa-pencil,far fa-pencil-alt,far fa-pencil-paintbrush,far fa-pencil-ruler,far fa-pennant,far fa-people-carry,far fa-pepper-hot,far fa-percent,far fa-percentage,far fa-person-booth,far fa-person-carry,far fa-person-dolly,far fa-person-dolly-empty,far fa-person-sign,far fa-phone,far fa-phone-alt,far fa-phone-laptop,far fa-phone-office,far fa-phone-plus,far fa-phone-rotary,far fa-phone-slash,far fa-phone-square,far fa-phone-square-alt,far fa-phone-volume,far fa-photo-video,far fa-pi,far fa-piano,far fa-piano-keyboard,far fa-pie,far fa-pig,far fa-piggy-bank,far fa-pills,far fa-pizza,far fa-pizza-slice,far fa-place-of-worship,far fa-plane,far fa-plane-alt,far fa-plane-arrival,far fa-plane-departure,far fa-play,far fa-play-circle,far fa-plug,far fa-plus,far fa-plus-circle,far fa-plus-hexagon,far fa-plus-octagon,far fa-plus-square,far fa-podcast,far fa-podium,far fa-podium-star,far fa-poll,far fa-poll-h,far fa-poll-people,far fa-poo,far fa-poo-storm,far fa-poop,far fa-popcorn,far fa-portrait,far fa-pound-sign,far fa-power-off,far fa-pray,far fa-praying-hands,far fa-prescription,far fa-prescription-bottle,far fa-prescription-bottle-alt,far fa-presentation,far fa-print,far fa-print-search,far fa-print-slash,far fa-procedures,far fa-project-diagram,far fa-projector,far fa-pumpkin,far fa-puzzle-piece,far fa-qrcode,far fa-question,far fa-question-circle,far fa-question-square,far fa-quidditch,far fa-quote-left,far fa-quote-right,far fa-quran,far fa-rabbit,far fa-rabbit-fast,far fa-racquet,far fa-radiation,far fa-radiation-alt,far fa-radio,far fa-radio-alt,far fa-rainbow,far fa-raindrops,far fa-ram,far fa-ramp-loading,far fa-random,far fa-receipt,far fa-record-vinyl,far fa-rectangle-landscape,far fa-rectangle-portrait,far fa-rectangle-wide,far fa-recycle,far fa-redo,far fa-redo-alt,far fa-registered,far fa-remove-format,far fa-repeat,far fa-repeat-1,far fa-repeat-1-alt,far fa-repeat-alt,far fa-reply,far fa-reply-all,far fa-republican,far fa-restroom,far fa-retweet,far fa-retweet-alt,far fa-ribbon,far fa-ring,far fa-rings-wedding,far fa-road,far fa-robot,far fa-rocket,far fa-route,far fa-route-highway,far fa-route-interstate,far fa-router,far fa-rss,far fa-rss-square,far fa-ruble-sign,far fa-ruler,far fa-ruler-combined,far fa-ruler-horizontal,far fa-ruler-triangle,far fa-ruler-vertical,far fa-running,far fa-rupee-sign,far fa-rv,far fa-sack,far fa-sack-dollar,far fa-sad-cry,far fa-sad-tear,far fa-salad,far fa-sandwich,far fa-satellite,far fa-satellite-dish,far fa-sausage,far fa-save,far fa-sax-hot,far fa-saxophone,far fa-scalpel,far fa-scalpel-path,far fa-scanner,far fa-scanner-image,far fa-scanner-keyboard,far fa-scanner-touchscreen,far fa-scarecrow,far fa-scarf,far fa-school,far fa-screwdriver,far fa-scroll,far fa-scroll-old,far fa-scrubber,far fa-scythe,far fa-sd-card,far fa-search,far fa-search-dollar,far fa-search-location,far fa-search-minus,far fa-search-plus,far fa-seedling,far fa-send-back,far fa-send-backward,far fa-server,far fa-shapes,far fa-share,far fa-share-all,far fa-share-alt,far fa-share-alt-square,far fa-share-square,far fa-sheep,far fa-shekel-sign,far fa-shield,far fa-shield-alt,far fa-shield-check,far fa-shield-cross,far fa-ship,far fa-shipping-fast,far fa-shipping-timed,far fa-shish-kebab,far fa-shoe-prints,far fa-shopping-bag,far fa-shopping-basket,far fa-shopping-cart,far fa-shovel,far fa-shovel-snow,far fa-shower,far fa-shredder,far fa-shuttle-van,far fa-shuttlecock,far fa-sickle,far fa-sigma,far fa-sign,far fa-sign-in,far fa-sign-in-alt,far fa-sign-language,far fa-sign-out,far fa-sign-out-alt,far fa-signal,far fa-signal-1,far fa-signal-2,far fa-signal-3,far fa-signal-4,far fa-signal-alt,far fa-signal-alt-1,far fa-signal-alt-2,far fa-signal-alt-3,far fa-signal-alt-slash,far fa-signal-slash,far fa-signal-stream,far fa-signature,far fa-sim-card,far fa-sitemap,far fa-skating,far fa-skeleton,far fa-ski-jump,far fa-ski-lift,far fa-skiing,far fa-skiing-nordic,far fa-skull,far fa-skull-cow,far fa-skull-crossbones,far fa-slash,far fa-sledding,far fa-sleigh,far fa-sliders-h,far fa-sliders-h-square,far fa-sliders-v,far fa-sliders-v-square,far fa-smile,far fa-smile-beam,far fa-smile-plus,far fa-smile-wink,far fa-smog,far fa-smoke,far fa-smoking,far fa-smoking-ban,far fa-sms,far fa-snake,far fa-snooze,far fa-snow-blowing,far fa-snowboarding,far fa-snowflake,far fa-snowflakes,far fa-snowman,far fa-snowmobile,far fa-snowplow,far fa-socks,far fa-solar-panel,far fa-sort,far fa-sort-alpha-down,far fa-sort-alpha-down-alt,far fa-sort-alpha-up,far fa-sort-alpha-up-alt,far fa-sort-alt,far fa-sort-amount-down,far fa-sort-amount-down-alt,far fa-sort-amount-up,far fa-sort-amount-up-alt,far fa-sort-down,far fa-sort-numeric-down,far fa-sort-numeric-down-alt,far fa-sort-numeric-up,far fa-sort-numeric-up-alt,far fa-sort-shapes-down,far fa-sort-shapes-down-alt,far fa-sort-shapes-up,far fa-sort-shapes-up-alt,far fa-sort-size-down,far fa-sort-size-down-alt,far fa-sort-size-up,far fa-sort-size-up-alt,far fa-sort-up,far fa-soup,far fa-spa,far fa-space-shuttle,far fa-spade,far fa-sparkles,far fa-speaker,far fa-speakers,far fa-spell-check,far fa-spider,far fa-spider-black-widow,far fa-spider-web,far fa-spinner,far fa-spinner-third,far fa-splotch,far fa-spray-can,far fa-square,far fa-square-full,far fa-square-root,far fa-square-root-alt,far fa-squirrel,far fa-staff,far fa-stamp,far fa-star,far fa-star-and-crescent,far fa-star-christmas,far fa-star-exclamation,far fa-star-half,far fa-star-half-alt,far fa-star-of-david,far fa-star-of-life,far fa-stars,far fa-steak,far fa-steering-wheel,far fa-step-backward,far fa-step-forward,far fa-stethoscope,far fa-sticky-note,far fa-stocking,far fa-stomach,far fa-stop,far fa-stop-circle,far fa-stopwatch,far fa-store,far fa-store-alt,far fa-stream,far fa-street-view,far fa-stretcher,far fa-strikethrough,far fa-stroopwafel,far fa-subscript,far fa-subway,far fa-suitcase,far fa-suitcase-rolling,far fa-sun,far fa-sun-cloud,far fa-sun-dust,far fa-sun-haze,far fa-sunglasses,far fa-sunrise,far fa-sunset,far fa-superscript,far fa-surprise,far fa-swatchbook,far fa-swimmer,far fa-swimming-pool,far fa-sword,far fa-swords,far fa-synagogue,far fa-sync,far fa-sync-alt,far fa-syringe,far fa-table,far fa-table-tennis,far fa-tablet,far fa-tablet-alt,far fa-tablet-android,far fa-tablet-android-alt,far fa-tablet-rugged,far fa-tablets,far fa-tachometer,far fa-tachometer-alt,far fa-tachometer-alt-average,far fa-tachometer-alt-fast,far fa-tachometer-alt-fastest,far fa-tachometer-alt-slow,far fa-tachometer-alt-slowest,far fa-tachometer-average,far fa-tachometer-fast,far fa-tachometer-fastest,far fa-tachometer-slow,far fa-tachometer-slowest,far fa-taco,far fa-tag,far fa-tags,far fa-tally,far fa-tanakh,far fa-tape,far fa-tasks,far fa-tasks-alt,far fa-taxi,far fa-teeth,far fa-teeth-open,far fa-temperature-frigid,far fa-temperature-high,far fa-temperature-hot,far fa-temperature-low,far fa-tenge,far fa-tennis-ball,far fa-terminal,far fa-text,far fa-text-height,far fa-text-size,far fa-text-width,far fa-th,far fa-th-large,far fa-th-list,far fa-theater-masks,far fa-thermometer,far fa-thermometer-empty,far fa-thermometer-full,far fa-thermometer-half,far fa-thermometer-quarter,far fa-thermometer-three-quarters,far fa-theta,far fa-thumbs-down,far fa-thumbs-up,far fa-thumbtack,far fa-thunderstorm,far fa-thunderstorm-moon,far fa-thunderstorm-sun,far fa-ticket,far fa-ticket-alt,far fa-tilde,far fa-times,far fa-times-circle,far fa-times-hexagon,far fa-times-octagon,far fa-times-square,far fa-tint,far fa-tint-slash,far fa-tire,far fa-tire-flat,far fa-tire-pressure-warning,far fa-tire-rugged,far fa-tired,far fa-toggle-off,far fa-toggle-on,far fa-toilet,far fa-toilet-paper,far fa-toilet-paper-alt,far fa-tombstone,far fa-tombstone-alt,far fa-toolbox,far fa-tools,far fa-tooth,far fa-toothbrush,far fa-torah,far fa-torii-gate,far fa-tornado,far fa-tractor,far fa-trademark,far fa-traffic-cone,far fa-traffic-light,far fa-traffic-light-go,far fa-traffic-light-slow,far fa-traffic-light-stop,far fa-train,far fa-tram,far fa-transgender,far fa-transgender-alt,far fa-trash,far fa-trash-alt,far fa-trash-restore,far fa-trash-restore-alt,far fa-trash-undo,far fa-trash-undo-alt,far fa-treasure-chest,far fa-tree,far fa-tree-alt,far fa-tree-christmas,far fa-tree-decorated,far fa-tree-large,far fa-tree-palm,far fa-trees,far fa-triangle,far fa-triangle-music,far fa-trophy,far fa-trophy-alt,far fa-truck,far fa-truck-container,far fa-truck-couch,far fa-truck-loading,far fa-truck-monster,far fa-truck-moving,far fa-truck-pickup,far fa-truck-plow,far fa-truck-ramp,far fa-trumpet,far fa-tshirt,far fa-tty,far fa-turkey,far fa-turntable,far fa-turtle,far fa-tv,far fa-tv-alt,far fa-tv-music,far fa-tv-retro,far fa-typewriter,far fa-umbrella,far fa-umbrella-beach,far fa-underline,far fa-undo,far fa-undo-alt,far fa-unicorn,far fa-union,far fa-universal-access,far fa-university,far fa-unlink,far fa-unlock,far fa-unlock-alt,far fa-upload,far fa-usb-drive,far fa-usd-circle,far fa-usd-square,far fa-user,far fa-user-alt,far fa-user-alt-slash,far fa-user-astronaut,far fa-user-chart,far fa-user-check,far fa-user-circle,far fa-user-clock,far fa-user-cog,far fa-user-cowboy,far fa-user-crown,far fa-user-edit,far fa-user-friends,far fa-user-graduate,far fa-user-hard-hat,far fa-user-headset,far fa-user-injured,far fa-user-lock,far fa-user-md,far fa-user-md-chat,far fa-user-minus,far fa-user-music,far fa-user-ninja,far fa-user-nurse,far fa-user-plus,far fa-user-secret,far fa-user-shield,far fa-user-slash,far fa-user-tag,far fa-user-tie,far fa-user-times,far fa-users,far fa-users-class,far fa-users-cog,far fa-users-crown,far fa-users-medical,far fa-utensil-fork,far fa-utensil-knife,far fa-utensil-spoon,far fa-utensils,far fa-utensils-alt,far fa-value-absolute,far fa-vector-square,far fa-venus,far fa-venus-double,far fa-venus-mars,far fa-vhs,far fa-vial,far fa-vials,far fa-video,far fa-video-plus,far fa-video-slash,far fa-vihara,far fa-violin,far fa-voicemail,far fa-volcano,far fa-volleyball-ball,far fa-volume,far fa-volume-down,far fa-volume-mute,far fa-volume-off,far fa-volume-slash,far fa-volume-up,far fa-vote-nay,far fa-vote-yea,far fa-vr-cardboard,far fa-wagon-covered,far fa-walker,far fa-walkie-talkie,far fa-walking,far fa-wallet,far fa-wand,far fa-wand-magic,far fa-warehouse,far fa-warehouse-alt,far fa-washer,far fa-watch,far fa-watch-calculator,far fa-watch-fitness,far fa-water,far fa-water-lower,far fa-water-rise,far fa-wave-sine,far fa-wave-square,far fa-wave-triangle,far fa-waveform,far fa-waveform-path,far fa-webcam,far fa-webcam-slash,far fa-weight,far fa-weight-hanging,far fa-whale,far fa-wheat,far fa-wheelchair,far fa-whistle,far fa-wifi,far fa-wifi-1,far fa-wifi-2,far fa-wifi-slash,far fa-wind,far fa-wind-turbine,far fa-wind-warning,far fa-window,far fa-window-alt,far fa-window-close,far fa-window-maximize,far fa-window-minimize,far fa-window-restore,far fa-windsock,far fa-wine-bottle,far fa-wine-glass,far fa-wine-glass-alt,far fa-won-sign,far fa-wreath,far fa-wrench,far fa-x-ray,far fa-yen-sign,far fa-yin-yang');
    $fontawesomeFiveIconsLight = array('fal fa-abacus,fal fa-acorn,fal fa-ad,fal fa-address-book,fal fa-address-card,fal fa-adjust,fal fa-air-freshener,fal fa-alarm-clock,fal fa-alarm-exclamation,fal fa-alarm-plus,fal fa-alarm-snooze,fal fa-album,fal fa-album-collection,fal fa-alicorn,fal fa-align-center,fal fa-align-justify,fal fa-align-left,fal fa-align-right,fal fa-align-slash,fal fa-allergies,fal fa-ambulance,fal fa-american-sign-language-interpreting,fal fa-amp-guitar,fal fa-analytics,fal fa-anchor,fal fa-angel,fal fa-angle-double-down,fal fa-angle-double-left,fal fa-angle-double-right,fal fa-angle-double-up,fal fa-angle-down,fal fa-angle-left,fal fa-angle-right,fal fa-angle-up,fal fa-angry,fal fa-ankh,fal fa-apple-alt,fal fa-apple-crate,fal fa-archive,fal fa-archway,fal fa-arrow-alt-circle-down,fal fa-arrow-alt-circle-left,fal fa-arrow-alt-circle-right,fal fa-arrow-alt-circle-up,fal fa-arrow-alt-down,fal fa-arrow-alt-from-bottom,fal fa-arrow-alt-from-left,fal fa-arrow-alt-from-right,fal fa-arrow-alt-from-top,fal fa-arrow-alt-left,fal fa-arrow-alt-right,fal fa-arrow-alt-square-down,fal fa-arrow-alt-square-left,fal fa-arrow-alt-square-right,fal fa-arrow-alt-square-up,fal fa-arrow-alt-to-bottom,fal fa-arrow-alt-to-left,fal fa-arrow-alt-to-right,fal fa-arrow-alt-to-top,fal fa-arrow-alt-up,fal fa-arrow-circle-down,fal fa-arrow-circle-left,fal fa-arrow-circle-right,fal fa-arrow-circle-up,fal fa-arrow-down,fal fa-arrow-from-bottom,fal fa-arrow-from-left,fal fa-arrow-from-right,fal fa-arrow-from-top,fal fa-arrow-left,fal fa-arrow-right,fal fa-arrow-square-down,fal fa-arrow-square-left,fal fa-arrow-square-right,fal fa-arrow-square-up,fal fa-arrow-to-bottom,fal fa-arrow-to-left,fal fa-arrow-to-right,fal fa-arrow-to-top,fal fa-arrow-up,fal fa-arrows,fal fa-arrows-alt,fal fa-arrows-alt-h,fal fa-arrows-alt-v,fal fa-arrows-h,fal fa-arrows-v,fal fa-assistive-listening-systems,fal fa-asterisk,fal fa-at,fal fa-atlas,fal fa-atom,fal fa-atom-alt,fal fa-audio-description,fal fa-award,fal fa-axe,fal fa-axe-battle,fal fa-baby,fal fa-baby-carriage,fal fa-backpack,fal fa-backspace,fal fa-backward,fal fa-bacon,fal fa-badge,fal fa-badge-check,fal fa-badge-dollar,fal fa-badge-percent,fal fa-badge-sheriff,fal fa-badger-honey,fal fa-bags-shopping,fal fa-balance-scale,fal fa-balance-scale-left,fal fa-balance-scale-right,fal fa-ball-pile,fal fa-ballot,fal fa-ballot-check,fal fa-ban,fal fa-band-aid,fal fa-banjo,fal fa-barcode,fal fa-barcode-alt,fal fa-barcode-read,fal fa-barcode-scan,fal fa-bars,fal fa-baseball,fal fa-baseball-ball,fal fa-basketball-ball,fal fa-basketball-hoop,fal fa-bat,fal fa-bath,fal fa-battery-bolt,fal fa-battery-empty,fal fa-battery-full,fal fa-battery-half,fal fa-battery-quarter,fal fa-battery-slash,fal fa-battery-three-quarters,fal fa-bed,fal fa-beer,fal fa-bell,fal fa-bell-exclamation,fal fa-bell-plus,fal fa-bell-school,fal fa-bell-school-slash,fal fa-bell-slash,fal fa-bells,fal fa-betamax,fal fa-bezier-curve,fal fa-bible,fal fa-bicycle,fal fa-biking,fal fa-biking-mountain,fal fa-binoculars,fal fa-biohazard,fal fa-birthday-cake,fal fa-blanket,fal fa-blender,fal fa-blender-phone,fal fa-blind,fal fa-blog,fal fa-bold,fal fa-bolt,fal fa-bomb,fal fa-bone,fal fa-bone-break,fal fa-bong,fal fa-book,fal fa-book-alt,fal fa-book-dead,fal fa-book-heart,fal fa-book-medical,fal fa-book-open,fal fa-book-reader,fal fa-book-spells,fal fa-book-user,fal fa-bookmark,fal fa-books,fal fa-books-medical,fal fa-boombox,fal fa-boot,fal fa-booth-curtain,fal fa-border-all,fal fa-border-bottom,fal fa-border-center-h,fal fa-border-center-v,fal fa-border-inner,fal fa-border-left,fal fa-border-none,fal fa-border-outer,fal fa-border-right,fal fa-border-style,fal fa-border-style-alt,fal fa-border-top,fal fa-bow-arrow,fal fa-bowling-ball,fal fa-bowling-pins,fal fa-box,fal fa-box-alt,fal fa-box-ballot,fal fa-box-check,fal fa-box-fragile,fal fa-box-full,fal fa-box-heart,fal fa-box-open,fal fa-box-up,fal fa-box-usd,fal fa-boxes,fal fa-boxes-alt,fal fa-boxing-glove,fal fa-brackets,fal fa-brackets-curly,fal fa-braille,fal fa-brain,fal fa-bread-loaf,fal fa-bread-slice,fal fa-briefcase,fal fa-briefcase-medical,fal fa-bring-forward,fal fa-bring-front,fal fa-broadcast-tower,fal fa-broom,fal fa-browser,fal fa-brush,fal fa-bug,fal fa-building,fal fa-bullhorn,fal fa-bullseye,fal fa-bullseye-arrow,fal fa-bullseye-pointer,fal fa-burger-soda,fal fa-burn,fal fa-burrito,fal fa-bus,fal fa-bus-alt,fal fa-bus-school,fal fa-business-time,fal fa-cabinet-filing,fal fa-cactus,fal fa-calculator,fal fa-calculator-alt,fal fa-calendar,fal fa-calendar-alt,fal fa-calendar-check,fal fa-calendar-day,fal fa-calendar-edit,fal fa-calendar-exclamation,fal fa-calendar-minus,fal fa-calendar-plus,fal fa-calendar-star,fal fa-calendar-times,fal fa-calendar-week,fal fa-camcorder,fal fa-camera,fal fa-camera-alt,fal fa-camera-movie,fal fa-camera-polaroid,fal fa-camera-retro,fal fa-campfire,fal fa-campground,fal fa-candle-holder,fal fa-candy-cane,fal fa-candy-corn,fal fa-cannabis,fal fa-capsules,fal fa-car,fal fa-car-alt,fal fa-car-battery,fal fa-car-building,fal fa-car-bump,fal fa-car-bus,fal fa-car-crash,fal fa-car-garage,fal fa-car-mechanic,fal fa-car-side,fal fa-car-tilt,fal fa-car-wash,fal fa-caret-circle-down,fal fa-caret-circle-left,fal fa-caret-circle-right,fal fa-caret-circle-up,fal fa-caret-down,fal fa-caret-left,fal fa-caret-right,fal fa-caret-square-down,fal fa-caret-square-left,fal fa-caret-square-right,fal fa-caret-square-up,fal fa-caret-up,fal fa-carrot,fal fa-cars,fal fa-cart-arrow-down,fal fa-cart-plus,fal fa-cash-register,fal fa-cassette-tape,fal fa-cat,fal fa-cauldron,fal fa-cctv,fal fa-certificate,fal fa-chair,fal fa-chair-office,fal fa-chalkboard,fal fa-chalkboard-teacher,fal fa-charging-station,fal fa-chart-area,fal fa-chart-bar,fal fa-chart-line,fal fa-chart-line-down,fal fa-chart-network,fal fa-chart-pie,fal fa-chart-pie-alt,fal fa-chart-scatter,fal fa-check,fal fa-check-circle,fal fa-check-double,fal fa-check-square,fal fa-cheese,fal fa-cheese-swiss,fal fa-cheeseburger,fal fa-chess,fal fa-chess-bishop,fal fa-chess-bishop-alt,fal fa-chess-board,fal fa-chess-clock,fal fa-chess-clock-alt,fal fa-chess-king,fal fa-chess-king-alt,fal fa-chess-knight,fal fa-chess-knight-alt,fal fa-chess-pawn,fal fa-chess-pawn-alt,fal fa-chess-queen,fal fa-chess-queen-alt,fal fa-chess-rook,fal fa-chess-rook-alt,fal fa-chevron-circle-down,fal fa-chevron-circle-left,fal fa-chevron-circle-right,fal fa-chevron-circle-up,fal fa-chevron-double-down,fal fa-chevron-double-left,fal fa-chevron-double-right,fal fa-chevron-double-up,fal fa-chevron-down,fal fa-chevron-left,fal fa-chevron-right,fal fa-chevron-square-down,fal fa-chevron-square-left,fal fa-chevron-square-right,fal fa-chevron-square-up,fal fa-chevron-up,fal fa-child,fal fa-chimney,fal fa-church,fal fa-circle,fal fa-circle-notch,fal fa-city,fal fa-clarinet,fal fa-claw-marks,fal fa-clinic-medical,fal fa-clipboard,fal fa-clipboard-check,fal fa-clipboard-list,fal fa-clipboard-list-check,fal fa-clipboard-prescription,fal fa-clipboard-user,fal fa-clock,fal fa-clone,fal fa-closed-captioning,fal fa-cloud,fal fa-cloud-download,fal fa-cloud-download-alt,fal fa-cloud-drizzle,fal fa-cloud-hail,fal fa-cloud-hail-mixed,fal fa-cloud-meatball,fal fa-cloud-moon,fal fa-cloud-moon-rain,fal fa-cloud-music,fal fa-cloud-rain,fal fa-cloud-rainbow,fal fa-cloud-showers,fal fa-cloud-showers-heavy,fal fa-cloud-sleet,fal fa-cloud-snow,fal fa-cloud-sun,fal fa-cloud-sun-rain,fal fa-cloud-upload,fal fa-cloud-upload-alt,fal fa-clouds,fal fa-clouds-moon,fal fa-clouds-sun,fal fa-club,fal fa-cocktail,fal fa-code,fal fa-code-branch,fal fa-code-commit,fal fa-code-merge,fal fa-coffee,fal fa-coffee-togo,fal fa-coffin,fal fa-cog,fal fa-cogs,fal fa-coin,fal fa-coins,fal fa-columns,fal fa-comment,fal fa-comment-alt,fal fa-comment-alt-check,fal fa-comment-alt-dollar,fal fa-comment-alt-dots,fal fa-comment-alt-edit,fal fa-comment-alt-exclamation,fal fa-comment-alt-lines,fal fa-comment-alt-medical,fal fa-comment-alt-minus,fal fa-comment-alt-music,fal fa-comment-alt-plus,fal fa-comment-alt-slash,fal fa-comment-alt-smile,fal fa-comment-alt-times,fal fa-comment-check,fal fa-comment-dollar,fal fa-comment-dots,fal fa-comment-edit,fal fa-comment-exclamation,fal fa-comment-lines,fal fa-comment-medical,fal fa-comment-minus,fal fa-comment-music,fal fa-comment-plus,fal fa-comment-slash,fal fa-comment-smile,fal fa-comment-times,fal fa-comments,fal fa-comments-alt,fal fa-comments-alt-dollar,fal fa-comments-dollar,fal fa-compact-disc,fal fa-compass,fal fa-compass-slash,fal fa-compress,fal fa-compress-alt,fal fa-compress-arrows-alt,fal fa-compress-wide,fal fa-computer-classic,fal fa-computer-speaker,fal fa-concierge-bell,fal fa-construction,fal fa-container-storage,fal fa-conveyor-belt,fal fa-conveyor-belt-alt,fal fa-cookie,fal fa-cookie-bite,fal fa-copy,fal fa-copyright,fal fa-corn,fal fa-couch,fal fa-cow,fal fa-cowbell,fal fa-cowbell-more,fal fa-credit-card,fal fa-credit-card-blank,fal fa-credit-card-front,fal fa-cricket,fal fa-croissant,fal fa-crop,fal fa-crop-alt,fal fa-cross,fal fa-crosshairs,fal fa-crow,fal fa-crown,fal fa-crutch,fal fa-crutches,fal fa-cube,fal fa-cubes,fal fa-curling,fal fa-cut,fal fa-dagger,fal fa-database,fal fa-deaf,fal fa-debug,fal fa-deer,fal fa-deer-rudolph,fal fa-democrat,fal fa-desktop,fal fa-desktop-alt,fal fa-dewpoint,fal fa-dharmachakra,fal fa-diagnoses,fal fa-diamond,fal fa-dice,fal fa-dice-d10,fal fa-dice-d12,fal fa-dice-d20,fal fa-dice-d4,fal fa-dice-d6,fal fa-dice-d8,fal fa-dice-five,fal fa-dice-four,fal fa-dice-one,fal fa-dice-six,fal fa-dice-three,fal fa-dice-two,fal fa-digging,fal fa-digital-tachograph,fal fa-diploma,fal fa-directions,fal fa-disc-drive,fal fa-disease,fal fa-divide,fal fa-dizzy,fal fa-dna,fal fa-do-not-enter,fal fa-dog,fal fa-dog-leashed,fal fa-dollar-sign,fal fa-dolly,fal fa-dolly-empty,fal fa-dolly-flatbed,fal fa-dolly-flatbed-alt,fal fa-dolly-flatbed-empty,fal fa-donate,fal fa-door-closed,fal fa-door-open,fal fa-dot-circle,fal fa-dove,fal fa-download,fal fa-drafting-compass,fal fa-dragon,fal fa-draw-circle,fal fa-draw-polygon,fal fa-draw-square,fal fa-dreidel,fal fa-drone,fal fa-drone-alt,fal fa-drum,fal fa-drum-steelpan,fal fa-drumstick,fal fa-drumstick-bite,fal fa-dryer,fal fa-dryer-alt,fal fa-duck,fal fa-dumbbell,fal fa-dumpster,fal fa-dumpster-fire,fal fa-dungeon,fal fa-ear,fal fa-ear-muffs,fal fa-eclipse,fal fa-eclipse-alt,fal fa-edit,fal fa-egg,fal fa-egg-fried,fal fa-eject,fal fa-elephant,fal fa-ellipsis-h,fal fa-ellipsis-h-alt,fal fa-ellipsis-v,fal fa-ellipsis-v-alt,fal fa-empty-set,fal fa-engine-warning,fal fa-envelope,fal fa-envelope-open,fal fa-envelope-open-dollar,fal fa-envelope-open-text,fal fa-envelope-square,fal fa-equals,fal fa-eraser,fal fa-ethernet,fal fa-euro-sign,fal fa-exchange,fal fa-exchange-alt,fal fa-exclamation,fal fa-exclamation-circle,fal fa-exclamation-square,fal fa-exclamation-triangle,fal fa-expand,fal fa-expand-alt,fal fa-expand-arrows,fal fa-expand-arrows-alt,fal fa-expand-wide,fal fa-external-link,fal fa-external-link-alt,fal fa-external-link-square,fal fa-external-link-square-alt,fal fa-eye,fal fa-eye-dropper,fal fa-eye-evil,fal fa-eye-slash,fal fa-fan,fal fa-farm,fal fa-fast-backward,fal fa-fast-forward,fal fa-fax,fal fa-feather,fal fa-feather-alt,fal fa-female,fal fa-field-hockey,fal fa-fighter-jet,fal fa-file,fal fa-file-alt,fal fa-file-archive,fal fa-file-audio,fal fa-file-certificate,fal fa-file-chart-line,fal fa-file-chart-pie,fal fa-file-check,fal fa-file-code,fal fa-file-contract,fal fa-file-csv,fal fa-file-download,fal fa-file-edit,fal fa-file-excel,fal fa-file-exclamation,fal fa-file-export,fal fa-file-image,fal fa-file-import,fal fa-file-invoice,fal fa-file-invoice-dollar,fal fa-file-medical,fal fa-file-medical-alt,fal fa-file-minus,fal fa-file-music,fal fa-file-pdf,fal fa-file-plus,fal fa-file-powerpoint,fal fa-file-prescription,fal fa-file-search,fal fa-file-signature,fal fa-file-spreadsheet,fal fa-file-times,fal fa-file-upload,fal fa-file-user,fal fa-file-video,fal fa-file-word,fal fa-files-medical,fal fa-fill,fal fa-fill-drip,fal fa-film,fal fa-film-alt,fal fa-film-canister,fal fa-filter,fal fa-fingerprint,fal fa-fire,fal fa-fire-alt,fal fa-fire-extinguisher,fal fa-fire-smoke,fal fa-fireplace,fal fa-first-aid,fal fa-fish,fal fa-fish-cooked,fal fa-fist-raised,fal fa-flag,fal fa-flag-alt,fal fa-flag-checkered,fal fa-flag-usa,fal fa-flame,fal fa-flashlight,fal fa-flask,fal fa-flask-poison,fal fa-flask-potion,fal fa-flower,fal fa-flower-daffodil,fal fa-flower-tulip,fal fa-flushed,fal fa-flute,fal fa-flux-capacitor,fal fa-fog,fal fa-folder,fal fa-folder-minus,fal fa-folder-open,fal fa-folder-plus,fal fa-folder-times,fal fa-folder-tree,fal fa-folders,fal fa-font,fal fa-font-case,fal fa-football-ball,fal fa-football-helmet,fal fa-forklift,fal fa-forward,fal fa-fragile,fal fa-french-fries,fal fa-frog,fal fa-frosty-head,fal fa-frown,fal fa-frown-open,fal fa-function,fal fa-funnel-dollar,fal fa-futbol,fal fa-game-board,fal fa-game-board-alt,fal fa-game-console-handheld,fal fa-gamepad,fal fa-gamepad-alt,fal fa-gas-pump,fal fa-gas-pump-slash,fal fa-gavel,fal fa-gem,fal fa-genderless,fal fa-ghost,fal fa-gift,fal fa-gift-card,fal fa-gifts,fal fa-gingerbread-man,fal fa-glass,fal fa-glass-champagne,fal fa-glass-cheers,fal fa-glass-citrus,fal fa-glass-martini,fal fa-glass-martini-alt,fal fa-glass-whiskey,fal fa-glass-whiskey-rocks,fal fa-glasses,fal fa-glasses-alt,fal fa-globe,fal fa-globe-africa,fal fa-globe-americas,fal fa-globe-asia,fal fa-globe-europe,fal fa-globe-snow,fal fa-globe-stand,fal fa-golf-ball,fal fa-golf-club,fal fa-gopuram,fal fa-graduation-cap,fal fa-gramophone,fal fa-greater-than,fal fa-greater-than-equal,fal fa-grimace,fal fa-grin,fal fa-grin-alt,fal fa-grin-beam,fal fa-grin-beam-sweat,fal fa-grin-hearts,fal fa-grin-squint,fal fa-grin-squint-tears,fal fa-grin-stars,fal fa-grin-tears,fal fa-grin-tongue,fal fa-grin-tongue-squint,fal fa-grin-tongue-wink,fal fa-grin-wink,fal fa-grip-horizontal,fal fa-grip-lines,fal fa-grip-lines-vertical,fal fa-grip-vertical,fal fa-guitar,fal fa-guitar-electric,fal fa-guitars,fal fa-h-square,fal fa-h1,fal fa-h2,fal fa-h3,fal fa-h4,fal fa-hamburger,fal fa-hammer,fal fa-hammer-war,fal fa-hamsa,fal fa-hand-heart,fal fa-hand-holding,fal fa-hand-holding-box,fal fa-hand-holding-heart,fal fa-hand-holding-magic,fal fa-hand-holding-seedling,fal fa-hand-holding-usd,fal fa-hand-holding-water,fal fa-hand-lizard,fal fa-hand-middle-finger,fal fa-hand-paper,fal fa-hand-peace,fal fa-hand-point-down,fal fa-hand-point-left,fal fa-hand-point-right,fal fa-hand-point-up,fal fa-hand-pointer,fal fa-hand-receiving,fal fa-hand-rock,fal fa-hand-scissors,fal fa-hand-spock,fal fa-hands,fal fa-hands-heart,fal fa-hands-helping,fal fa-hands-usd,fal fa-handshake,fal fa-handshake-alt,fal fa-hanukiah,fal fa-hard-hat,fal fa-hashtag,fal fa-hat-chef,fal fa-hat-cowboy,fal fa-hat-cowboy-side,fal fa-hat-santa,fal fa-hat-winter,fal fa-hat-witch,fal fa-hat-wizard,fal fa-haykal,fal fa-hdd,fal fa-head-side,fal fa-head-side-brain,fal fa-head-side-headphones,fal fa-head-side-medical,fal fa-head-vr,fal fa-heading,fal fa-headphones,fal fa-headphones-alt,fal fa-headset,fal fa-heart,fal fa-heart-broken,fal fa-heart-circle,fal fa-heart-rate,fal fa-heart-square,fal fa-heartbeat,fal fa-helicopter,fal fa-helmet-battle,fal fa-hexagon,fal fa-highlighter,fal fa-hiking,fal fa-hippo,fal fa-history,fal fa-hockey-mask,fal fa-hockey-puck,fal fa-hockey-sticks,fal fa-holly-berry,fal fa-home,fal fa-home-alt,fal fa-home-heart,fal fa-home-lg,fal fa-home-lg-alt,fal fa-hood-cloak,fal fa-horizontal-rule,fal fa-horse,fal fa-horse-head,fal fa-horse-saddle,fal fa-hospital,fal fa-hospital-alt,fal fa-hospital-symbol,fal fa-hospital-user,fal fa-hospitals,fal fa-hot-tub,fal fa-hotdog,fal fa-hotel,fal fa-hourglass,fal fa-hourglass-end,fal fa-hourglass-half,fal fa-hourglass-start,fal fa-house-damage,fal fa-house-flood,fal fa-hryvnia,fal fa-humidity,fal fa-hurricane,fal fa-i-cursor,fal fa-ice-cream,fal fa-ice-skate,fal fa-icicles,fal fa-icons,fal fa-icons-alt,fal fa-id-badge,fal fa-id-card,fal fa-id-card-alt,fal fa-igloo,fal fa-image,fal fa-image-polaroid,fal fa-images,fal fa-inbox,fal fa-inbox-in,fal fa-inbox-out,fal fa-indent,fal fa-industry,fal fa-industry-alt,fal fa-infinity,fal fa-info,fal fa-info-circle,fal fa-info-square,fal fa-inhaler,fal fa-integral,fal fa-intersection,fal fa-inventory,fal fa-island-tropical,fal fa-italic,fal fa-jack-o-lantern,fal fa-jedi,fal fa-joint,fal fa-journal-whills,fal fa-joystick,fal fa-jug,fal fa-kaaba,fal fa-kazoo,fal fa-kerning,fal fa-key,fal fa-key-skeleton,fal fa-keyboard,fal fa-keynote,fal fa-khanda,fal fa-kidneys,fal fa-kiss,fal fa-kiss-beam,fal fa-kiss-wink-heart,fal fa-kite,fal fa-kiwi-bird,fal fa-knife-kitchen,fal fa-lambda,fal fa-lamp,fal fa-landmark,fal fa-landmark-alt,fal fa-language,fal fa-laptop,fal fa-laptop-code,fal fa-laptop-medical,fal fa-lasso,fal fa-laugh,fal fa-laugh-beam,fal fa-laugh-squint,fal fa-laugh-wink,fal fa-layer-group,fal fa-layer-minus,fal fa-layer-plus,fal fa-leaf,fal fa-leaf-heart,fal fa-leaf-maple,fal fa-leaf-oak,fal fa-lemon,fal fa-less-than,fal fa-less-than-equal,fal fa-level-down,fal fa-level-down-alt,fal fa-level-up,fal fa-level-up-alt,fal fa-life-ring,fal fa-lightbulb,fal fa-lightbulb-dollar,fal fa-lightbulb-exclamation,fal fa-lightbulb-on,fal fa-lightbulb-slash,fal fa-lights-holiday,fal fa-line-columns,fal fa-line-height,fal fa-link,fal fa-lips,fal fa-lira-sign,fal fa-list,fal fa-list-alt,fal fa-list-music,fal fa-list-ol,fal fa-list-ul,fal fa-location,fal fa-location-arrow,fal fa-location-circle,fal fa-location-slash,fal fa-lock,fal fa-lock-alt,fal fa-lock-open,fal fa-lock-open-alt,fal fa-long-arrow-alt-down,fal fa-long-arrow-alt-left,fal fa-long-arrow-alt-right,fal fa-long-arrow-alt-up,fal fa-long-arrow-down,fal fa-long-arrow-left,fal fa-long-arrow-right,fal fa-long-arrow-up,fal fa-loveseat,fal fa-low-vision,fal fa-luchador,fal fa-luggage-cart,fal fa-lungs,fal fa-mace,fal fa-magic,fal fa-magnet,fal fa-mail-bulk,fal fa-mailbox,fal fa-male,fal fa-mandolin,fal fa-map,fal fa-map-marked,fal fa-map-marked-alt,fal fa-map-marker,fal fa-map-marker-alt,fal fa-map-marker-alt-slash,fal fa-map-marker-check,fal fa-map-marker-edit,fal fa-map-marker-exclamation,fal fa-map-marker-minus,fal fa-map-marker-plus,fal fa-map-marker-question,fal fa-map-marker-slash,fal fa-map-marker-smile,fal fa-map-marker-times,fal fa-map-pin,fal fa-map-signs,fal fa-marker,fal fa-mars,fal fa-mars-double,fal fa-mars-stroke,fal fa-mars-stroke-h,fal fa-mars-stroke-v,fal fa-mask,fal fa-meat,fal fa-medal,fal fa-medkit,fal fa-megaphone,fal fa-meh,fal fa-meh-blank,fal fa-meh-rolling-eyes,fal fa-memory,fal fa-menorah,fal fa-mercury,fal fa-meteor,fal fa-microchip,fal fa-microphone,fal fa-microphone-alt,fal fa-microphone-alt-slash,fal fa-microphone-slash,fal fa-microphone-stand,fal fa-microscope,fal fa-mind-share,fal fa-minus,fal fa-minus-circle,fal fa-minus-hexagon,fal fa-minus-octagon,fal fa-minus-square,fal fa-mistletoe,fal fa-mitten,fal fa-mobile,fal fa-mobile-alt,fal fa-mobile-android,fal fa-mobile-android-alt,fal fa-money-bill,fal fa-money-bill-alt,fal fa-money-bill-wave,fal fa-money-bill-wave-alt,fal fa-money-check,fal fa-money-check-alt,fal fa-money-check-edit,fal fa-money-check-edit-alt,fal fa-monitor-heart-rate,fal fa-monkey,fal fa-monument,fal fa-moon,fal fa-moon-cloud,fal fa-moon-stars,fal fa-mortar-pestle,fal fa-mosque,fal fa-motorcycle,fal fa-mountain,fal fa-mountains,fal fa-mouse,fal fa-mouse-alt,fal fa-mouse-pointer,fal fa-mp3-player,fal fa-mug,fal fa-mug-hot,fal fa-mug-marshmallows,fal fa-mug-tea,fal fa-music,fal fa-music-alt,fal fa-music-alt-slash,fal fa-music-slash,fal fa-narwhal,fal fa-network-wired,fal fa-neuter,fal fa-newspaper,fal fa-not-equal,fal fa-notes-medical,fal fa-object-group,fal fa-object-ungroup,fal fa-octagon,fal fa-oil-can,fal fa-oil-temp,fal fa-om,fal fa-omega,fal fa-ornament,fal fa-otter,fal fa-outdent,fal fa-overline,fal fa-page-break,fal fa-pager,fal fa-paint-brush,fal fa-paint-brush-alt,fal fa-paint-roller,fal fa-palette,fal fa-pallet,fal fa-pallet-alt,fal fa-paper-plane,fal fa-paperclip,fal fa-parachute-box,fal fa-paragraph,fal fa-paragraph-rtl,fal fa-parking,fal fa-parking-circle,fal fa-parking-circle-slash,fal fa-parking-slash,fal fa-passport,fal fa-pastafarianism,fal fa-paste,fal fa-pause,fal fa-pause-circle,fal fa-paw,fal fa-paw-alt,fal fa-paw-claws,fal fa-peace,fal fa-pegasus,fal fa-pen,fal fa-pen-alt,fal fa-pen-fancy,fal fa-pen-nib,fal fa-pen-square,fal fa-pencil,fal fa-pencil-alt,fal fa-pencil-paintbrush,fal fa-pencil-ruler,fal fa-pennant,fal fa-people-carry,fal fa-pepper-hot,fal fa-percent,fal fa-percentage,fal fa-person-booth,fal fa-person-carry,fal fa-person-dolly,fal fa-person-dolly-empty,fal fa-person-sign,fal fa-phone,fal fa-phone-alt,fal fa-phone-laptop,fal fa-phone-office,fal fa-phone-plus,fal fa-phone-rotary,fal fa-phone-slash,fal fa-phone-square,fal fa-phone-square-alt,fal fa-phone-volume,fal fa-photo-video,fal fa-pi,fal fa-piano,fal fa-piano-keyboard,fal fa-pie,fal fa-pig,fal fa-piggy-bank,fal fa-pills,fal fa-pizza,fal fa-pizza-slice,fal fa-place-of-worship,fal fa-plane,fal fa-plane-alt,fal fa-plane-arrival,fal fa-plane-departure,fal fa-play,fal fa-play-circle,fal fa-plug,fal fa-plus,fal fa-plus-circle,fal fa-plus-hexagon,fal fa-plus-octagon,fal fa-plus-square,fal fa-podcast,fal fa-podium,fal fa-podium-star,fal fa-poll,fal fa-poll-h,fal fa-poll-people,fal fa-poo,fal fa-poo-storm,fal fa-poop,fal fa-popcorn,fal fa-portrait,fal fa-pound-sign,fal fa-power-off,fal fa-pray,fal fa-praying-hands,fal fa-prescription,fal fa-prescription-bottle,fal fa-prescription-bottle-alt,fal fa-presentation,fal fa-print,fal fa-print-search,fal fa-print-slash,fal fa-procedures,fal fa-project-diagram,fal fa-projector,fal fa-pumpkin,fal fa-puzzle-piece,fal fa-qrcode,fal fa-question,fal fa-question-circle,fal fa-question-square,fal fa-quidditch,fal fa-quote-left,fal fa-quote-right,fal fa-quran,fal fa-rabbit,fal fa-rabbit-fast,fal fa-racquet,fal fa-radiation,fal fa-radiation-alt,fal fa-radio,fal fa-radio-alt,fal fa-rainbow,fal fa-raindrops,fal fa-ram,fal fa-ramp-loading,fal fa-random,fal fa-receipt,fal fa-record-vinyl,fal fa-rectangle-landscape,fal fa-rectangle-portrait,fal fa-rectangle-wide,fal fa-recycle,fal fa-redo,fal fa-redo-alt,fal fa-registered,fal fa-remove-format,fal fa-repeat,fal fa-repeat-1,fal fa-repeat-1-alt,fal fa-repeat-alt,fal fa-reply,fal fa-reply-all,fal fa-republican,fal fa-restroom,fal fa-retweet,fal fa-retweet-alt,fal fa-ribbon,fal fa-ring,fal fa-rings-wedding,fal fa-road,fal fa-robot,fal fa-rocket,fal fa-route,fal fa-route-highway,fal fa-route-interstate,fal fa-router,fal fa-rss,fal fa-rss-square,fal fa-ruble-sign,fal fa-ruler,fal fa-ruler-combined,fal fa-ruler-horizontal,fal fa-ruler-triangle,fal fa-ruler-vertical,fal fa-running,fal fa-rupee-sign,fal fa-rv,fal fa-sack,fal fa-sack-dollar,fal fa-sad-cry,fal fa-sad-tear,fal fa-salad,fal fa-sandwich,fal fa-satellite,fal fa-satellite-dish,fal fa-sausage,fal fa-save,fal fa-sax-hot,fal fa-saxophone,fal fa-scalpel,fal fa-scalpel-path,fal fa-scanner,fal fa-scanner-image,fal fa-scanner-keyboard,fal fa-scanner-touchscreen,fal fa-scarecrow,fal fa-scarf,fal fa-school,fal fa-screwdriver,fal fa-scroll,fal fa-scroll-old,fal fa-scrubber,fal fa-scythe,fal fa-sd-card,fal fa-search,fal fa-search-dollar,fal fa-search-location,fal fa-search-minus,fal fa-search-plus,fal fa-seedling,fal fa-send-back,fal fa-send-backward,fal fa-server,fal fa-shapes,fal fa-share,fal fa-share-all,fal fa-share-alt,fal fa-share-alt-square,fal fa-share-square,fal fa-sheep,fal fa-shekel-sign,fal fa-shield,fal fa-shield-alt,fal fa-shield-check,fal fa-shield-cross,fal fa-ship,fal fa-shipping-fast,fal fa-shipping-timed,fal fa-shish-kebab,fal fa-shoe-prints,fal fa-shopping-bag,fal fa-shopping-basket,fal fa-shopping-cart,fal fa-shovel,fal fa-shovel-snow,fal fa-shower,fal fa-shredder,fal fa-shuttle-van,fal fa-shuttlecock,fal fa-sickle,fal fa-sigma,fal fa-sign,fal fa-sign-in,fal fa-sign-in-alt,fal fa-sign-language,fal fa-sign-out,fal fa-sign-out-alt,fal fa-signal,fal fa-signal-1,fal fa-signal-2,fal fa-signal-3,fal fa-signal-4,fal fa-signal-alt,fal fa-signal-alt-1,fal fa-signal-alt-2,fal fa-signal-alt-3,fal fa-signal-alt-slash,fal fa-signal-slash,fal fa-signal-stream,fal fa-signature,fal fa-sim-card,fal fa-sitemap,fal fa-skating,fal fa-skeleton,fal fa-ski-jump,fal fa-ski-lift,fal fa-skiing,fal fa-skiing-nordic,fal fa-skull,fal fa-skull-cow,fal fa-skull-crossbones,fal fa-slash,fal fa-sledding,fal fa-sleigh,fal fa-sliders-h,fal fa-sliders-h-square,fal fa-sliders-v,fal fa-sliders-v-square,fal fa-smile,fal fa-smile-beam,fal fa-smile-plus,fal fa-smile-wink,fal fa-smog,fal fa-smoke,fal fa-smoking,fal fa-smoking-ban,fal fa-sms,fal fa-snake,fal fa-snooze,fal fa-snow-blowing,fal fa-snowboarding,fal fa-snowflake,fal fa-snowflakes,fal fa-snowman,fal fa-snowmobile,fal fa-snowplow,fal fa-socks,fal fa-solar-panel,fal fa-sort,fal fa-sort-alpha-down,fal fa-sort-alpha-down-alt,fal fa-sort-alpha-up,fal fa-sort-alpha-up-alt,fal fa-sort-alt,fal fa-sort-amount-down,fal fa-sort-amount-down-alt,fal fa-sort-amount-up,fal fa-sort-amount-up-alt,fal fa-sort-down,fal fa-sort-numeric-down,fal fa-sort-numeric-down-alt,fal fa-sort-numeric-up,fal fa-sort-numeric-up-alt,fal fa-sort-shapes-down,fal fa-sort-shapes-down-alt,fal fa-sort-shapes-up,fal fa-sort-shapes-up-alt,fal fa-sort-size-down,fal fa-sort-size-down-alt,fal fa-sort-size-up,fal fa-sort-size-up-alt,fal fa-sort-up,fal fa-soup,fal fa-spa,fal fa-space-shuttle,fal fa-spade,fal fa-sparkles,fal fa-speaker,fal fa-speakers,fal fa-spell-check,fal fa-spider,fal fa-spider-black-widow,fal fa-spider-web,fal fa-spinner,fal fa-spinner-third,fal fa-splotch,fal fa-spray-can,fal fa-square,fal fa-square-full,fal fa-square-root,fal fa-square-root-alt,fal fa-squirrel,fal fa-staff,fal fa-stamp,fal fa-star,fal fa-star-and-crescent,fal fa-star-christmas,fal fa-star-exclamation,fal fa-star-half,fal fa-star-half-alt,fal fa-star-of-david,fal fa-star-of-life,fal fa-stars,fal fa-steak,fal fa-steering-wheel,fal fa-step-backward,fal fa-step-forward,fal fa-stethoscope,fal fa-sticky-note,fal fa-stocking,fal fa-stomach,fal fa-stop,fal fa-stop-circle,fal fa-stopwatch,fal fa-store,fal fa-store-alt,fal fa-stream,fal fa-street-view,fal fa-stretcher,fal fa-strikethrough,fal fa-stroopwafel,fal fa-subscript,fal fa-subway,fal fa-suitcase,fal fa-suitcase-rolling,fal fa-sun,fal fa-sun-cloud,fal fa-sun-dust,fal fa-sun-haze,fal fa-sunglasses,fal fa-sunrise,fal fa-sunset,fal fa-superscript,fal fa-surprise,fal fa-swatchbook,fal fa-swimmer,fal fa-swimming-pool,fal fa-sword,fal fa-swords,fal fa-synagogue,fal fa-sync,fal fa-sync-alt,fal fa-syringe,fal fa-table,fal fa-table-tennis,fal fa-tablet,fal fa-tablet-alt,fal fa-tablet-android,fal fa-tablet-android-alt,fal fa-tablet-rugged,fal fa-tablets,fal fa-tachometer,fal fa-tachometer-alt,fal fa-tachometer-alt-average,fal fa-tachometer-alt-fast,fal fa-tachometer-alt-fastest,fal fa-tachometer-alt-slow,fal fa-tachometer-alt-slowest,fal fa-tachometer-average,fal fa-tachometer-fast,fal fa-tachometer-fastest,fal fa-tachometer-slow,fal fa-tachometer-slowest,fal fa-taco,fal fa-tag,fal fa-tags,fal fa-tally,fal fa-tanakh,fal fa-tape,fal fa-tasks,fal fa-tasks-alt,fal fa-taxi,fal fa-teeth,fal fa-teeth-open,fal fa-temperature-frigid,fal fa-temperature-high,fal fa-temperature-hot,fal fa-temperature-low,fal fa-tenge,fal fa-tennis-ball,fal fa-terminal,fal fa-text,fal fa-text-height,fal fa-text-size,fal fa-text-width,fal fa-th,fal fa-th-large,fal fa-th-list,fal fa-theater-masks,fal fa-thermometer,fal fa-thermometer-empty,fal fa-thermometer-full,fal fa-thermometer-half,fal fa-thermometer-quarter,fal fa-thermometer-three-quarters,fal fa-theta,fal fa-thumbs-down,fal fa-thumbs-up,fal fa-thumbtack,fal fa-thunderstorm,fal fa-thunderstorm-moon,fal fa-thunderstorm-sun,fal fa-ticket,fal fa-ticket-alt,fal fa-tilde,fal fa-times,fal fa-times-circle,fal fa-times-hexagon,fal fa-times-octagon,fal fa-times-square,fal fa-tint,fal fa-tint-slash,fal fa-tire,fal fa-tire-flat,fal fa-tire-pressure-warning,fal fa-tire-rugged,fal fa-tired,fal fa-toggle-off,fal fa-toggle-on,fal fa-toilet,fal fa-toilet-paper,fal fa-toilet-paper-alt,fal fa-tombstone,fal fa-tombstone-alt,fal fa-toolbox,fal fa-tools,fal fa-tooth,fal fa-toothbrush,fal fa-torah,fal fa-torii-gate,fal fa-tornado,fal fa-tractor,fal fa-trademark,fal fa-traffic-cone,fal fa-traffic-light,fal fa-traffic-light-go,fal fa-traffic-light-slow,fal fa-traffic-light-stop,fal fa-train,fal fa-tram,fal fa-transgender,fal fa-transgender-alt,fal fa-trash,fal fa-trash-alt,fal fa-trash-restore,fal fa-trash-restore-alt,fal fa-trash-undo,fal fa-trash-undo-alt,fal fa-treasure-chest,fal fa-tree,fal fa-tree-alt,fal fa-tree-christmas,fal fa-tree-decorated,fal fa-tree-large,fal fa-tree-palm,fal fa-trees,fal fa-triangle,fal fa-triangle-music,fal fa-trophy,fal fa-trophy-alt,fal fa-truck,fal fa-truck-container,fal fa-truck-couch,fal fa-truck-loading,fal fa-truck-monster,fal fa-truck-moving,fal fa-truck-pickup,fal fa-truck-plow,fal fa-truck-ramp,fal fa-trumpet,fal fa-tshirt,fal fa-tty,fal fa-turkey,fal fa-turntable,fal fa-turtle,fal fa-tv,fal fa-tv-alt,fal fa-tv-music,fal fa-tv-retro,fal fa-typewriter,fal fa-umbrella,fal fa-umbrella-beach,fal fa-underline,fal fa-undo,fal fa-undo-alt,fal fa-unicorn,fal fa-union,fal fa-universal-access,fal fa-university,fal fa-unlink,fal fa-unlock,fal fa-unlock-alt,fal fa-upload,fal fa-usb-drive,fal fa-usd-circle,fal fa-usd-square,fal fa-user,fal fa-user-alt,fal fa-user-alt-slash,fal fa-user-astronaut,fal fa-user-chart,fal fa-user-check,fal fa-user-circle,fal fa-user-clock,fal fa-user-cog,fal fa-user-cowboy,fal fa-user-crown,fal fa-user-edit,fal fa-user-friends,fal fa-user-graduate,fal fa-user-hard-hat,fal fa-user-headset,fal fa-user-injured,fal fa-user-lock,fal fa-user-md,fal fa-user-md-chat,fal fa-user-minus,fal fa-user-music,fal fa-user-ninja,fal fa-user-nurse,fal fa-user-plus,fal fa-user-secret,fal fa-user-shield,fal fa-user-slash,fal fa-user-tag,fal fa-user-tie,fal fa-user-times,fal fa-users,fal fa-users-class,fal fa-users-cog,fal fa-users-crown,fal fa-users-medical,fal fa-utensil-fork,fal fa-utensil-knife,fal fa-utensil-spoon,fal fa-utensils,fal fa-utensils-alt,fal fa-value-absolute,fal fa-vector-square,fal fa-venus,fal fa-venus-double,fal fa-venus-mars,fal fa-vhs,fal fa-vial,fal fa-vials,fal fa-video,fal fa-video-plus,fal fa-video-slash,fal fa-vihara,fal fa-violin,fal fa-voicemail,fal fa-volcano,fal fa-volleyball-ball,fal fa-volume,fal fa-volume-down,fal fa-volume-mute,fal fa-volume-off,fal fa-volume-slash,fal fa-volume-up,fal fa-vote-nay,fal fa-vote-yea,fal fa-vr-cardboard,fal fa-wagon-covered,fal fa-walker,fal fa-walkie-talkie,fal fa-walking,fal fa-wallet,fal fa-wand,fal fa-wand-magic,fal fa-warehouse,fal fa-warehouse-alt,fal fa-washer,fal fa-watch,fal fa-watch-calculator,fal fa-watch-fitness,fal fa-water,fal fa-water-lower,fal fa-water-rise,fal fa-wave-sine,fal fa-wave-square,fal fa-wave-triangle,fal fa-waveform,fal fa-waveform-path,fal fa-webcam,fal fa-webcam-slash,fal fa-weight,fal fa-weight-hanging,fal fa-whale,fal fa-wheat,fal fa-wheelchair,fal fa-whistle,fal fa-wifi,fal fa-wifi-1,fal fa-wifi-2,fal fa-wifi-slash,fal fa-wind,fal fa-wind-turbine,fal fa-wind-warning,fal fa-window,fal fa-window-alt,fal fa-window-close,fal fa-window-maximize,fal fa-window-minimize,fal fa-window-restore,fal fa-windsock,fal fa-wine-bottle,fal fa-wine-glass,fal fa-wine-glass-alt,fal fa-won-sign,fal fa-wreath,fal fa-wrench,fal fa-x-ray,fal fa-yen-sign,fal fa-yin-yang');
    $fontawesomeFiveIconsBrands = array('fab fa-500px,fab fa-accessible-icon,fab fa-accusoft,fab fa-acquisitions-incorporated,fab fa-adn,fab fa-adobe,fab fa-adversal,fab fa-affiliatetheme,fab fa-airbnb,fab fa-algolia,fab fa-alipay,fab fa-amazon,fab fa-amazon-pay,fab fa-amilia,fab fa-android,fab fa-angellist,fab fa-angrycreative,fab fa-angular,fab fa-app-store,fab fa-app-store-ios,fab fa-apper,fab fa-apple,fab fa-apple-pay,fab fa-artstation,fab fa-asymmetrik,fab fa-atlassian,fab fa-audible,fab fa-autoprefixer,fab fa-avianex,fab fa-aviato,fab fa-aws,fab fa-bandcamp,fab fa-battle-net,fab fa-behance,fab fa-behance-square,fab fa-bimobject,fab fa-bitbucket,fab fa-bitcoin,fab fa-bity,fab fa-black-tie,fab fa-blackberry,fab fa-blogger,fab fa-blogger-b,fab fa-bluetooth,fab fa-bluetooth-b,fab fa-bootstrap,fab fa-btc,fab fa-buffer,fab fa-buromobelexperte,fab fa-buy-n-large,fab fa-buysellads,fab fa-canadian-maple-leaf,fab fa-cc-amazon-pay,fab fa-cc-amex,fab fa-cc-apple-pay,fab fa-cc-diners-club,fab fa-cc-discover,fab fa-cc-jcb,fab fa-cc-mastercard,fab fa-cc-paypal,fab fa-cc-stripe,fab fa-cc-visa,fab fa-centercode,fab fa-centos,fab fa-chrome,fab fa-chromecast,fab fa-cloudscale,fab fa-cloudsmith,fab fa-cloudversify,fab fa-codepen,fab fa-codiepie,fab fa-confluence,fab fa-connectdevelop,fab fa-contao,fab fa-cotton-bureau,fab fa-cpanel,fab fa-creative-commons,fab fa-creative-commons-by,fab fa-creative-commons-nc,fab fa-creative-commons-nc-eu,fab fa-creative-commons-nc-jp,fab fa-creative-commons-nd,fab fa-creative-commons-pd,fab fa-creative-commons-pd-alt,fab fa-creative-commons-remix,fab fa-creative-commons-sa,fab fa-creative-commons-sampling,fab fa-creative-commons-sampling-plus,fab fa-creative-commons-share,fab fa-creative-commons-zero,fab fa-critical-role,fab fa-css3,fab fa-css3-alt,fab fa-cuttlefish,fab fa-d-and-d,fab fa-d-and-d-beyond,fab fa-dashcube,fab fa-delicious,fab fa-deploydog,fab fa-deskpro,fab fa-dev,fab fa-deviantart,fab fa-dhl,fab fa-diaspora,fab fa-digg,fab fa-digital-ocean,fab fa-discord,fab fa-discourse,fab fa-dochub,fab fa-docker,fab fa-draft2digital,fab fa-dribbble,fab fa-dribbble-square,fab fa-dropbox,fab fa-drupal,fab fa-dyalog,fab fa-earlybirds,fab fa-ebay,fab fa-edge,fab fa-elementor,fab fa-ello,fab fa-ember,fab fa-empire,fab fa-envira,fab fa-erlang,fab fa-ethereum,fab fa-etsy,fab fa-evernote,fab fa-expeditedssl,fab fa-facebook,fab fa-facebook-f,fab fa-facebook-messenger,fab fa-facebook-square,fab fa-fantasy-flight-games,fab fa-fedex,fab fa-fedora,fab fa-figma,fab fa-firefox,fab fa-first-order,fab fa-first-order-alt,fab fa-firstdraft,fab fa-flickr,fab fa-flipboard,fab fa-fly,fab fa-font-awesome,fab fa-font-awesome-alt,fab fa-font-awesome-flag,fab fa-fonticons,fab fa-fonticons-fi,fab fa-fort-awesome,fab fa-fort-awesome-alt,fab fa-forumbee,fab fa-foursquare,fab fa-free-code-camp,fab fa-freebsd,fab fa-fulcrum,fab fa-galactic-republic,fab fa-galactic-senate,fab fa-get-pocket,fab fa-gg,fab fa-gg-circle,fab fa-git,fab fa-git-alt,fab fa-git-square,fab fa-github,fab fa-github-alt,fab fa-github-square,fab fa-gitkraken,fab fa-gitlab,fab fa-gitter,fab fa-glide,fab fa-glide-g,fab fa-gofore,fab fa-goodreads,fab fa-goodreads-g,fab fa-google,fab fa-google-drive,fab fa-google-play,fab fa-google-plus,fab fa-google-plus-g,fab fa-google-plus-square,fab fa-google-wallet,fab fa-gratipay,fab fa-grav,fab fa-gripfire,fab fa-grunt,fab fa-gulp,fab fa-hacker-news,fab fa-hacker-news-square,fab fa-hackerrank,fab fa-hips,fab fa-hire-a-helper,fab fa-hooli,fab fa-hornbill,fab fa-hotjar,fab fa-houzz,fab fa-html5,fab fa-hubspot,fab fa-imdb,fab fa-instagram,fab fa-intercom,fab fa-internet-explorer,fab fa-invision,fab fa-ioxhost,fab fa-itch-io,fab fa-itunes,fab fa-itunes-note,fab fa-java,fab fa-jedi-order,fab fa-jenkins,fab fa-jira,fab fa-joget,fab fa-joomla,fab fa-js,fab fa-js-square,fab fa-jsfiddle,fab fa-kaggle,fab fa-keybase,fab fa-keycdn,fab fa-kickstarter,fab fa-kickstarter-k,fab fa-korvue,fab fa-laravel,fab fa-lastfm,fab fa-lastfm-square,fab fa-leanpub,fab fa-less,fab fa-line,fab fa-linkedin,fab fa-linkedin-in,fab fa-linode,fab fa-linux,fab fa-lyft,fab fa-magento,fab fa-mailchimp,fab fa-mandalorian,fab fa-markdown,fab fa-mastodon,fab fa-maxcdn,fab fa-mdb,fab fa-medapps,fab fa-medium,fab fa-medium-m,fab fa-medrt,fab fa-meetup,fab fa-megaport,fab fa-mendeley,fab fa-microsoft,fab fa-mix,fab fa-mixcloud,fab fa-mizuni,fab fa-modx,fab fa-monero,fab fa-napster,fab fa-neos,fab fa-nimblr,fab fa-node,fab fa-node-js,fab fa-npm,fab fa-ns8,fab fa-nutritionix,fab fa-odnoklassniki,fab fa-odnoklassniki-square,fab fa-old-republic,fab fa-opencart,fab fa-openid,fab fa-opera,fab fa-optin-monster,fab fa-orcid,fab fa-osi,fab fa-page4,fab fa-pagelines,fab fa-palfed,fab fa-patreon,fab fa-paypal,fab fa-penny-arcade,fab fa-periscope,fab fa-phabricator,fab fa-phoenix-framework,fab fa-phoenix-squadron,fab fa-php,fab fa-pied-piper,fab fa-pied-piper-alt,fab fa-pied-piper-hat,fab fa-pied-piper-pp,fab fa-pinterest,fab fa-pinterest-p,fab fa-pinterest-square,fab fa-playstation,fab fa-product-hunt,fab fa-pushed,fab fa-python,fab fa-qq,fab fa-quinscape,fab fa-quora,fab fa-r-project,fab fa-raspberry-pi,fab fa-ravelry,fab fa-react,fab fa-reacteurope,fab fa-readme,fab fa-rebel,fab fa-red-river,fab fa-reddit,fab fa-reddit-alien,fab fa-reddit-square,fab fa-redhat,fab fa-renren,fab fa-replyd,fab fa-researchgate,fab fa-resolving,fab fa-rev,fab fa-rocketchat,fab fa-rockrms,fab fa-safari,fab fa-salesforce,fab fa-sass,fab fa-schlix,fab fa-scribd,fab fa-searchengin,fab fa-sellcast,fab fa-sellsy,fab fa-servicestack,fab fa-shirtsinbulk,fab fa-shopware,fab fa-simplybuilt,fab fa-sistrix,fab fa-sith,fab fa-sketch,fab fa-skyatlas,fab fa-skype,fab fa-slack,fab fa-slack-hash,fab fa-slideshare,fab fa-snapchat,fab fa-snapchat-ghost,fab fa-snapchat-square,fab fa-soundcloud,fab fa-sourcetree,fab fa-speakap,fab fa-speaker-deck,fab fa-spotify,fab fa-squarespace,fab fa-stack-exchange,fab fa-stack-overflow,fab fa-stackpath,fab fa-staylinked,fab fa-steam,fab fa-steam-square,fab fa-steam-symbol,fab fa-sticker-mule,fab fa-strava,fab fa-stripe,fab fa-stripe-s,fab fa-studiovinari,fab fa-stumbleupon,fab fa-stumbleupon-circle,fab fa-superpowers,fab fa-supple,fab fa-suse,fab fa-swift,fab fa-symfony,fab fa-teamspeak,fab fa-telegram,fab fa-telegram-plane,fab fa-tencent-weibo,fab fa-the-red-yeti,fab fa-themeco,fab fa-themeisle,fab fa-think-peaks,fab fa-trade-federation,fab fa-trello,fab fa-tripadvisor,fab fa-tumblr,fab fa-tumblr-square,fab fa-twitch,fab fa-twitter,fab fa-twitter-square,fab fa-typo3,fab fa-uber,fab fa-ubuntu,fab fa-uikit,fab fa-umbraco,fab fa-uniregistry,fab fa-untappd,fab fa-ups,fab fa-usb,fab fa-usps,fab fa-ussunnah,fab fa-vaadin,fab fa-viacoin,fab fa-viadeo,fab fa-viadeo-square,fab fa-viber,fab fa-vimeo,fab fa-vimeo-square,fab fa-vimeo-v,fab fa-vine,fab fa-vk,fab fa-vnv,fab fa-vuejs,fab fa-waze,fab fa-weebly,fab fa-weibo,fab fa-weixin,fab fa-whatsapp,fab fa-whatsapp-square,fab fa-whmcs,fab fa-wikipedia-w,fab fa-windows,fab fa-wix,fab fa-wizards-of-the-coast,fab fa-wolf-pack-battalion,fab fa-wordpress,fab fa-wordpress-simple,fab fa-wpbeginner,fab fa-wpexplorer,fab fa-wpforms,fab fa-wpressr,fab fa-xbox,fab fa-xing,fab fa-xing-square,fab fa-y-combinator,fab fa-yahoo,fab fa-yammer,fab fa-yandex,fab fa-yandex-international,fab fa-yarn,fab fa-yelp,fab fa-yoast,fab fa-youtube,fab fa-youtube-square,fab fa-zhihu');
    $fontawesomeFiveIconsArray = array_merge($fontawesomeFiveIconsSolid, $fontawesomeFiveIconsRegular, $fontawesomeFiveIconsLight, $fontawesomeFiveIconsBrands);
    $fontawesomeFiveIconsString = implode(',', $fontawesomeFiveIconsArray);
    $fontawesomeFiveIcons = explode(',', $fontawesomeFiveIconsString);
    foreach ($fontawesomeFiveIcons as $key => $font) {
        $fontAwesomeIcons[] = array(
            $font => $font);
    }

    return $fontAwesomeIcons;
}

add_filter('vc_iconpicker-type-fontawesomeicons', 'cynic_vc_iconpicker_type_fontawesomeIcons');

function cynic_load_vc_fontawesomeicons($type)
{
    if ($type == 'fontawesomeicons') {
        $path = apply_filters('cynic_fontawesomeicons_font_css_url', get_template_directory_uri() . '/css/illustration/fontawesome-all.min.css');
        wp_enqueue_style('fontawesomeicons', $path);
    }
}

add_action('vc_enqueue_font_icon_element', 'cynic_load_vc_fontawesomeicons');

function cynic_load_backend_fontawesomeicons($page)
{
    if (in_array($page, array('post.php', 'post-new.php'))) {
        $path = apply_filters('cynic_fontawesomeicons_font_css_url', get_template_directory_uri() . '/css/illustration/fontawesome-all.min.css');
        wp_enqueue_style('fontawesomeicons', $path);
    }
}

add_action('admin_enqueue_scripts', 'cynic_load_backend_fontawesomeicons');